Introduction to WinMLS 2000

WinMLS 2000 is software for performing and evaluating audio, acoustical and vibrational measurements. It was designed for MLS (maximum length sequence) measurements of acoustical systems, but other types of measurements are also supported. Measurements based on MLS allow measuring system impulse responses with high accuracy. Until recently, such measurements were impossible without custom hardware solutions. With WinMLS, however, impulse responses can be measured with great dynamic range and fine resolution on a PC with a standard (full duplex) sound card. Powerful and flexible post-processing capabilities are integrated in the software. In order to export the measurement data, several formats are supported. If further post-processing of the measurement data than the current version of WinMLS can offer is needed, MLSSA® (DRA Laboratories) and Matlab® (MathWorks Inc.) may be used. Software that can read text-files, such as Excel (Microsoft) may also be used.

In the documentation, note that some parts may not be relevant for your type of sound card or the type of measurements you want to do. This text is written in a way that it should be understandable for persons having little experience with computers. Bold letters are used for items in the user interface, such as menus and buttons.

More:


Important features of the User Interface

Some important features of WinMLS is marked on the figure.


Where to find the WinMLS documentation?

All of the WinMLS documentation is available in the help file. If you prefer to have it in the pdf-format the documentation is also found as follows:

For the installation procedure and a list of issues, please read the Readme file.

For questions relating to sound cards, please read the Tested Sound Cards file.

For questions relating to the content of the menus and dialog boxes, please read the Menus and Dialog Boxes Documentation file.

For an answer to a wide range of questions, please read the Frequently Asked Questions file. If you have a problem, please see if you can find the solution in the Frequently Asked Questions file before contacting us. A very frequently asked question taken from this file is shown in the section below.

More:


How to zoom the plot using the mouse?

If the mouse zooming is turned on (see below) this can be done. To zoom in, drag a rectangle from upper left to lower right. Note that this is the only way to zoom in if using the mouse. If you drag a rectangle any other way this does zooming out.

Zooming can also be done very efficiently by the Plot Toolbar. Note that in certain cases, if the plot is to be zoomed out, the mouse zooming will not zoom enough. Then click on the Autoscale all button on the Plot Toolbar (View->Plot Toolbar).


System Requirements

The requirements for using the WinMLS software is a PC with a standard sound card/device running any of the Windows operative systems 95, 98, ME, NT, 2000 or XP.

More:


PC

The minimum configuration recommended is a Pentium® processor, 16 Mb Ram, 30 MB of available disk space.

If WinMLS is to be used for post-processing measurements, at least a 400 MHz processor with 64 Mb RAM is recommended. This is because a slower PC will give bad performance on plotting long sequences (measurements of large rooms) and for computing room acoustics parameters. If your PC does not perform well enough to run WinMLS 2000, we recommend that you use the previous version of WinMLS, ver. 2, that can be downloaded from our homepage.


Sound card

A standard Windows compatible sound card is needed to perform measurements. There is a wide range of sound card available (we would have preferred to call it “sound device” instead of “sound card”, since USB devices can also be used, but the term “sound card” is so widely used that we continue to use it.).

For performing measurements that require an output signal, such as loudspeaker measurements, the sound card must be full duplex. A full duplex sound card is able to record and play simultaneously. Most sound cards are full duplex, but a few sound cards are still not capable of performing MLS measurements with WinMLS. See the help section named “Tested Sound Cards” (or the pdf-file with the same name) for sound card recommendations, more information, and a list of tested sound cards.


Hardware

If you are using WinMLS for measuring electronic equipment only, such as amplifiers, cables for connecting to the sound card is in principle all the extra equipment needed.

In order to use WinMLS for other types of measurements than electrical measurements, transducers are needed. A transducer is device for transforming a quantity to another quantity. Two well-known transducers are the microphone and loudspeaker. A microphone transforms sound pressure to voltage and a loudspeaker transforms voltage to sound pressure.

In addition to microphone and loudspeaker, which will be discussed in more detail below, WinMLS supports transducers for measuring the quantities displacement, velocity, acceleration and force.

More:


Microphone

Connect the microphone to the left channel sound card line input (if you are to perform a 2-channel measurement, connect microphone channel 2 to the right input).

If you have a cheap multi-media microphone that comes with the sound card, it can be used for testing purposes and for comparison measurements not acquiring a flat frequency response. The frequency range is probably also limited. Such a microphone must usually be connected to the microphone input of the sound card, since it will provide the phantom power supply voltage needed.

For more information about microphones and for purchasing our low-cost microphone for performing loudspeaker frequency response measurements and amateur room acoustics measurements please visit our homepage or ask us.

For high-quality measurements we recommend dedicated microphones. However, the price may be high, and an external phantom power supply or a microphone amplifier is often needed.

More:


Microphone amplifier/Phantom power supply

Most soundcards are equipped with a single channel microphone input containing an amplifier. This can be used, eliminating the need of an external amplifier. For most sound cards it is better to use the Line input than the Microphone input since it gives a better signal-to-noise ratio. But for most purposes the Microphone input is usually sufficient and gives a low voltage phantom power supply (~1 Volts) for the condenser microphone.

If your microphone needs a greater voltage, a phantom power supply may be purchased or made using batteries.

If none of the above is sufficient, we recommend using a microphone amplifier. Note that a microphone amplifier may be optimized for certain types of microphones. For instance, a phantom power supply voltage may be provided for condenser microphones. Also, the frequency characteristic may be optimized for a maximally flat frequency response and the input impedance may have been optimized for maximum signal-to-noise ratio.


Loudspeaker

Several applications involve a loudspeaker, e.g. measuring the loudspeaker itself or the reverberation time of a room. For room acoustics measurements it is important that the loudspeaker gives enough power and has a flat frequency response at the range of interest. If you intend to perform room acoustics measurements according to the ISO 3382 standard, the loudspeaker should also be omni-directional. However, for reverberation time measurements the directivity of the loudspeaker is usually not that important (depends on the shape of the room).

Note that a long loudspeaker cable may cause a significant loss, therefore the cable should be a part of the configuration when calibrated measurements are to be performed.

More:


Power amplifier

An amplifier is needed to supply enough power to the loudspeaker. The amplifier can either be an integrated part of the loudspeaker or external. Special functions, such as stereo enhancement, loudness or spatial sound must be switched off for measurement purposes. Filtering, such as bass, treble or equalization should be bypassed or set as neutral as possible.

The loudspeaker amplifier input is to be connected to the left channel sound card output.


Registering WinMLS

If you have purchased WinMLS please send an e-mail to register the software. The e-mail must contain the version of WinMLS that you have purchased and the serial number. The serial number is found in the upper part of the Register dialog box that is shown when an unregistered version of WinMLS is started.

When we receive the serial number, we will send an e-mail to you with the unlock code that will register the software when it is typed in the edit box shown in the figure below.

Note that you must click the [image] button, then click [image].

More:


Very important: Backup your license

When WinMLS 2000 is registered, a license backup file (.slx) will be is created in the folder where WinMLS 2000 is installed. Take a backup of this file on a floppy in case the hard drive should crash.

In the case of a PC's Windows installation requiring a reinstall, it is possible that the license details for a registered piece of software may be lost. In this event, the license backup file (.slx) that is created on registration, is used to restore the license details.

Should the license need restoring, place the backup .slx file in the same directory as WinMLS and run the program, the .slx file will be read and the registration details restored. Once restored, the file does not have to remain in the directory as the registration details are written back into the program.


License Transfer

Once you have registered, you can transfer the license from one machine to another without key disks or transfer files. This is done from the Register dialog box displayed when running WinMLS, and is only possible to do after the software is registered.

To open the Register dialog box after you have registered, go to Help->License Options....

On the license screen, the [image] option will be enabled.

Click on [image] and enter the serial number of the unregistered copy of the software on the target pc.

Once the target serial number has been entered click on the 'Transfer' button, a message box will popup confirming the transfer (this is a good chance to double check the serial number is correct). WinMLS will then invalidate the license on the first machine (i.e. preventing the software from running), and generate the unlock code for the target pc.

By entering the unlock code on the Register License screen of the evaluation version on the target pc, the license transfer process will be complete and the software fully functional.

For example, this option allows your version of WinMLS to be used on both a laptop and desktop PC. This would be particularly useful for customers who are not based in any one location or office, the unlock code can simply be quoted over the phone or via email. This way the license can be transferred back and forth as necessary.

More:


What if the new unlock code does not work?

If the license transfer operation fails, please contact us at support@winmls.com and send the following information (important):

Destination serial number

The new unlock code (obtained with the transfer license operation using the destination serial number).


The first measurements walk-through

The purpose of this chapter is to give a step-by-step description of how a measurement can be performed. The loop-back response of the sound card is first to be measured, then a simple measurement using a microphone and a loudspeaker. We recommend that you take the time to do this measurement because it is a good way of learning to use the software. It will also let you know if the sound card is suited and if the settings are correct. Finally, a loop-back sound card measurement may be used to detect the sound card input/output delay (because of the converters) and to correct the sound card’s influence on the measurements.

More:

How to get a quick explanation of the buttons and menus?

Turning off Windows Notification Sounds

Finding and Preparing the Volume Control

Measurement 1: Loop-back measurement of the sound card

Measurement 2: A simple loudspeaker measurement

Measurement 3: Measuring using loop-back

Performing a 2-channel measurement


How to get a quick explanation of the buttons and menus?

If you are unsure of the meaning, place the mouse pointer on top of the button/list box or menu item you want to be explained. The explanation text will appear in the status bar at the bottom. For the toolbars, a short version of the explanation will appear as a tooltip just beside the mouse pointer.


Turning off Windows Notification Sounds

Before you begin your measurements, it is recommended that the Windows notification sounds are turned off or send to another sound card if you have several cards installed. By doing this you avoid disturbing the measurements. You can turn off the system sounds in the following way:

Find the Control Panel (click the Start button and choose settings). Then double-click on the folder Sounds. If you use Windows95:

You see a dialog box Sound Settings. At the bottom of the dialog box, find Settings and choose No sounds. If you use Windows NT:

You see a dialog box Sound Properties. Click Windows under Events.

Then click on the list field under Schemes. When the list appears, choose No Sounds.


Finding and Preparing the Volume Control

If your sound card supports the WinMLS mixer, you do not need to read the following chapter since you will not use the external mixer to be discussed here. If your sound card has a mixer, but does not support the WinMLS mixer, this chapter is important. If your sound card does not have a software mixer at all, an external mixer can be used to set the levels. If you are unsure if your sound card supports the WinMLS mixer, go to Measurement->Sound Card Settings and try to check Use the WinMLS mixer. If it is impossible to turn it on, then your sound card does not support the WinMLS mixer.

The first time you perform a measurement you will probably have to adjust the input or output volume levels. Then you have to find the Volume Control software that is supported by your sound card. Usually this is found in the Multimedia folder in Accessories, it may also be found in the Control Panel. Some sound cards only support their own volume control that is found in the specific sound card folder. A typical volume control is shown in the figure below.

The volume control above shows the output volume. When using WinMLS you only use the Wave Output shown in the figure above. It is a good idea to mute the other possibilities as shown in the figure above. But do not mute the master Volume Control.

We also need to adjust the input volume. For this example it is found from the menu in the figure above. Choose options, then properties and Adjust volume for recording. Then the following window is displayed:

Select the input you would like to use, either line-in or microphone. While you use WinMLS, you probably need to set both the input and output level. You should therefore have one of each open at the same time. To do this, just open a new volume control in addition to the one already open.


Measurement 1: Loop-back measurement of the sound card

More:

Preparation

Measurement procedure

Changing plot settings

Verifying the sound card measurement

Sound Card Troubleshooting

Saving the settings


Preparation

For this measurement, we assume that no settings have been changed, WinMLS has its default configuration. If you are not sure, you can load the default configuration from the setups toolbar (View->Setups Toolbar). Chose the measurement setup named MasterSetup as shown in the figure below.

More:


Connections

Find the output and input of the sound card. If your sound card has a microphone input, this may be used, we will use the line input in this example. Connect the output to the input (only left channel will be used for the measurement, so you do not have to connect the right channel input and output).


Sound card settings

In Measurement->Sound Card Settings, make sure that the correct input and output device is chosen. In the figure below, the card VX222 is chosen as input and output device. If you have more than one sound card installed, it is strongly recommended to use the same sound card for input and output. This is because there is usually a small difference in sampling frequency and this may give a large measurement error for MLS measurements.

While you still are in the Sound Card Settings dialog box, make sure [image] is checked. If it cannot be checked, this indicates that your sound card does not support the WinMLS Mixer. If this is the case, you will not be able to set the input and output line as described below. You should read the chapter Finding and Preparing the Volume Control for using the sound card mixer, if any.

If possible, select input line as shown in the figure below. Depending on the sound card, you may choose between only one or several lines. Usually the line input is called Line-in or Line, and the microphone input is called Mic or Microphone. But the VX pocket/VX222 cards have only one analog input that can be used as both line and microphone input, thus the input line is just called Analog Input. The output line has usually only one choice, and it is usually called Wave or Wave Output.

Click OK to close the dialog box.


Measurement procedure

More:


Set the input and output levels

Select Measurement->Test Current Levels to display the dialog box showing the input and output levels. If the WinMLS mixer is supported, sliders for setting the mixer levels will also be displayed. Use the sliders for adjusting the levels, if you see no sliders, please see the chapter Finding and Preparing the Volume Control on how to adjust the levels.

The input level must be less than zero to avoid clipping, but as near zero as possible. In the figure, the input level is –4.16 dB, which tells how far it is from clipping (dB FS: how many dB it is from Full Scale input). If the level is lower than –40 dB, if or increasing the volume does not increase the level, the cables are probably not properly connected.

The level indicator lamp shown to the right in the figure above is colored red if there has been clipping during a measurement. If this is the case, the measurement is probably wrong.


Performing the measurement

When the levels are set, select Measurement->Start Measurement to start the measurement.

When the measurement is finished, it should look similar to the figure below.

Figure 1 Screenshot after loop-back measuring the Digigram VX222 sound card.

The red curve in the upper plot displays the impulse response of the sound card and the lower plot displays the magnitude frequency response obtained from the impulse response. We see that the impulse response is very short and the frequency response is very flat in the range 20-20000 Hz.


Saving the measurement

Save the measurement by clicking the [image] button or File->Save Active Measurement As…. The dialog box shown below will be displayed.

Choose a name, title and comment, then click the Save button.


Changing plot settings

We will now find the delay in unit samples. First click in the upper plot window to set it as active, then type the F5 key or click the [image] button. This will open the Time Data Settings dialog box. To the upper left select Time [samples] as axis unit for the x-axis:

Zoom in on the x-axis of the upper plot. Do this by typing the number 100 in the edit box to the right of the [image] button found at the lower left. Then the upper window will display the first 100 samples of the x-axis as seen in the figure below

From this we see that the sound card has a delay of 41 samples. It is possible to correct for this delay, how to do this is explained in the measurement part of the FAQ.

Now restore the old x-axis unit Time [ms] from the Time Data Settings dialog box and restore also the maximum axis value by clicking the [image] button. We will now plot the impulse response using dB as y-axis. To do this, first click in the plot window, then type the F5 key. This will open the Time Data Settings dialog box. To the upper left select dB as axis unit for the y-axis:

Click OK to exit the dialog box, this will update the plot with the new settings. The result should look similar to the figure below.

Figure 2 VX222 sound card measured loop-back, plotted using dB as y-axis.


Verifying the sound card measurement

If your loop-back sound card measurement performed in the chapter above looks suspicious, we recommend that you first compare it with the other measurements of sound cards. Click [image] or File->Insert to insert a new file into the current window.

Double-click on the Soundcards folder shown in the figure above to display the available measurements of sound cards.

Note that you can select several files by holding the Ctrl key when clicking. As shown in the figure below (some of these files may not be found in your installation, but they can be found at our homepage or by contacting us)

Click [image] to insert the files. The result will be similar to the figure below (some changes to the layout has been done, which will be explained later). From the figure we see the results from the different sound cards. The measurement in brown could probably be improved by optimizing the volume settings, but we see that the frequency response is smooth for all the measurements.


Sound Card Troubleshooting

If the response of your sound card does not look at all like the other sound cards, you have checked that your settings are correct, the cables are properly connected and the sound card is not on the list of sound cards that does not work with WinMLS, please contact support from our homepage and attach your sound card measurement file.

If the response has spurious peaks, this is an indication of distortion. Try to reduce it by decreasing the input or output level of the sound card.


Saving the settings

WinMLS will always save the last used settings when the software is closed to temporary setup files. You may still want to save your settings. Do this by clicking [image] on the Setups Toolbar.


Measurement 2: A simple loudspeaker measurement

This chapter assumes that the chapter above has been read. Note that for all sound cards, except for VXpocket and VX222, this measurement procedure will not measure the distance between the loudspeaker and microphone (initial time delay). In the examples we have used a typical low quality loudspeaker and microphone that comes with the sound card, thus showing how low quality equipment may influence the measurement.

More:


Preparation

Connect a speaker to output left channel. Connect a microphone to input left channel, the microphone input can be used if any, then make sure that microphone is chosen as Input Line in Measurement->Sound Card Settings.

Place the microphone in front of and near the loudspeaker.

Figure 3 Schematics for one-channel measurement


Measurement procedure

Select Measurement->Test Current Levels to display the dialog box showing the input and output levels. Adjust the levels so no clipping occurs, -6 dB should be fine.

When the levels are set, select Measurement->Start Measurement to start the measurement.

When the measurement is finished, it should look similar to the figure below.


Post-processing the measurement

Figure 4 Multimedia microphone and loudspeaker measured on axis at a distance of ~20 cm. Time window 50 ms.

In the upper right part of the figure above, we see that there are several spurious peaks. These are due to distortion in the loudspeaker or microphone, reducing the volume did not reduce the magnitude of these peaks. These peaks do not, however, influence the frequency response shown in the lower part of the plot significantly. Note that a rectangular window is used on the impulse response of length 50 ms displayed in yellow in the figure. The limits can be changed by clicking and dragging, or from the Time Window Toolbar shown in the middle of the figure above.

Decreasing the window size will reduce the noise in the frequency response, but note that it will give a decreased frequency resolution and thus false results for very low frequencies. The “Frequency resolution indication line” shown in the figure above depends on the window size and is meant to warn the user where the results may not be trusted. At the thick part of the line, the results should not at all be trusted. At the thin part of the line (which is twice the size of the thick line), the result is not certain.

Note that if the frequency resolution is not sufficient, two resonance peaks may not be resolved, but shown as one peak.


Measurement 3: Measuring using loop-back

This chapter assumes that you have performed the measurements described above. The main purpose of the loop-back is to determine the correct initial time delay of the system being measured (e.g. the distance between the loudspeaker and the microphone). Most sound cards do not have a constant time difference in start of playback and record, it is different from one measurement to another. This makes it impossible to find the initial time delay with the usual measurement method, but this is easily detected if using the loop-back.

When using a loop-back it is also possible to detect errors in the measurement caused by non-continuous play or record. This is usually a problem only for slow PC’s, but can occur if you run other tasks on your PC while performing a measurement. If such an error is detected the measurement will be repeated and a warning is given in the status bar.

More:


Preparing loop-back

A loop-back is a physical connection from the output to the input of the sound card as shown in the figure below. The MLS output signal is always played in the left channel and the loop-back output signal is played in the right channel. Connect the cables as shown in the figure below,

Figure 5 Schematics for one-channel measurement using loop-back

You might need to purchase extra cables to be able to connect the loop-back.

If the input you are using for the microphone signal is mono (the microphone input is usually mono), no right input channel exist. Then connect the loop-back input cable to the right channel input of the line input instead.

Open Measurement->Sound Card Settings dialog box. Make sure ‘Yes, with loop-back and end-check’ is selected as shown in the figure below.

Now select the Loop-back Input Line you used for connecting the loop-back to, in the figure above Line-In is chosen. Make sure Loop-back input channel is set to Right.

The sound card delay must now be set in samples, this we already have found in the first measurement procedure we described. This number can vary from 10-80. After typing this number, click OK to exit the dialog box.


Loop-back measurement procedure

Select Measurement->Test Current Levels to display the dialog box showing the input and output levels. If your sound card supports the WinMLS mixer, the volume controls Sync. Out and Sync. Input will be displayed as shown to the right in the figure below. Use these controls to set the volume of the loop-back synchronization signal.

Select Measurement->Start Measurement to start the measurement. An error message will be given if the loop-back volume is too low or too high.

The result of a successful measurement will now have almost the correct initial time delay. But as we have seen, the sound card has a delay of some samples, which is usually less than 1 millisecond. To subtract this delay a measurement system correction of the sound card must be performed as described in the FAQ.


This happens during a loop-back measurement

1.

When the measurement is started a synchronization signal is first sent through the right channel output to the loop-back. The synchronization signal is recorded and is later used to find the correct initial time delay.

2.

The MLS signal is now played on left channel output, through the speaker. The signal is recorded on the microphone.

3.

The synchronization signal is played once more on the right channel output. This synchronization signal is compared against the first synchronization signal and the time difference is computed. The purpose of this is to check that there has been no gaps in the playback or record. This check is not performed if [image] is set in Measurement->Sound Card Settings....

4.

If no error has occurred, the system impulse response is found using cross correlation. The sound card delay (pipeline delay in sigma-delta converters) is added in order to obtain the whole system response (the default is 40 samples, but should be measured for the sound card as shown above).


Performing a 2-channel measurement

The number of channels to be measured is set in the Measurement Settings toolbar. The figure shows the setting for performing a two-channel measurement.

A 2-channel measurement is similar to a one-channel measurement. If you are measuring using the loop-back, special consideration must be taken as described below. The rest of the procedure is very similar to a one-channel measurement as described in the previous chapters.

More:


Synchronization Loop Connection for 2-channel Measurement

To perform a 2-channel measurement in loop-back mode, the loop-back must be mixed with the measurement signal in one of the channels. How this is best done depends on if your sound card has one or two input lines.

More:


2-channel loop-back for sound cards with one input only

If your sound card only has one input line, e.g. Line input, a device has to be used for summing the signals, see the figure below. An audio mixer or a passive device (consisting of 3 resistors) can be used, you may also contact us for purchasing such a device.

Figure 6 Schematics for two-channel measurement using synchronization loop-back for one single input.


2-channel loop-back for sound cards with two physical inputs (e.g. line and microphone input)

If your sound card has two input lines, e.g. Line and Microphone input, no external device is needed to connect the loop-back. Choose different lines for Input Line and Loop-back Input Line found in the Measurement->Sound Card Settings dialog box. If your Loop-back Input Channel is mono, make sure the right channel is chosen as shown below.

Connect, using a cable, the output of the synchronization loop (which is on the right channel) to the line and channel you have chosen as input for the synchronization loop. Note that you may have to split the cable you are connecting to your output to access the output-signal that is on left channel.

Figure 7 Schematics for two-channel measurement using synchronization loop-back for two physical inputs.


Synchronization Loop-back Connection for Mono Full Duplex Sound Cards

Read this chapter only if the sound card is only capable of one-channel simultaneous play and record. If you have such a card you cannot do 2-channel measurements. The card will support 1-channel measurements without using a synchronization loop. But if the card has both a microphone input and a line input and if it supports the WinMLS mixer, WinMLS also support 1-channel measurements using synchronization loop for such cards. To do this, you must choose different inputs for the Input Line and the Loop-back Input Line as described in the chapters above. Then make the synchronization loop by connecting a cable from the sound card output to the input you chose as Loop-back Input Line. Note that you need to split your output cable from the sound card. One part is for the synchronization loop that we just showed how to connect. The other part is for the output signal.


Room Acoustics Introduction

Room acoustics parameters can be calculated from measured impulse responses using the room acoustics post processing capability of WinMLS. The parameters are calculated according to the definitions, requirements and recommendations of the ISO 3382 standard (ISO 3382: 1997, Acoustics - Measurement of the reverberation time of rooms with reference to other acoustical parameters). Additional parameters like speech transmission indices are included as well. The results can be presented graphically, in a text window, or saved to a text file, with contents according to response type and calculation settings chosen by the user.

A detailed description of the room acoustics module is given in the help-file or you can find the same information in the “Menus and Dialog Boxes” or “Frequently Asked Questions” documentation files.

More:


Practical information, tips and warnings

•

When measuring room impulse responses using WinMLS, it is recommended that a room acoustics setup is loaded. Such a setup can be loaded and saved from the Setups Toolbar (can be turned on/off from the View menu), or from Measurement->Save/Load Measurement Setup. When the setup is loaded, the GO button on the standard toolbar can be used to start a measurement, or File->Insert can be chosen to insert an already existing response from a file.

•

Calculation options and parameter settings for the room acoustics calculations can be modified from the Room Acoustics menu. These settings are saved with the post-processing setup file found on the Setups Toolbar.

•

The room acoustics calculations have been developed with accuracy as the main goal. Optimization of calculation speed has not been allowed to compromise accuracy. The calculations have been tested against international benchmarks with excellent results. (Post-processing tests have been carried out on impulse responses described in a report by J.S. Bradley, “An international comparison of room acoustics measurement systems,” National Research Council of Canada (1996)).

•

The room acoustical parameter results are given with a considerably higher accuracy than the typical measurement repeatability when repeating measurements in a given position in a normal room.

•

To avoid time consuming calculations, do not permit excessive impulse response lengths and sampling rates.

•

For the noise detection and truncation compensation algorithms to work optimally, the impulse response should be sufficiently long to have a late part with a stationary noise floor, also after filtering in the analysis bands.

•

Observe normal caution required for high quality MLS measurements, like avoiding time wrapping, distortion and long averaging times in slowly time-varying systems.

•

It can be worthwhile spending some time finding the right setup and level settings when measuring in a new room, to find the optimum trade-off between background noise (acoustical and electronic) and spurious components due to distortion. Loud is not always best in terms of resulting signal-to-noise ratio, due to loudspeaker distortion.

•

Always control the measurement quality while there is still time to repeat the measurement. Check normalized, logarithmic impulse responses to check whether the response is sufficiently raised above the noise floor and distortion components. Check room acoustical parameters for sensibility. Check decay ranges. Check filtered Schroeder plots to pinpoint anomalies.

•

The calculations will in general be meaningless if performed on non-impulsive sound records, even if results may be shown.

•

The calculations might be inaccurate when performed on impulse responses with very short decay times, for instance electronic systems (amplifiers, filters, etc.). The decay curve formation is based on the assumption that decay times are on the order of at least a tenth of a second, like it will be in any room but an anechoic chamber.

•

Examples of measured room impulse responses and corresponding parameters in text-file format are given in the WinMLS measurement examples folders.

•

Further descriptions of sensible measurement procedures can be found in ISO 3382.


Specification of input impulse responses

The room acoustics calculations operate on a primary and an optional secondary impulse response. Most parameters are based on a single response, usually measured with an omni-directional microphone. These parameters are always calculated from the primary response. Some parameters, like lateral fractions and interaural crosscorrelations, are based on two responses. In these cases a secondary response must be provided as well, measured with an omni-directional or figure-of-8 microphone. The primary and secondary impulse responses must always have the same length and sampling frequency.

Specification of input responses to the room acoustics calculations is done by making the responses active in plot windows. The primary response is always taken as the active measurement in the upper plot, and the secondary response is taken as the active measurement in the lower plot. If only a single plot is displayed, its active measurement becomes the primary response. The secondary response is still the active measurement in the lower plot, and is specified in the Measurement Selection Toolbar (shown in the figure below) or in Plot->Select Plot Type(s) and Active Measurement. In any case, it is a good idea to check one of these to make sure that the correct impulse responses are specified before room acoustics calculation is initiated.

After a measurement the resulting response becomes the active measurement in the current plot window. It is therefore automatically chosen for room acoustics calculations. Measurement channel two can be automatically sent to the lower plot by checking the appropriate box in the bottom part of Measurement->Measurement Tasks.... If it is checked and a multi-channel measurement is performed, channel 1 will be plotted in the upper plot and channel 2 will be plotted in the lower plot. Make sure two plots are viewed, with only one plot channel two will not be displayed.

If several measurements are inserted using File->Insert…, the first measurement will be displayed in the upper plot, the second will be displayed in the lower plot, the third will be displayed in the upper plot, and the forth in the lower, and so on. Note that measurements may be selected in any order by clicking on the measurement files in the File->Insert… dialog.


Shortcut keys

F2 | Measurement->Start Measurement
ESCAPE | Measurement->Cancel Measurement
F3 | Measurement->Test Current Levels
Ctrl+”F” | Measurement->General Frequency Domain Settings…
Ctrl+”W” | Time data window settings for active measurement
F1 | Help->Help Topics...
F5 | Plot->Plot Type Settings for Active Plot...
F6 | Plot->Chart Settings for Active Plot...
F7 | Measurement->Measurement Information...
F8 | Measurement->Sound Card Settings...
F9 | Measuremetnt->Hardware Calibration...
F10 | Measuremetnt->Measurement Settings Toolbar
F11 | Measuremetnt->Measurement Tasks...
F12 | Measuremetnt->Defaults for Saving...
Ctrl+”A” | File->Save Active Plot As…
Ctrl+”I” | File->Insert in Active Group...
Ctrl+”N” | File->New Group
Ctrl+”O” | File->Open...
Ctrl+”P” | File->Print Active Plot
Ctrl+”S” | File->Save Active Measurement As…
Ctrl+”L” | View->Volume and Input Level(s) Dialog
Ctrl+INSERT | Edit->Copy to clipboard…
Ctrl+”C” | Edit->Copy to clipboard…
Ctrl+”M” | File->Save Active Measurement->As Meas Sys Corr File…
Ctrl+Alt+”C” | File->Save Active Measurement->With Filename <_ActiveMeas_>…


Structure

This section gives an overview of the way the measurement system is structured.

More:


Measurement System Structure

Below is a figure of the structure of a typical measurement system based on WinMLS software.


Software File Structure

The files the the software is using is illustrated in the two combined figures below. The third figure lists the directory structure where these files can be found

Figure 8 Software file structure for obtaining a measurement.

Figure 9 Software file structure for post-processing and plotting a measurement.

Figure 10 Listing of the WinMLS2000 Directory Structure.

More:


Writing a program for reading the .wmb file format

An example of reading the recommended measurement file format .wmb is given in the file loadimp.m found in the folder where WinMLS is installed. It is written in the Matlab programming language, but is very similar to C. The file format is listed in the file format.h also found in the folder where WinMLS is installed.


Troubleshooting and Known Issues

More:


Troubleshooting

More:

WinMLS mixer and Windows XP

My measurements look too good, why?

Changing preferred sound devices

I can hear feedback, how can it be turned off?

Why does a small change the in volume settings in WinMLS give no effect?

Trouble with WinMLS protection.

Problems with IBM TP 600X laptop running Windows 2000

The plot background colors look strange, why?

An error message is given when trying to perform a measurement, why?


WinMLS mixer and Windows XP

WinMLS mixer not working in Windows XP problem was solved. This is a problem only for the sound cards that can select between line input and mic input in the WinMLS mixer. This is not possible e.g. with the Digigram VXpocket.

There is a bug in Windows XP that makes WinMLS select the wrong input line for the mixer. We have compensated for this, so it should work. Please note that the Windows XP bug may be fixed in future versions of the operative system. Please contact us if you have this problem with this.


My measurements look too good, why?

This may be because somehow the output signal may be directly connected to the input (the sound card may be defective or badly constructed). This has been reported for an early version of SoundBlaster 128, SB128PCT (CT4700). However, the SB128 PCI (CT4810) has been reported not to have this problem.


Changing preferred sound devices

When changing the preferred sound device in windows multimedia properties, WinMLS does not work properly, how to fix this? WinMLS uses a device number for identifying the sound devices. When changing the preferred device in multimedia settings this number will change, this will affect the WinMLS device settings. Therefore, make sure to first set the preferred device in multimedia settings. Then to go to Measurement->Sound Card Settings... and make sure the correct input device and output device is chosen.


I can hear feedback, how can it be turned off?

You may experience feedback when connecting speakers and microphones to your sound card. This is because the sound card may patch the signal present on the input to the output. If the WinMLS mixer is used (set in Measurement-> Sound Card Settings…), this should be avoided by making sure [image] is checked under Advanced Settings in Measurement->Sound Card Settings….

If the WinMLS mixer is not used, the feedback is not just annoying but can affect the measurements as well, Feedback is detected as false echoes in the impulse response and as comb filtering in the frequency response. The unwanted feedback can be turned off using the Windows sound card mixer. The setting in the Windows sound card mixer that gives the feedback has different names depending on the sound card. If you mute all inputs and outputs that you are not using for the measurement signals the feedback should be damped. See the chapter If your Sound Card does not support the WinMLS Mixer in the WinMLS2000 User’s Guide for more information.


Why does a small change the in volume settings in WinMLS give no effect?

If the WinMLS mixer is calibrated (see Measurement->Hardware Calibration...), a change in the volume setting will always have an effect since the calibration procedure has detected the level steps. However, if the mixer is not calibrated, the sound card level steps have not been detected, and slight changes in volume may not be supported. There should be at least 16 different levels and maximally 65535 levels of volume to choose from.


Trouble with WinMLS protection.

In very few cases there seems to be a problem with the protection software that causes the 20 days evaluation period to end before it is supposed to. If this happens, please contact us.


Problems with IBM TP 600X laptop running Windows 2000

This laptop had software that overrides the windows mixer. Therefore there were problems automatically adjusting the input level. Please contact us if you have similar problems.


The plot background colors look strange, why?

The gradient colors used as background in WinMLS may look strange. This is because your PC supports only 16 colors. It can easily be fixed by selecting more than 16 colors. From the Start button select Settings, then Control Panel. Select Display, in the Display dialog box select the Settings tab. Select at least 256 colors. Another way of solving this is to use the post-processing setup called “NoBackgroundColors” or “BlackNWhite”. This can be done e.g. in Save/Load Post-proc Setup... on the Plot menu.


An error message is given when trying to perform a measurement, why?

If you have an old sound card, it may not support stereo full duplex. If you have a mono full duplex sound card (this is the case for some older sound cards, but very unlikely if your sound card is new), then go to Measurement->Sound Card Settings and make sure 1-ch mode is set according to the figure below:


Issues

More:

Double-clicking in the plot will not open the plot type settings dialog

Opening/inserting .txt-files

Room Acoustics

Toolbar positioning

Abnormal termination on shutdown

Loading chart files

Setups toolbar

Exiting WinMLS when it is not maximized

Measurement->Set Automatic Input Level(s) is slow

Plot settings toolbar supports up to 4 decimals.

Auto-scaling of y-axis maximum value

A tip that will avoid WinMLS to crash

Special case: If two plots are displayed showing the same plot type.

Opening/inserting 24 bits .wav-files is not possible in this version

Refresh All

Plotting Guidelines

Measurement Settings toolbar

Disabling emphasis and system correction buttons

Real part and imaginary part of frequency response/spectrum

Volume and Input Level(s) Dialog button in Standard Toolbar


Double-clicking in the plot will not open the plot type settings dialog

This feature had to be disabled because it has been reported to be unstable in some cases. This is to be fixed in a future version. The plot type settings can still easily be accessed typing F5, or from the rightmost button on the Plot Toolbar.


Opening/inserting .txt-files

Opening/inserting .txt-files with first column x-axis and second column y-axis is not yet supported with first column x-axis and second column y-axis is not yet supported

Support for reading .mat-files (Matlab format) is not yet supported either.

More:


The following applies only when importing text-data is implemented:

After opening txt-file using File->Open, the plot type “Imported Data…” is selected. This will become the active plot type, and must manually be changed to another plot type (e.g. frequency response) if a measurement is to be plotted.


Room Acoustics

When a room acoustics parameter is plotted with bandwidth Broadband, the style should be set to Value. If not, the x-axis labeling will not be correct. On how to do this, see the FAQ section “How to change the x-axis of the Room Ac. Parameters plot type when plotting octave band parameters”.


Toolbar positioning

Placing several toolbars together at the very top or bottom of WinMLS may not give same positioning on restart.

The toolbars may not be positioned exactly the same way when the post-processing setup is loaded.


Abnormal termination on shutdown

It has been reported that WinMLS causes an abnormal termination when shutting down the PC if the operative system Windows Millennium is used.


Loading chart files

Loading chart files from Plot->Advanced Settings... works only if Save current chart file when saving post-processing setup is checked.

Documentation must be updated as well.


Setups toolbar

The post-processing save icon turns red if the post-processing setup is changed. It also turns red if settings in the chart files (all the settings in Plot->Chart Settings for Active Plot) are changed, but there are cases where this will not happen, e.g. on File->New… and when loading WinMLS. Also when moving toolbars or turning them on/off, the post processing setup file toolbar does not give indication that the setup is changed (red icon).


Exiting WinMLS when it is not maximized

If WinMLS is exited while it is not maximized, the toolbars will not be situated in the same positions when it is opened again. If you have problems with this, try to load a plot setup to restore old toolbar settings.

Note that an extra gridline is added at 20 kHz.


Measurement->Set Automatic Input Level(s) is slow

It works for one and two channels input, but it is slow. The user can increase the speed by manually moving the volume sliders. We plan on increase the speed if the mixer correction is used (the mixer levels are known).

The same applies for setting the output level automatically.


Plot settings toolbar supports up to 4 decimals.

If you are plotting signals with very small levels (~0.0001), the plot settings toolbar will not work very well.


Auto-scaling of y-axis maximum value

Auto-scaling y-axis maximum value is set to zero if the value is less than zero.

If you are plotting more than one curve and the plot type is time data, and the time-data-window is displayed, then auto-zooming will not work when removing a curve that has larger y-values than the other curves.

To activate the auto-zooming, click twice on the Auto-scale All button on the Plot settings toolbar.


A tip that will avoid WinMLS to crash

If you get an error message with the title Matrix<LIB> as shown below, do not click the OK button. Just continue using the software and ignore this message. If you click the OK button, this will cause WinMLS to crash.


Special case: If two plots are displayed showing the same plot type.

If two plots are displayed showing the same plot type (e.g. frequency response in both upper and lower plot), File->New… will only restore the settings for only one of these. This is because a single file is used for saving the plot-type chart settings *.tee-files.


Opening/inserting 24 bits .wav-files is not possible in this version

It is recommended to use the .wmb-format for saving 24 bits files.


Refresh All

Plot->Refresh All will not update the colors correctly if there exists several curves of the same measurement.


Plotting Guidelines

If several curves are in the plot, it may happen that an error will occur in plotting Guidelines.


Measurement Settings toolbar

When the number of pre-sequences is changed, the total measurement time readout is not updated.


Disabling emphasis and system correction buttons

They will not be disabled when WinMLS is started if the temporary setup is different than the master setup.


Real part and imaginary part of frequency response/spectrum

It is not available yet, but is planned to be included.

The shortcut keys shown below are supported.


Volume and Input Level(s) Dialog button in Standard Toolbar

When using this button to toggle the Volume and Input Level(s) Dialog, the first time the dialog is shown, when the main window of WinMLS gets the focus, the toggle is turned off even though it should not. This happens only the first time the dialog box is opened and is easily solved by clicking two times on the button.


Sound Cards

Sound cards that have been tested with the WinMLS software is presented and recommendations are given. We recommend the cards VXpocket and VX222 and you may order these cards by contacting us or from the Purchase section of www.winmls.com. Your order will be shipped directly to you from Digigram, so we are able to give you a good price. For more about the recommended cards, see below.

If you already have a sound card you wish to use, we recommend that you try to find the chapter about this sound card in this documentation (you may use the search function). If you have a sound card that is not on the list of tested sound devices, we recommend that you test it. If you follow the chapter The first measurements walk-through you will learn how to measure the frequency response of the sound card.

Please report to us the results of your test. Measurements of some sound devices are found in the WinMLS folder under Measurements->SoundCards (if you do not find them, you must download the example measurements from our homepage).

We should have chosen to use the term “sound device” instead of “sound card” since “sound card” is not a good word for the range of possible sound hardware (e.g. a USB devices should not be called a card). Still, we use the term sound card, since it is so often used.

More:

Recommended Sound Cards

General information about the Digigram cards (VXpocket, PCXpocket, PCX9 and VX 222)

Sound Devices that have been tested not work with WinMLS

Sound Cards that have been tested to work with WinMLS

PCI cards

ISA cards

USB Devices

Firewire Devices

PCMCIA cards (laptop)

Sound Chips/Laptops


Recommended Sound Cards

Most of the cards that have been tested will give decent results for ordinary measurements, except for the very high and low frequencies.

If you are going to purchase a new card we recommend that you study this document and find a suited card for your type of measurements. The Sound Blaster cards should in general work fine, but for the new cards (SB Live, PCI128 and other Sound Blaster compatible cards) only work with MLS measurements at sampling frequencies 48, 24 and 12 kHz. This is because they work internally only at 48 kHz and other sampling frequencies (except for 24 and 12 kHz) are obtained by an internal frequency conversion that give poor results for MLS measurements.

An USB device has the advantages that it can be used on a laptop, and easily be moved from one PC/laptop to another.We tested the USB device Creative Extigy, and were quite pleased, the price makes it a good alternative. There is another USB device available, the EGO-SYS U2A USB Audio Interface. We have received reports that this is working fine, but we have not tested it ourselves yet.

If you are doing high-end measurements you should read the recommendations below and also the information given below about the cards that you plan to choose.

More:


High-end measurements

For a high-end stationary system, we recommend the Digigram VX 222 or one of the high quality analog cards or digital cards (e.g. Prodif). You may order these cards from the Purchase section of www.winmls.com (or by contacting us). They will be shipped directly to you from Digigram, so we are able to give you a good price. Please note that with the card Lynx 2C, you are able to perform measurements with a sampling rate of up to 215 kHz, in addition it has 6 input channels and can be extended to 24 input channels. This card is very good and you may also order this card by contacting us.

For a high-end portable system, we recommend the card VX Pocket by Digigram. Alternatively, you could use a laptop with a docking station and install one of the high quality sound cards listed below.

We recommend the two Digigram cards VXPocket (laptop) and VX222 (stationary PC) since they are of high quality, support most of the WinMLS features (such as level and mixer calibration) and have been tested well. Several professionals have been using these cards with WinMLS for more than two years with good results reported.

The VXPocket is a PCMCIA card to be used in a laptop and the VX222 is a PCI card to be used in a stationary PC. It is an advantage that the cards have the same drivers, this means that if you have both a stationary and portable system, they will be very similar. The card has a stereo line/microphone input. We also like that the mixer has 0.25 dB steps, which makes setting the levels simple. The cards can be ordered from us. Note that Digigram has released a 4-channel PCMCIA card, PCXpocket440 that should be suitable for 4-channel measurements.


General information about the Digigram cards (VXpocket, PCXpocket, PCX9 and VX 222)

Issues common to these cards for usage with WinMLS are described below. Please also read the section in this document describing the specific Digigram card you plan to use.

The WinMLS Audio Mixer is supported, but is not able to choose between analog and digital input. This is done from the windows input mixer or the Digigram mixer.

More:

Digital input/output

Note on installation of the driver

How to use this sound card for doing calibrated measurements?

How to switch from line input to microphone input?

Do you need sample-accurate initial time delay?

Standby mode

Breakout cables

Heating of the card may slightly affects the absolute level calibration


Digital input/output

Digital mode has been tested to work with the output when connecting to some external DA, but it may not work for input. We tested that a digital loop-back measurement cannot be performed.


Note on installation of the driver

We think we found a possible cause of the problem reported when installing the Digigram Vxpocket card driver. If you have problems please read the section below.

Please read the Digigram readme-file and make sure you read the last part of the installation procedure. I was installing a card on Windows 2000 today and did not install the Wave-driver, which is the one we need. I installed the direct sound driver instead. The result was that the card was able to do playback, but not able to record, and when opening the Digigram mixer, the message Card not detected was displayed. Another thing showing that the direct sound driver is installed instead of the Wave driver is that the name of the input device is VXpocket Audio Card (WDM). When I installed the wave-driver everything worked.


How to use this sound card for doing calibrated measurements?

You may do this the usual way by following the calibration procedures in the FAQ: Measurement part of the help file (also found in the ‘Frequently Asked Questions’ pdf-file).

But it can be done very easily by loading nominal values:

From Measurement->Measurement Setup..., make sure [image] is checked since we want to load the sound card and calibration settings. Then select the measurement settings setup VX222-VXPocket. and click the [image] button to load a new setup. This will load the nominal values for the line input and output levels for these Digigram cards. The WinMLS mixer levels will also be given correct nominal values. Finally a measurement system correction file is specified. This will correct for the frequency response and time delay of the sound card. We recommend that you measure this measurement system correction on your sound card, see How to correct for the influence of the measurement system? in the FAQ:Measurement section on how to do this. (you can turn it off by clicking the [image] button on the Measurement Settings Toolbar)

Note that these nominal input and output levels applies only if the advanced input and advanced output settings of the Digigram mixer are set to their default values. If these are changed, the nominal values in WinMLS must be changed. This is covered in the next section.


How to switch from line input to microphone input?

The nominal input levels can be adjusted and the input can be selected as line input or microphone input. For a portable system it is very convenient to connect the microphone directly to the sound card (do not forget the phantom power supply if your microphone needs that). How to do this on the Digigram PCMCIA cards will now be described (The VX222 PCI-card features a selectable digital gain up to +18dB, but cannot be used as a microphone input).

Before you use the microphone input, please note that due to a Digigram bug, the WinMLS input mixer does not work. It works if you have an old driver (Wave driver version 2.30 or older), and they have promised to fixe it in the new driver released. If you need an older driver, contact Digigram about this (www.digigram.com).

The nominal input level settings are found by clicking the Advanced Input button in the Digigram Wave Mixer. This will open this dialog box

Nominal in determines the nominal microphone input level while recording.

Headroom determines the available headroom while recording at nominal level. Adding headroom to nominal level should not exceed maximum input level of the microphone input.

The VXpocket, PCXpocket and PCX9 (ISA and PCI) have both Line and Microphone input levels.

For the VXpocket, PCXpocket and PCX9 (ISA and PCI) cards you may select if the input is to have Line or Microphone input levels. To set it to microphone input level, Nominal Input + Headroom Input must be LESS than the cards' MAX Microphone input (hardware dBu value). These values are -26 for Pocket type of cards and -18 for PCX9. So, for example, to get Microphone input levels, on Pocket cards you can select: Nominal In = -27.0 and Headroom In = 0.0. Note that Nominal and Headroom setting modifications are updated immediately.

WinMLS does not automatically consider this, therefore when adjusting the nominal input levels as will be described below; the WinMLS input absolute calibration (Measurement->Hardware Calibration…) must be performed.

The simplest way of doing this is to note how much you changed the advanced input/output in the Digigram Mixer. Then change the Sound card conversion number shown below with the same amount.

This number is found by clicking the [image] button for the input calibration in Measurement->Hardware Calibration.... We recommend that you test that this gives the correct levels using a signal with known level.


Do you need sample-accurate initial time delay?

If WinMLS is not in loop-back mode (See the Include initial time delay in meas.? drop-down list in Measurement->Sound Card Settings...), note that the initial time delay of the sound card varies with one sample (for the VXpocket 440 card it currently varies much more). This means that if you want the exact same initial time delay from one measurement to another you should make sure WinMLS is in loop-back mode (it uses channel two for the synchronization loop-back).


Standby mode

The current version of the Digigram driver has the problem that if your PC goes to standby mode, the PC must be restarted in order to perform a WinMLS measurement. This should have been fixed in the new version of the driver, if not we strongly suggest that you make sure that your PC does not automatically enter standby mode. This seems not to be a problem if you do not have any software that accesses the sound card running, so if you remember to close WinMLS before the PC goes to standby should be fine.


Breakout cables

The breakout cables of the VXpocket and PCXpocket may be damaged if you do not screw it to the PC using the screws that come with the cable. A new cable typically costs $ 100.


Heating of the card may slightly affects the absolute level calibration

The VXpocket (and possibly the PCXpocket) card can get quite hot (45degC) when positioned in the PC Card slot with anther PC card. This affects the input sensitivity slightly. Tests have shown that the input sensitivity is directly related to the card's temperature and stabilizes after about one hour. The change in the input sensitivity is approximately 0.001dB/degC. The maximum difference seems to be ~0.015 dB. This is not significant for acoustic measurements but electrical measurements may demand better accuracy. In this case it is recommended to leave the computer on for about 1 hour before performing critical measurements. The output sensitivity is unaffected by operating temperature of the sound card.


Sound Devices that have been tested not work with WinMLS

Some sound devices do not support simultaneous play and record and therefore cannot run WinMLS. Most of the newer cards support simultaneous play and record operation, but may not work with WinMLS due to errors in the hardware or with the driver.

The list below shows the cards that have been tested and been shown not to work with WinMLS. If this is because of a bug in the sound device driver, note that the sound device may work with future releases of the driver. It is also possible that some of these have an internal sampling of 48 kHz, this means that they will work properly only at sampling frequencies 48, 24 and 12 kHz.

USBPre 1.5 – this is a USB device with built-in microphone preamplifier. Very nice, but because of synchronization problems it can’t be used for MLS measurements. The AD and DA seem not to use the same clock.

Roland USB Audio Interface (UA-30) – had synchronization problems.

SonicPort – This is a device for the USB port. It seems to work fine, but in full duplex mode it does not work properly and we were not able to get correct measurements using this device.

LP600 – did not seem to work.

Turtle Beach Montego – synchronization problems. Sampling frequency 48 kHz might work.

Turtle Beach Montego 2– synchronization problems. Sampling frequency 48 kHz might work.

Yamaha DS-XG – synchronization problems. Sampling frequency 48 kHz might work.

Event Darla, Layla and Gina - synchronization problems.


Sound Cards that have been tested to work with WinMLS

Sound Devices PCI (stationary PC) | Chan-nels | Mixer | Mic. Input | Price | AD/DA bit | Fs [kHz] | Noise | Frequency Range [Hz]
VX222 (Digigram) | 2 | Yes | Adj. | $430 | 24 | 48 | ++ | 5 – 24k
TB Santa Cruz | 2 | Yes | Yes | ? | ? | 48 | + | 8-23KHz
Terratec EWX 24/96 | 2 | Yes | No | ? | 24 | 96 | +++ | 3-46 kHz
Card Deluxe | 2 | No | No | ? | 24 | 96 | +++ | ?
PRODIF 96 PRO | 2 | No | No | ? | 24 | 96 | +++ | 5 – 46k
LynxTWO | 6 | No | No | $1100 | 24 | 215** | +++ |
Waveterminal 192X | 2 | Yes | No | $399 | 24 | 48 | ++ | 2-23k
Delta 1010LT | 8 | Yes | Yes |  | 24 | 96 | ++ |
Hammerfall DIGI9652 | 24 | No | No | $775 | 24 | 96 | DIG | ?
Sonorus STUDI/O | 16 | No | No | $849 | 24 | 96 | DIG | ?
MULTIWAV PRO18 | 2 | No | No | ? | 24 | 48 | DIG | ?
Soundtrack 128 Ruby | 2 | Yes | Yes | $300 | 20 | 48 | +(+) | 9 – 20k
Midiman DMAN 2044 | 1 | No | No | $280 | 20 | 48 | ++ | 10 – 22k
SEK’D Siena | 8 | No | No | $500 | 24 | 96 | ++ |
SEK’D ARC 88 | 8 | No | No | $500 | 16 | 48 | + | 20 – 20k
Ensoniq Audio PCI | 1 | Yes | Mono | ? | 16 | 48* | + | 8 – 23k
Ensoniq Audio PCI | 1 | Yes | Mono | $40 | 16 | 48* | + | 5 – 22k
Sound Blaster PCI64 | 1 | Yes | Mono | $40 | 16 | 48* | + | 5 – 22k
Sound Blaster PCI128 | 1 | Yes | Mono | ? | 16 | 48* | + | 5 – 22k
SB Live Value | 2 | Yes | Mono | ? | 16? | 48* | + | 7 – 16k
SB Live Platinum | 2 | Yes | Mono | ? | 16? | 48* | + | 7 – 20k
ISA (stationary PC) |  |  |  |  |  |  |  |
TB Monterey/Tahiti | 2 | Yes | No | $200 | 18 | 44.1 | + | 0 – 20k
TB Fiji/Pinnacle | 2 | Yes | Stereo | $350 | 20 | 48 | ++ | 5 – 23k
Sound Blaster AWE 64 | 2 | Yes | Mono | $70 | 16 | 48 | - | 10 – 21k
Sound Blaster 16 | 2 | Yes | Mono | $20 | 16 | 44.1 | - | 50 – 20k
Sound Blaster AWE 32 | 2 | Yes | Mono | $30 | 16 | 44.1 | - | 20 – 19k
SEK’D ARC 44 | 4 | No | No | $250 | 16 | 48 | 0 | 60 – 19k
Crystal CS32BA11 | 2 | No | Mono | $30 | 16 | 48 | - | 20 – 20k
ESS 1868 | 1 | Yes | Mono | $20 | 16 | 44.1 | - | 50 – 9k
CARDD PLUS | 2 | No | No | $400 | 18 | 48 | +(+) | 10 – 22k
TB Multisound Classic | ? | ? | ? | ? | ? | ? | ? | ?
USB |  |  |  |  |  |  |  |
Creative Extigy | 2 | Yes | Mono | $130? | 24 | 48 | ++ | 3 – 23k
Egosys U2A | 2 | No | - | - | - | - | - | 1.5 – 23k
Firewire |  |  |  |  |  |  |  |
MOTU 828 | 8 | ? | - | - | - | - | - | 5 – 23k
PCMCIA (Laptop) |  |  |  |  |  |  |  |
VXpocket (Digigram) | 2 | Yes | Adj. | E610 | 24 | 48 | ++ | 5 – 24 k
VXpocket 440 (Digigram) | 4 | Yes | Adj | E850 | 24 | 48 | ++ | 5 – 24 k
PCXPocket V2 | 2 | Yes | No | $1400 | 20 | 48 | +(+) | 5 – 23 k
Sound Chips/Laptops |  |  |  |  |  |  |  |
Yamaha AC-XG | 2 | Yes | ? | - | 16 | 48 | 0 | 45 – 14k
Dell Inspiron 3800 (Ess Media 3) | 2 | Yes | Yes | - | 16 | 48 | + | 10 – 20k
IBM x20 (Crystal Soundfusion) |  | Yes | Yes | - | 16 | 48 | + | 6 – 20k
IBM Thinkpad A22E (Crystal) | 2 | Yes | Yes | - | 16 | 48 | - | 6 – 20k
Dell Latitude CPt 500GT | 2 | Yes | Mono | - | 16 | 48* | + | ?
MagicMedia 256, (Dell) | 2 | Yes | Mono | - | 16 | 48 | + | 7-20k
OPL3-Sax | 2 | Yes | Yes | - | 16 | 48 | - | 30– 21k
CS4232, Thinkpad 380 | 1? | Yes | Yes | - | 16 | ? | - | 80– 19k
CS423x, Tosh. Tecra | 2 | ? | Yes | - | 16 | ? | - | 100– 7k
ESS 1878 | 1 | Yes | Yes | - | 16 | 44.1 | - | ?
ESS Maestro | 2 | Yes | Yes | - | 16 | 48 | + | 8-20

* Works only for sampling frequency 48 kHz (and probably 24 and 12 kHz, but this has not been tested for all the cards)

** Currently 200 kHz, a special driver version that can handle 215 kHz will soon be released.

The list above shows the cards that have been tested and been shown to work with WinMLS. If you have, or plan to purchase, a card on the list, please read the comments on the card below. In the chapter above we provide a list of sound devices that does not work with WinMLS. Cards that are not on any of these lists may also work fine. Please report to us if you test a card that is not on the list. Note that we cannot give any guarantee that the information in this document is correct.

If you intend to do 2 channel measurements with correct initial time delay, you need a feedback loop from your sound device output directly to the sound device input (except for some professional cards). In this case we recommend sound cards that have a microphone input in addition to the usual line input for this purpose. If the sound device you are using does not have any microphone input in addition to the line input, a special feedback loop device has to be built or purchased from us. More information about this is given in the User’s Guide.

More:


Explanations

We cannot guarantee information given in the table above may contain errors. Note that the sound devices working with Widows 95 should also work with Win 98 and ME. The OPL3-SAx that is listed under Sound Chips is also used on sound devices. Each term in the table is explained below:

Sound Devices displays the name of the sound devices. At the bottom of the list, sound chips usually used in laptops are displayed.

Channel(s) indicate the maximum number of channels that can be measured with WinMLS using the sound device. Note that the ARC88 can measure 8 channels, but a hardware error gives a small time difference between the channel pairs. Note also that Midiman DMAN 2044 is a 4-channel card, but it can only be used for 1-channel measurements without feedback loop in the current version of WinMLS.

Mixer tells if the sound device supports the built in WinMLS audio mixer that makes it easier to perform the measurements and you may also save volume settings for each measurement. If the WinMLS audio mixer is not supported, you may still perform measurements; especially the ARC44 and ARC88 have a nice external mixer.

Mic. input tells if the sound device has an input for microphone. If “Adj.”, then the card has a input that can be selected to be either line or microphone input. If “Yes” there is a microphone input in addition to the line input and you can do 2 channel measurements with feedback loop without having to order a special device for this (If you want to, we can supply such a device). You can connect a feedback loop to either the line input or the microphone input, and use the other input for your measurements. See the User’s Guide for more information about this.

Price, the suggested price of the cards is only meant to give an indication and may not be correct.

AD/DA tells how many bits the analog to digital and digital to analog converters is. Note that for most of the sound devices and in the current version of WinMLS, only 16 bits digital play and record is supported. So the extra bits that the 18 and 20 bits converts have are not used. Anyway the cards that have 18 and 20 bits converters usually do have less background noise than the cards having 16 bits converters.

Fs [kHz]– This column displays the upper sampling frequency that the sound device supports. In addition to this, all the sound devices in the table support 11025 kHz, 22050 kHz and 44100 kHz. Some sound devices like the ARC44 support a wide range of sampling frequencies.

Noise indicates the level of the background noise. DIG means that the card is digital and converters are needed. +++ means an extremely low noise level (better than -100 dB A-weighed), ++ means very low level (appr. -96 dB A-weighed), + means low level (appr. -85 dB), 0 means a fairly low level ( appr. –75 dB), - means quite high level (the range –75 dB to -50 dB). Note that other systems for MLS measurements use 12-bits cards, which gives at best a background noise level of –76 dB. Unless you want extremely accurate measurements, the level of background noise does not have to be critical. In many cases increasing the measurements time can average it out.

Frequency Range - Frequency response range given as the upper and lower frequencies where the magnitude frequency response is -3 dB down. For the sound devices that have built-in bass and treble settings, e.g. the OPL3-Sax, this was difficult to measure because the frequency response is not flat in the middle. If no comment is added, the bass and treble settings were set to maximum value during the measurements and we measured the frequencies where the drop-off is 3 dB down from the average value of the frequency response in the “linear range”. In this case we have measured the maximum frequency range.

Operative System tells if the sound device can be run in Windows 95(98) and/or in Windows NT. If it supports Windows 95 then it should support Windows 98 also.


PCI cards

More:

Sek'd Prodif 96 Pro

LynxTWO

Waveterminal 192X

Delta 1010LT

Digigram VX222

TB Santa Cruz

Terratec EWX 24/96

Card Deluxe

RME Hammerfall DIGI9652

Sonorus STUDI/O

MULTIWAV PRO18

Soundtrack 128 DDMA

Midiman DMAN 2044

SEK'D Siena

SEK'D ARC88

Ensoniq Audio PCI

Sound Blaster PCI 64

Sound Blaster PCI 128

SB Live Value

SB Live Platinum


Sek'd Prodif 96 Pro

Sek’d Prodif 96 Pro

This is a 24 bit (20 bit effective) 96 kHz card, with 2 analog and 2 digital (S/PDIFF, AES/EBU, ADAT, optical (toslink) in/outputs. It has been tested by one of our customers, Peutz & Associés B.V. They found that the signal to noise ratio is approx -130 dB and the lower frequency limit approx. 5 Hz (-6 dB) without compensation. The 2 analog and 2 digital in/outputs are usable at the same time. Several cards can be linked for synchronous multi-channel measurements. See http://www.sekd.com/Prodif96/Prodif96.htm.


LynxTWO

Measure multi-channel with full bandwidth up to 96 kHz with WinMLS2000!

Using the Lynx2 sound card you can do this since it can measure with sampling frequencies up to 200 kHz (215 kHz is promised). And the good thing, the Lynx2C card has 6 analog inputs. All the channels have been tested (Windows 98 and Windows XP) and was found to be synchronized. Note that you need a special version of WinMLS to be able to measure with sampling frequencies above 96 kHz.

The WinMLS mixer is not supported, the Lynx mixer works in the digital domain so the levels should be kept at maximum. Use external (outside of PC) mixer is recommended to set levels if you want the best results.

24 bits sampling is supported, and works if you select 32 bits in WinMLS.

Measuring at sampling frequency 200 Hz, we found that the response was -10 dB at 100 kHz to avoid aliasing.

The time delay is always the same when used with WinMLS (according to our tests) and is given below:

Time delay for Fs < 50.5 kHz, 64 samples

Time delay for Fs >= 50.5 kHz < 101 kHz, 47 samples

Time delay for Fs >= 101 kHz , 40 samples


Waveterminal 192X

In March 2002 we tested driver version 3.50 of the Waveterminal mixer (also called Console).

Make sure the sampling frequency is set to AUTO, if not it is impossible to perform a measurement.

Sampling frequency 16, 88 and 96 kHz did not work, got only noise.

96 kHz worked only when we set Latency to 2048 samples, and even then we got noise when doing a loop-back measurement. 192 kHz is not possible with the current version of the driver. 24 bits output was not possible.

32 bits input/output was not possible


Delta 1010LT

This sound card was tested with 8-channel measurements, and it worked fine except that we were not able to get 24 bits analog working in WinXP and the WinMLS mixer could not work in Win98. We did not test any other operative systems.

See http://www.m-audio.com.


Digigram VX222

This card has several types of external connectors available.

Max output level is 22 dBu. Output level adjustment: down to - 91.5 dBu by 0.5 dB steps.

The VX222 features a selectable digital input gain up to +18dB.

SNR (un-weighted): better than 93 dB

THD + Noise (un-weighted): better than -90 dB (0.003%) with 1 kHz signal at -1 dB FS

Frequency response (20 Hz / 20 kHz): +- 0.1 dB

Difference in phase (20 Hz / 20 kHz): 0.2 degrees / 2 degrees

Inter-channel isolation at 1 kHz: better than -95 dB

Read more about this card in the chapter General information about the Digigram cards (VXpocket, PCXpocket, PCX9 and VX 222).

The Digigram homepage URL is www.digigram.com.


TB Santa Cruz

This card has noise components at 50, 150, 250, … This was found by windowing the last half of the impulse response using a Hamming (full) window and plotting the resulting magnitude frequency response. The measurement is available in the Soundcards folder.


Terratec EWX 24/96

The tests were done using the analog input/output (the card also has spdif) by Kjell Olav Aalmo. The operative systems Win98 and Win2000 were used for the test. Win2000 did not work in 24 bits mode. It worked fine in Win98.

The sensitivity can be set to +4dBu and -10dBV on both input and output. The card also has an extra input amplifier that can be set in the range 0 to +18 dB. Supported sampling frequencies: 8000, 9600, 11025, 12000, 16000, ,22050, 24000, 32000, 44100, 48000, 88200, 96000. The buffer size can be adjusted to optimize.

More info is found at:

http://www.terratec.net/products/ewx2496/ewx2496_details.htm


Card Deluxe

High quality card that showed good results in our tests, but note that it does not have a software mixer. Very good specifications, it has four built-in mono full size jack connectors. In order to get a correct measurement, the analog input monitoring must be turned off. If not, there will be an internal loop-back.

More details are found at

http://www.digitalaudio.com/carddeluxe/default.htm


RME Hammerfall DIGI9652

High quality digital card. For more information about the card and about AD/DA converters please see http://www.rme-audio.com/english/index.htm


Sonorus STUDI/O

Please see http://www.sonorus.com for information.


MULTIWAV PRO18

Please see http://www.sonorus.com for information.


Soundtrack 128 DDMA

Read about this card and place international orders online at

http://www.hoontech.com/

SNR has been measured to be better than –84 dB at the line input. The card has many interesting options. The SoundTrack Analog(ADC/DAC) Bracket can be added to the card. It is a 120dB, 96Khz 24bit high-performance Analog to Digital Converter for SoundTrack 128 family and SoundTrack Digital audio series. It only costs $99.


Midiman DMAN 2044

Midiman DMAN 2044 is a 4-channel card, but it can only be used for 1-channel measurements without feedback loop in the current version of WinMLS. Note that you need a physical mixer device to control the input volume.


SEK'D Siena

SEK’D Siena

This is the new version of the Sek’d ARC88 card, and the problems with the ARC88 card (see below) seem to be fixed. It has 8 channels, 24 bit and 96 kHz sampling frequency, it also has a nice mixer, but it cannot be controlled by WinMLS. The connectors are phono, but it is possible to purchase a box front end. Note that channel 1 (left) is one sample ahead of the other channels (2-8). This might have been fixed in the latest driver. Please see http://www.sekd.com for more information.


SEK'D ARC88

SEK’D ARC88

Note that the ARC88 can measure 8 channels, but due to a hardware error there is a small time difference between the channel pairs. It has been developed drivers for NT which we have tested and have found to work except that some measurement give an error message when using feedback loop.

The input channels are switched (input ch. 1 is really input ch. 2, input ch. 3 is really input ch. 4. and so on). This means when using feedback loop, make sure “Feedback Loop Input always on Ch. 1” is on.

Please see http://www.sekd.com for more information.


Ensoniq Audio PCI

The audio quality is good, and the price is very low. The card also supports the WinMLS Audio Mixer if the microphone input is used. The card was first tested on NT 4.0 and unfortunately we could not obtain correct measurements. But when running Windows 95 it worked when we used the mono microphone input except for sequence order 11 and 12 (which is in many cases seldom used). Note that since we had to use the microphone input, only 1-channel measurement is supported. We used a driver that upgrades the card to the Sound Blaster PCI 64. Later we did a new test, and then we were able to get correct measurements on channel 2 (see the following information about the Sound Blaster PCI 64).


Sound Blaster PCI 64

This sound device is very similar to Ensoniq Audio PCI, so the information given above should apply for this card also. When the card is used in full duplex mode, there seem to be an internal loop in channel 1 of the card. This gives a very high amount of cross talk, which makes channel 1 impossible to use for MLS measurements. Channel 2 does not have this cross talk and can be used.


Sound Blaster PCI 128

For one of these cards we tested the output signal was directly connected to the input so we had –20 dB cross-talk. This may be because the sound card was defect or badly constructed. This card was an early version of SoundBlaster 128, SB128PCT (CT4700). However, the SB128 PCI (CT4810) has been reported not to have this problem.

This sound device is very similar to Ensoniq Audio PCI, so the information given above should apply for this card also. When the card is used in full duplex mode, there seem to be an internal loop in channel 1 of the card. This gives a very high amount of cross talk, which makes channel 1 impossible to use for MLS measurements. Channel 2 does not have this cross talk and can be used.


SB Live Value

Using the microphone input is problematic, but the line input gives good results. It worked fine when we used the sampling frequencies 48, 24 and 12 kHz.


SB Live Platinum

It worked fine when we used the sampling frequencies 48, 24 and 12 kHz.


ISA cards

More:

Turtle Beach Monterey/Tahiti

Turtle Beach Fiji/Pinnacle

Sound Blaster AWE 64

Sound Blaster AWE 32

Sound Blaster 16

SEK'D ARC44

Crystal CS32BA11

ESS 1868

CARDD PLUS

Turtle Beach Multisound Classic


Turtle Beach Monterey/Tahiti

This is the only high quality sound device we know of that has response down to 0 Hz. It is thus very suited for low frequency measurements. Unfortunately these cards are not produced anymore, but we have a few cards in stock, and it should be possible to get a card used. If you are using a Turtle Beach Tahiti or Monterey sound device, you must download and install the latest drivers <tah95dx.zip> to make the WinMLS Audio Mixer work properly under Windows 95. If you want to use this card under Windows NT, special drivers can be downloaded. We have tested these and they worked fine.


Turtle Beach Fiji/Pinnacle

The audio quality is very good, but in order to make WinMLS work please read the information below. The Pinnacle card is supposed to be equal to the Fiji except that it has added a MIDI interface and synthesizer.

A weakness is that when you do a measurement using feedback loop Fiji/Pinnacle can suddenly stop working and cause the PC to crash. This usually happens once for every 100 measurements. If you do not use the feedback loop option this error will not occur.

The sound device driver has a bug, but WinMLS compensates for this bug so it does not affect the measurement. However you should be sure that you use driver version 4.03 (contact us if you don’t have it). If you use driver 3.02, you will probably get an “Application Error” message. We have tested this driver and WinMLS on Windows NT 4.0, and it works fine.

If the S/PDIF input is chosen in the Windows mixer, an error message is given and WinMLS cannot run. Therefore make sure the Windows mixer input is not chosen as S/PDIF before you start WinMLS.


Sound Blaster AWE 64

All the features of WinMLS should work with this sound device. Note that the microphone input is mono.


Sound Blaster AWE 32

We have had problems getting this sound device to work when feedback loop is used. If the Windows Notification sounds are not turned off, WinMLS may crash. How this is done is explained in the user’s guide. In some configurations it is reported that using 32 averages will not work if feedback loop is used.


Sound Blaster 16

All the features of WinMLS work with this sound device. Note that the microphone input is mono.


SEK'D ARC44

SEK’D ARC44

ARC44 is a 4-channel card capable of running the 4-channel version of WinMLS. This card has been in use with WinMLS by professionals for several years.


Crystal CS32BA11

The background noise level is rather high.


ESS 1868

Can only be used for 1-channel measurements. The background noise level is high.


CARDD PLUS

A card with very good audio specifications, see their web page at http://www.digitalaudio.com/cardd/cardd.asp

It cannot use the WinMLS Audio mixer. When you use CARDD PLUS, you must make sure that you have specified CARDD PLUS as your default card for playing and recording. You can do this by clicking the Multimedia icon in the Control Panel. Set CARDD PLUS as your preferred devices in the Audio settings.


Turtle Beach Multisound Classic

A user has found that this card is working with WinMLS.


USB Devices

More:


Creative Extigy

Testing this USB device was a positive experience. We tested it using Windows 98 and a HP laptop running a Pentium 3 700 MHz and 64 Mb RAM. The installation was smooth, but we had to turn off the device, and then turn it on again, after the installation to get it to work properly. Since the Soundblaster Extigy worked so well, it is likely that the Soundblaster Audigy (which is a sound card for stationary PC) will also work.

What you should know when using this device:

In Measurement->Sound Card Settings..., go to Output line and select the lower Wave, not the upper (two Wave’s are displayed in the list).

Input Mixer shoud be set to below -7 dB (30000 uncalibrated) to get optimum SNR.

Output Mixer should be set to below -4 dB (40000 uncalibrated) to get optimum SNR.

If you want to calibrate the mixer levels, the files containing the mixer conversion factors, are available in the software. We recommend that you go to to Measurement->Hardware Calibration... and select Creative SB Extigy as WinMLS mixer OUTPUT relative calibration. For the WinMLS mixer OUTPUT relative calibration section, you have to know if you are measuring using the microphone input or the line input, since the mixer levels are slightly different in the low range. If you use the microphone input ,select Microphone - Creative SB Extigy, else select Line-In - Creative SB Extigy.

Input Mixer shoud be set to below -7 dB (30000 uncalibrated) to get optimum SNR.

Output Mixer should be set to below -4 dB (40000 uncalibrated) to get optimum SNR.

In order to get the best results, we have also provided mixer files where we have removed the levels that do not give good results? These have (Good SNR) appended to their names and can also be selected from Measurement->Hardware Calibration, example Microphone - Creative SB Extigy (Good SNR).

If you want to calibrate the sound card to measure input voltage, we found the Sound Card Input conversion to be 9.681. You may also use this number as a nominal settings, but it applies only if the mixer is calibrated.

First go to Measurement->Hardware Calibration..., then click on the upper Settings... button, then type the number in the Sound Card Conversion edit box. Do check if your measurements are reasonable using this conversion factor.

Negative: If you want a portable system it is not so good that it needs 12 Volts power supply.

Start Record/Playback can vary with 200 samples, which means that initial time-delay can only be measured correctly if using loop-back. But when measuring with loopback, we found that the End sync pulse was not detected. This was not a problem in our case, since it seems always to give correct measurement (the purpose of the End sync pulse is to detect gaps in recording/playback which ruins the measurement).

96 kHz sampling frequency was a disaster, It was not possible to get a decent measurement above 24 kHz because the filters seem to be the same as for Fs= 48 kHz. Also, we had problems sometimes getting overloaded input level.

16 and 24/32 bits use different filters, so the frequency response using 16 bits is 3-23 kHz, while for 24 bits it is 3-18 kHz using 48 kHz as sampling rate.

Positive: The price is very low. It can be used with any PC, stationary and laptop. The mixer can be calibrated. Gives very good results when used properly. Using measurement system correction, we were able to get the magnitude frequency response within +-0.012 dB from 1 Hz to 20 kHz (using seq. order 16).


Egosys U2A

It has been tested with WinMLS and is now used by one of our customers. It worked except that the internal WinMLS mixer could not be used.

For more information see

http://egosys.net/eng/product/products/wt_u2a/WTU2A.html


Firewire Devices

More:


Motu828

It is a single-rack unit device with 8 input and 8 output channels. I only use two of them with WinMLS. The loopback response is an impulse and the transfer function is flat in both magnitude and phase. The noise floor is very low. The price is about $750 USD. See frequency response below.

See below and http://www.motu.com for information.

• sampling rates 44.1, 48K

• 24-bit analog converters.

• CueMix Plus? zero-latency hardware patchthru system.

• Sample-accurate digital transfers between ADAT digital tape decks and the computer via the ADAT sync port.

• Eight 24-bit analog outputs on balanced/unbalanced 1/4" TRS jacks

• Six 24-bit analog inputs on balanced/unbalanced 1/4" TRS jacks

• Two 24-bit analog inputs on balanced/unbalanced 1/4"/XLR combo Neutrik connectors.

• Two mic pre-amps with switchable 48-volt phantom power on the front panel.

• 105dB dynamic range

• Front panel volume control over monitor input level on main outs.

• Front panel headphone jack with independent volume control.

• Front panel signal present LEDs for all analog and digital I/O.

• Trim controls for all inputs on front panel.

• Dedicated front panel clock status LEDs.

• 8 channels of 24-bit ADAT optical input/output.

• Stereo S/PDIF in/out in optical and coax formats - ADAT lightpipe and S/PDIF optical formats share the same jacks and can not be used at the same time. However, you may use ADAT lightpipe in and optical S/PDIF out simultaneously and the S/PDIF coax I/O and lightpipe I/O may be used simultaneously.analog inputs 8 channels, analog outputs 8 channels, S/PDIF RCA 2 channels, S/PDIF optical 2 channels, ADAT Lightpipe 8 channels, protocol: FireWire


PCMCIA cards (laptop)

More:


VXPocket (V2) by Digigram

The big advantage of this card is that it can be used in most laptops since it is a PCMCIA card. This card is a good solution if you need to do high quality measurements with your laptop without using a docking station. Several professional users are using it with WinMLS. The user support on the card is good.

Specifications:

Max output level is 10 dBu. Output level adjustment: down to - 91.5 dBu by 0.5 dB steps (we found that it is really in 0.25 dB steps).

SNR (un-weighted): better than 94 dB

THD + Noise (un-weighted): better than -89 dB (0.003%) with 1 kHz signal at -2 dBFS

Frequency response (20 Hz / 20 kHz): +- 0.15 dB

Difference in phase (20 Hz / 20 kHz): 0.2 degrees / 2 degrees

Interchannel isolation at 1 kHz: better than -95 dB

Do not connect a phantom power supply unit to the output of the card, It might destroy it. Note that the output signal noise will be decreased if the laptop is run only on battery and not using the power supply.

Read more about this card in the chapter General information about the Digigram cards (VXpocket, PCXpocket, PCX9 and VX 222).

The Digigram homepage URL is www.digigram.com.


VXpocket 440 by Digigram

This sound card is very similar to the VXpocket, but it has four channels. Please note that the card is not synchronized, read more about this in General information about the Digigram cards (VXpocket, PCXpocket, PCX9 and VX 222). The Digigram homepage URL is www.digigram.com.


PCXPocket by Digigram

The big advantage of this card is that it can be used in most laptops since it is a PCMCIA card. We had problems with distortion on the output, but by reducing the output volume the distortion disappeared.

The user support is very good, but the price is rather high. You may order this card from us.

Read more about this card in the chapter General information about the Digigram cards (VXpocket, PCXpocket, PCX9 and VX 222).

The Digigram homepage URL is www.digigram.com.


Sound Chips/Laptops

More:

IBM Thinkpad A22E (Crystal WMD Audio Codec)

IBM x20 (Crystal Soundfusion)

Yamaha AC-XG

Dell Inspiron 3800 (Ess Media 3)

Dell Latitude CPt 500GT

NeoMagic MagicMedia 256 CODEC

OPL3-SAx

CS4232 in IBM Thinkpad 380

CS423x in Toshiba Tecra

ESS 1878

ESS Maestro


IBM Thinkpad A22E (Crystal WMD Audio Codec)

This laptop has a Crystal WDM Audio Codec. The operative system was Win98, processor Celeron 800mhz and 64mb sdram memory.


IBM x20 (Crystal Soundfusion)

This laptop has a Crystal Soundfusion chip.


Yamaha AC-XG

Thanks to Clive Glover for measuring this device using the Toshiba 3490.


Dell Inspiron 3800 (Ess Media 3)

This laptop has a Ess Media 3.


Dell Latitude CPt 500GT

This laptop has a Sound Blaster compatible sound chip. It does not work with 44.1 kHz, but has been tested to work with 48 kHz. The test was performed by a acoustics consultant company.


NeoMagic MagicMedia 256 CODEC

This chip is built in a DELL Latitude notebook and it gave very good results as we can see from the table. The stereo crosstalk was found less than -80 dB, which is also very good. The mini-jack connectors seem to be very good. However, if feedback loop is used (to get correct initial delay), this chip did not work on all the Latitude laptops we tested. We also found that the sync output volume should be set to a low value and that the sync. input volume should be increased instead.


OPL3-SAx

The OPL3-SAx sound chip is very often used in portable computers. We have tested WinMLS on some laptops that has the sound chip, a Toshiba Satellite 320cds running Win95 and a Toshiba Satellite 230cx running WinNT. The chip is also used on sound devices.


CS4232 in IBM Thinkpad 380

This type of chip was tested on an IBM Thinkpad 380. The chip showed nice audio properties. We did not get 2-channel measurement to work. An amplifier seems to be needed for using a microphone since we did not get enough level without.


CS423x in Toshiba Tecra

This type of chip was tested on the laptop Toshiba Tecra 730CDT. The frequency range listed in the table is quite small, but is measured with no equalizing.


ESS 1878

We tested this chip on a Compaq Armada 1530 running Win95. The problem with this portable PC is that it only has no line input, but only microphone input. In addition, the chip can only do 1-channel measurements. Because of this, measurements using feedback loop is not supported.


ESS Maestro

Works with sampling frequency 48 kHz and 24 kHz, not with 44.1 kHz. However the consultant company that tested it reported that the card is not stable, it might therefore be impossible to do measurement system correction using this sound card. Please note that there is a 1 sample difference between left and right input.


FAQ: Measurement

More:

What is the easiest way of performing a measurement?

How to perform a 1-channel measurement (MLS) using WinMLS?

How to check that my sound card measurement is correct?

How to perform a triggered measurement?

How to calibrate the input of the measurement system?

How to calibrate the output of the measurement system?

How to measure the initial time delay (the distance between the loudspeaker and the microphone)?

How to correct for the influence of the measurement system?

How to do get logical filename suggestions of when performing several measurements?

How to get fine resolution on the WinMLS mixer slider?

How to use a sinusoidal excitation signal?

What format is recommended for saving measurement data?

How to convert a measurement file, e.g. of extension .wmb to .wav?

How to improve signal-to-noise ratio for low frequencies?

How to add pre-filtering (emphasis) to the excitation signal (MLS)?

How to access a measurement from memory?

How to read WinMLS files in Matlab?

How to run WinMLS as a function from Matlab?

How to run WinMLS as batch file?

Can a given setup be automatically called using DOS switches?

What is the highest sampling rate available (important for e.g. scale modeling in room acoustics)?

Can multi-channel measurements (>2 channels) be performed using WinMLS?


What is the easiest way of performing a measurement?

This is done by first loading a setup that contains the wanted settings.

Start the measurement by clicking on the [image] button (or from Measurement->Start Measurement). If you want to cancel the measurement before it is finished, click the red stop sign (alternatively Esc or Measurement->Cancel Measurement).

You can test the output level from Measurement->Test Current Levels.


How to perform a 1-channel measurement (MLS) using WinMLS?

We recommend the section ‘The First Measurements walk-through”. A short description is given below.

This explains how a 1-channel measurement in loop-back mode can be performed with a loudspeaker and a microphone. (If you do not need to measure the distance between the microphone and loudspeaker, or if your sound card is synchronized, you do not need to measure in loop-back mode. Then you do not have to connect the output right channel to input in right channel, and make sure

is set in in Measurement->Sound Card Settings).

Measurement preparation:

Connect a speaker to output left channel. Connect a microphone to input left channel. Connect the output of right channel to input right channel. Make sure

is checked in Measurement->Sound Card Settings. The ‘end-check’ will notify you if gaps has occurred during the measurement an thus made the result wrong.

Measurement procedure:

Click the [image] button in the standard toolbar. A synchronization signal is first sent through the right channel output. The synchronization signal is recorded and is used to find the correct initial time delay.

Then the MLS signal is played on left channel output, through the speaker. The signal is recorded at the left channel input where the microphone is connected.

After the measurement signal is finished playing in left channel, the synchronization signal is played once more on the right channel output. This synchronization signal is compared against the first synchronization signal and the time difference is computed. The purpose of this is to check that there has been no gaps in the playback or record. Gaps may occur if the PC was busy with other things during the measurement.

If no error has occurred, the system impulse response is found using cross correlation. The delay of the measurement system (pipeline delay in sigma-delta converters) is added in order to get the whole system response (the default is 40 samples, but this can easily be measured for the specific sound card by doing a loop-back measurement of the sound card).

It is possible to correct for the influence of the measurement system (sound card). This is done by first doing a loop-back measurement of the measurement system only. This measurement is then deconvolved with the actual measurements. Measuring the measurement system with system correction turned on will give a Dirac pulse (value 1 at the first sample and value ~0 at the other samples). This will give a flat magnitude and phase frequency response.

If this correction is not done, there will be an extra time delay usually of about 1 ms (40 samples or ~0.3 meter) because of the sound card delay.

It is further possible to perform 2-channel measurements (measure two system responses in one measurement) using the same loop-back technique. This is covered in the WinMLS User’s Guide.


How to check that my sound card measurement is correct?

Measurements of several sound cards/cards are found in the WinMLS sub folder Measurements/SoundCards. Plot your measurement and compare with one of these (use File->Insert in Active Group... to insert one or more of the sound card measurements).


How to perform a triggered measurement?

It is recommended that you have been using WinMLS somewhat (followed the measurement walk-through section).

On the Measurement Selection Toolbar, set the measurement mode to Triggered, no excitation (scope) as shown below

On the Measurement Settings toolbar, make sure that the number of averages is set to 1, as shown to the right in the figure below.

Set the sequence order to a length that corresponds to a larger length than the signal you are to record. If you use 16, as shown above, the measurement length is 1.365 sec.

In Plot->General Frequency Domain Settings... set scope mode to

.

Now make sure the input level is set high enough, but not overloaded. Do this by selecting Measurement->Test Current Levels and “play” the signal that is to be use for the measurement.

Finally, perform the measurement (Measurement->Start Measurement).

Note that at the left part of the Status Bar (usually positioned at the bottom) you will be notified when the measurement starts with a message that will look like “Recording 16 bits, 48 kHz, 1 ch.”.


How to calibrate the input of the measurement system?

The purpose of calibrating the input is to be able to measure absolute level (input level absolute calibration) and to obtain the true transfer function gain independent of the level of the WinMLS mixer input (relative calibration of mixer). The calibration can be done in different ways dependent on the features of the sound card (e.g if the sound card supports the WinMLS mixer or not) and the type of measurement you intend to perform. Note that for some sound cards, e.g. VXPocket, a measurement setup is available with nominal calibration settings that can be loaded just by loading the measurement setup in Measurement->Measurement Setup....

If the sound card input and output is calibrated, a MLS measurement should give an amplification of 0 dB for a loopback measurement (input directly connected to output). If also the mixer is relatively calibrated, the gain should be independent of mixer settings (changes in mixer settings will not change the gain of a loopback measurement).

More:


How to perform relative calibration of mixer input levels?

The WinMLS mixer controls the analog input and output amplifier of the sound card (some sound cards do not have a Windows mixer, and some cards have a mixer that can not be controlled by WinMLS). The relative calibration will generate a file containing the gain steps for the mixer, this file is used for correction when the mixer gain is changed. So when a relative calibration has been done for the WinMLS mixer, changing the volume of the WinMLS mixer input will not affect the level of measurement.

To activate relative calibration for the mixer, go to Measurement->Hardware Calibration....

In the dialog box shown above under WinMLS mixer INPUT relative calibration make sure [image] is checked. To the right of this check box, you can select the correction file to be used from a list of files.

If you are using the sound card VXPocket or VX222, to save time we recommend that you use the file VX222-VXPocket instead of generating a correction file.

To generate a new correction file, click the [image] button. This calibration procedure may take some minutes, all the gain steps of the mixer will be tested and measured. When finished, we recommend that you test the results by performing some measurements with different WinMLS input volume settings. This can be done by measuring the sound card loopback (input connected to output), plotting the frequency response (Frequency Response/Spectrum). Making sure that all the measurements have exactly the same level. Especially the lowest mixer levels should be tested since these may be influenced by noise. It is possible to edit the values by opening the calibration file e.g. using the Windows Notepad (it is a text file).

If your sound card supports 24 bits, the use 24 bits for recording to get the best results (in Measurement->Sound Card Settings set Input number of bits: to 24). If you are doing a 2-channel measurement, the relative calibration for both channels is done using the same correction file. The mixer steps for channel 1 should be equal to channel 2, but we recommend that you test this.


How to perform absolute calibration of input level?

The purpose of the calibration is to be able to measure the absolute quantity, e.g. voltage or sound pressure level (SPL). To activate input calibration, go to Measurement->Hardware Calibration. In the dialog box, enable the calibration by checking [image] . To perform a new calibration or view the settings, click on the [image] button. Make sure the channel number to the right of the button is set to 1 if you are doing the calibration for one channel measurement. For a multi-channel measurement, each channel has to be calibrated, the procedure is the same as for calibrating channel 1. In the following we describe the procedure for calibrating channel 1.

After clicking the Settings... button shown above, the Input level calibration for channel 1dialog box will be displayed.

In this dialog box, the upper list box determines if you want to calibrate the whole measurement chain in one operation (Total calibration), or calibrate each part of your measurement system (Detailed calibration) as shown below.

If you intend to calibrate with a transducer (e.g. a microphone) connected to the input, the check box [image] must be checked. In the list box to the right of the check box, specify the type of transducer. A microphone would get Pres [Pa]. By doing this you will get the correct units during calibration and the correct units on the left axis (y-axis) when plotting measurements.

Make sure that the input and output volume is not too high because this will give clipping of the input signal. It should not be too low either, because this may give unreliable results due to background noise.

Note that if you are using the VXPocket or VX222, there is a special gain setting in the sound card mixer under Advanced Input that can be used to switch the input from Line to Microphone (see the Tested Sound Cards file).

More:


How to perform “Total Calibration”?

The purpose of this type of calibration is to calibrate the whole input chain in one operation. This calibration is fast and simple. However, if you are using WinMLS both for electrical measurements and measurements where you are using a transducer (e.g. a microphone) or a pre-amplifier with changeable gain, we recommend that you instead use the Detailed Calibration (see next section).

If you are not already in the Input level calibration for channel 1dialog box, go there (Measurement->Hardware Calibration, click Settings… to the right of the Input calibration check box.

First make sure that the list box named Type of calibration at the top of the calibration dialog box is set to Total Calibration.

Right below, make sure that you have checked [image] if you are using a transducer. Select in the list box the unit of the transducer you are using (for a microphone this would be Pres [Pa]).

The settings for the total calibration are shown below:

Click the [image] button to view the Total Cal. Settings dialog box.

From here you can set the level and frequency for the calibration, and choose if you want to use an external signal generator or use the sound card output as signal generator. Using the sound card output should be fine as long as you have something to measure the signal level with (the measured level is used as the reference level), e.g. a voltage meter if you are doing an electrical calibration.

If you are to connect a signal generator or a calibrator to the input, choose Use external signal generator in the list box. Type the signal generator/calibrator frequency and level in the edit boxes.

If you are to use the sound card output as signal generator choose Use sound card output as signal generator (full scale output) in the list box. Select the frequency, 1000 Hz should be fine for most purposes. Then the output signal must be measured with an external device in the unit you wish to do the calibration for. Use a voltage meter if you are doing an electrical calibration and a SPL meter if you are calibrating a microphone using a loudspeaker. The [image] button should be clicked to test the levels (End level test can be clicked to stop the playback of the calibration signal). After the [image] button is clicked, measure the level using the external device. Type the measured level in the dialog box below the frequency setting and exit the dialog box by clicking [image] .

Make sure that you have connected the calibration signal to the correct input channel (channel 1 is left).

Now click the [image] button to perform the calibration. After the calibration is performed, the number to the left and the date to the right of the Calibrate button will be updated with the new settings. Now you can do a measurement to test if the calibration is correct. You can use sinusoid as excitation signal (see How to use a sinusoidal excitation signal?). Please note that if you repeat the calibration, the number may not seem to be changed, but if the date is updated, this is probably because exactly the same number is written.

If [image] is checked, it is assumed that you are using a transducer when doing the level calibration. Note that if this check box is turned off, no warning will be given that you should redo the calibration. If you are going to do a measurement later without using the transducer, a new calibration must be performed.


How to perform “Detailed Calibration”?

The advantage of doing the detailed level calibration is that you can, without doing any new calibration, switch between doing an electrical measurement, measure with pre-amplifier and measure with transducer.

If you are not already in the Input level calibration for channel 1dialog box, go there (Measurement->Hardware Calibration, click Settings… to the right of the Input calibration check box. Make sure that the list box named Type of calibration at the top of the calibration dialog box is set to Detailed Calibration.

The group box Detailed calibration contains the settings for this calibration type.

First determine what type of calibration you need. It is possible to calibrate the sound card and the transducer sensitivity. The pre-amplifier gain can also be specified.

If you want to determine the amplification of the pre-amplifier, we suggest that you do this manually by plotting the frequency response of the measurement system with and without the pre-amplifier. Note that the sound card calibration and the pre-amplifier gain and status (checked/unchecked) must be correct in order to get a correct calibration of the transducer sensitivity.

More:


How to calibrate the output of the measurement system?

More:


How to perform relative calibration of mixer output levels?

The purpose of calibrating the output is to be able to obtain the true transfer function gain independent on the level of the WinMLS mixer output (relative calibration of mixer). The calibration can be done in different ways dependent on the features of the sound card (e.g if the sound card supports the WinMLS mixer or not) and the type of measurement you intend to perform. For some sound cards, e.g. VXPocket, a measurement setup file is available with nominal calibration settings.

The procedure for calibrating the output mixer is equal to the procedure for calibrating the input mixer, so please follow the procedure How to perform relative calibration of mixer input levels?.


How to perform calibration of absolute output level?

The purpose of the absolute output level calibration is to be able to measure the gain of the impulse response/transfer function with the correct units. To calibrate the output of the measurement system is only needed if you are using the output (not if you are measuring input only).

To perform the output calibratio is very similar to calibrating the input. If you choose to use the sound card input to measure the levels during the output calibration, it is required that the input is calibrated first. Therefore we strongly recommend that you do the input calibration before doing the output calibration.

Make sure that the input and output volume is not so high that it gives clipping of the input signal or so low that the calibration gets unreliable.

Note that if you are using the VXPocket or VX222, there is a special gain setting in the sound card mixer under Advanced Input that can be used to switch the input from Line to Microphone (see the Tested Sound Cards file).

First determine if you are going to do total calibration or detailed calibration.

More:


How to perform “Total Calibration”?

The purpose of this type of calibration is to calibrate the whole output chain in one operation. We recommend that you instead use the Detailed Calibration (see below) if you are using WinMLS both for electrical measurements and measurements where you are using a transducer (e.g. a loudspeaker), or if you are using an amplifier with changeable gain.

If you are not already in the Input level calibration for channel 1dialog box, go there (Measurement->Hardware Calibration, click Settings… to the right of the Input calibration check box.

First make sure that the list box named Type of calibration at the top of the calibration dialog box is set to Total Calibration.

Right below, make sure that you have checked [image] if you are using a transducer. Select in the list box the unit of the transducer you are using (for a microphone this would be Pres [Pa]).

The settings for the total calibration are shown below:

Click the [image] button to view the Total Cal. Settings dialog box.

Type the desired signal frequency and level in the dialog box. 1000 Hz should be fine for most purposes. From here you can also set the level, and choose if you want to use an external meter or use the sound card input to measure the output level. Using the sound card input for measuring the output level is fine if you have calibrated the input.

If you are to use an external meter to measure the output level, choose Use external meter to measure level in the list box. Then measure the output level on channel 1 (left) using the external device after clicking the [image] button. Type the measured level in the dialog box below the frequency setting (you are also asked to enter the level during the actual calibration, the level you have typed now will show as default).

If are to use the sound card input to measure the level, select Use soundcard input to measure level. The sound card input will now measure and determine the level automatically, no number to be typed, but you must be sure that the sound card input is calibrated properly and that it is connected to input channel 1 (left).

Now click the [image] button to perform the calibration. After the calibration is performed, the number to the left and the date to the right of the Calibrate button will be updated with the new settings. Now you can do a measurement to test if the calibration is correct. You can use sinusoid as excitation signal (see How to use a sinusoidal excitation signal?). Please note that if you repeat the calibration, the number may not seem to be changed, but if the date is updated, this is probably because exactly the same number is written.

If [image] is checked, it is assumed that you are using a transducer when doing the level calibration. Note that if this check box is turned off, no warning will be given that you should redo the calibration. If you are going to do a measurement later without using the transducer, a new calibration must be performed.


How to perform “Detailed Calibration”?

The advantage of doing the detailed level calibration is that you can, without doing a new calibration, switch between doing an electrical measurement, measure with amplifier and measure with transducer.

If you are not already in the Input level calibration for channel 1dialog box, go there (Measurement->Hardware Calibration, click Settings… to the right of the Input calibration check box. Make sure that the list box named Type of calibration at the top of the calibration dialog box is set to Detailed Calibration.

The group box Detailed calibration contains the settings for this calibration type.

First determine what type of calibration you need. It is possible to calibrate the sound card and the transducer sensitivity. The pre-amplifier gain can also be specified.

If you want to determine the gain of the amplifier, we suggest that you do this manually by plotting the frequency response of the measurement system with and without the amplifier. Note that the sound card calibration and the amplifier level and status (checked/unchecked) must be correct in order to get a correct calibration of the transducer sensitivity.

More:


How to measure the initial time delay (the distance between the loudspeaker and the microphone)?

Sound cards do not usually have synchronized inputs and outputs, this means that something has to be done to find the correct initial time delay. An exception is the Card Deluxe, Siena and Vxpocket/VX222 sound cards, read more about how to do it for those cards in the document “Tested sound cards”.

To measure the correct initial time delay, WinMLS has the possibility of using a synchronization signal. This option can be turned on in Measurement->Sound Card Settings as shown below.

Read more about this in the User’s Guide. Note that this procedure will not correct for the delay of the sound card (~40 samples). To do this, you must perform a measurement system correction as described below.

More:


Why is the synchronization signal not strong enough?

The first thing would be to try to increase the mixer synchronization input and output level. The settings in the suggestions below are found in Measurement->Sound Card Settings.

1.

Check that the cables are connected properly.

2.

Check that you have chosen the right audio devices

3.

Check that you have chosen the right sync line

4.

If nothing above helps, try to turn on the check-box:

This will not work on older PC’s with bad performance.


How to correct for the influence of the measurement system?

In some cases it is important to be able to correct for the influence of the measurement system, e.g. when the exact phase is desired. How to correct for the influence of the sound card will now be described, if you want to include more e.g. an amplifier in the correction, the procedure is similar. If you use the sound card VXpocket (or VX222) calibration files have already been made, and you may use the existing files instead of measuring your own. Then you can go directly to the last part of step 2 below.

More:


Step 1

Perform a measurement of the measurement system only, e.g. a loop-back measurement of the sound card. Use sequence order 14 and 32 averages or more. Make sure the [image] button on the Measurement Settings Toolbar is turned off.

If you do not know the sound card delay, make sure Measure with synchronization signal is turned off in Measurement->Sound Card Settings.


Step 2

Save the measurement.

It may be done manually from File->Save Active Measurement As... and using the folder Measurement System Correction which is a sub-folder of the folder where WinMLS was installed. Select the extension .wmb and the name:
<Name><Multi-channel measurement tag><Channel #>_Fs<Sampling Frequency as integer>.

For example a 1-channel measurement with sampling frequency 44100 Hz measured using the name of the sound card VXPocket will be VXPocket_ch1_Fs44100.wmb.

The fastest way of doing this procedure is by doing it automatically using File->Save Active Measurement->As Measurement System Correction File…. Then the active measurement will be set as the correction file using the short name activemeas.

When the file is saved according to this, the first part of the filename will be added in Measurement->Hardware Calibration under the list box in “Measurement system correction filename”. Select this name in the list box.


Step 3

Turn on the measurement system correction button [image] on the Measurement Settings Toolbar.

If you have check-marked [image] in Measurement->Sound Card Settings, make sure the time delay [image] is set to the correct sound card delay (this can be found by plotting the impulse response of the sound card using samples as x-axis).


How to do get logical filename suggestions of when performing several measurements?

Before starting the measurement series, go to Measurement->Defaults for Saving... There select the folder you want the measurement to be saved as, and the name. You may also write comment and title. Type the number of measurements you are to perform in the autoname generator range.

For example, if the range is 1-3 and the default filename is “Meas”. The suggested name for saving the first three measurements will be

Meas_1.wmb, Meas_2.wmb, Meas_3.wmb

Then when saving the forth measurement, the Defaults for Saving dialog box will automatically appear, and you may write a new default filename.


How to get fine resolution on the WinMLS mixer slider?

Some sound cards have mixers with very high resolution, e.g. VXpocket has a range of more than 80 dB and 0.25 dB per step, which gives many steps. The WinMLS mixer input and output level slider can be set using the mouse, but moving only one step may be difficult with the mouse. To move one step at a time, first click on the slider to set it active (a dotted border around the slider tells that it is active, see the figure to the right). Then the up and down arrows on the keyboard will move the slider.


How to use a sinusoidal excitation signal?

Set Sinusoid as measurement mode in the Measurement Selection Toolbar as shown below.

Since WinMLS was designed for MLS measurements, the length of the sinusoid is set by the Sequence Order and Averages on the Measurement Settings toolbar. The relative level and frequency of the sinusoid is set in Measurement->Sinusoid settings…, but the frequency is adjusted so an integer number of periods fit into the sequence length specified. Because of this, averaging can be used. If the sinusoidal signal is to be played back for a long period, use either several averages or use Measurement->Test Current Level(s).


What format is recommended for saving measurement data?

When installing WinMLS, the .wmb (WinMLS binary files) is the default format and it is recommended since it contains all information about the measurement.

The other formats are mostly meant for exporting purposes.

The .wav-format will also have stored the information, but it may cause problems because of the normalization option (can be set in Measurement->Defaults For Saving… or File->Convert Measurement(s)…). Note that .wav-normalization will change the scaling, and if normalization is not used when saving as .wav, the quantization noise is usually large.


How to convert a measurement file, e.g. of extension .wmb to .wav?

This is done from File->Convert Measurement(s). Several measurements can be converted by selecting the ones to be converted in the dialog.


How to improve signal-to-noise ratio for low frequencies?

It is possible to pre-filter the MLS sequence before it is played and then post-filter the recorded signal to compensate for the pre-filtering to obtain the correct impulse response. This method can be used to boost frequencies that has poor signal-to-noise ratio. See below how this can be done


How to add pre-filtering (emphasis) to the excitation signal (MLS)?

Both pre- and de-emphasis (Pre/Post-filtering) is available as buttons on the Measurement Settings Toolbar.

Currently one type of filter is available (LowBoost200HzShelvingFirstOrder), it will boost the frequencies below 200 Hz with 20 dB using a first order filter (note that this is the case only if the sampling frequency is 48 kHz, if the sampling frequency is less, the boosted frequency range will also be decreased). This low frequency boosting is useful for measuring in environments where the low frequency background noise is greater than the high frequency background noise, which is the case in most rooms.

The gain of the emphasis can be set under Measurement->Advanced Settings....

More:


How to band limit the excitation signal?

Why? The reasons for this are twofold:

(1)

you could probably get greater signal level out from the loudspeaker;

(2)

the bandwidth limited signal would eliminate very low and very high frequencies which could overload the loudspeaker or amplifier.

Norsonic has this as a feature on one of their pink noise generators. The signal selection can be (1) bandwidth limited 89 to 5623 Hz (suitable for 125 to 4000 Hz octave frequency bands) and (2) full bandwidth (no bandwidth limiting).

We have not investigated how much an improvement this will give in signal-to-noise ratio.

How? The band-limiting can be done by using the pre-filtering option only (You find it in the Measurement Settings toolbar) and by using a proper filter. An example of generating a filter that bandlimits the low-frequency to 80 Hz is given below.


How to generate your own filter?

Custom filter can be made using Matlab or by contacting us. The filter coefficient file format is the same as the Matlab mat-format, but change the extension name from .mat to .emp. An example on generating and saving filter coefficients in Matlab is given below. Note that this generates a filter that is unstable if it is inverted so it can only be used for pre-filtering, not for post-filtering (since the post-filtring uses the inverted filter). Since the purpose of this filter is to band-limit the output below 80 Hz, this is no problem for this application.

Fs=48000; % Sampling frequency in Hz

FcutOff = 80; % Cutoff frequency in Hz

Wn= FcutOff/(Fs/2); % Normalized cutoff frequency

FilterOrder = 6; % Filter order

FilterType = 'high'; % Filter Type

[b,a] = BUTTER(FilterOrder,Wn, FilterType); % Generate filter

save HighPassFc80Hz_Fs48000Hz.emp a b -mat

To use this filter, run the code and copy the generated file ‘HighPassFc80Hz_Fs48000Hz.emp’ to the ‘Filters’-folder under the WinMLS-folder.


How to access a measurement from memory?

The measurements that are in memory are found in a list box on the Measurement Selection Toolbar. Measurement->Delete unplotted measurements, or clicking the [image] button, will delete all the measurements that are not plotted. Note that even if no measurements are plotted, the reference and the active measurement in upper and lower plot will not be deleted.


How to read WinMLS files in Matlab?

The function loadimp.m found in the WinMLS2000 folder can read the WinMLS measurement files .wmb or .wmt into Matlab. To get an explanation on how it is used, open Matlab and chenge directory to the directory where WinMLS is installed (typically C:\WinMLS2000), then write help loadimp.


How to run WinMLS as a function from Matlab?

The function runwinmls.m found in the WinMLS2000 folder can run WinMLS from Matlab. It can be controlled so WinMLS performs a measurement and exits afterwards. To get an explanation on how it is used, open Matlab and chenge directory to the directory where WinMLS is installed (typically C:\WinMLS2000), then write help runwinmls.


How to run WinMLS as batch file?

If you have a registered version of WinMLS you can see how to run WinMLS form batch by opening MS-DOS and go to the WinMLS folder. To display the help text type:

winmls /h

WinMLS [/M MeasSetupfile] [/R] [/F FileName]

/M: MeasSetupfile is the short name of a measurement setup to load.\n"

/R: If RunAndExitAfterMeas is set then the measurement start immediately and exits afterwards

/F: Filename is the name of a file to save

/H: Show this help

Example: WinMLS /M LSP_Setup /F LSP_Filename /R\n

This example will load the settings in the measurement setup file LSP_Setup, perform a measurement and save the result as LSP_Filename before it exits.

Note that in order to automatically save the measurement, [image] has to be checked in Measurement->Measurement Tasks....


Can a given setup be automatically called using DOS switches?

Yes, this is possible, see the section above. This feature can be used to load the same settings each time WinMLS is opened. If no measurement setup is specified, WinMLS will open with the settings it had when it was closed the last time it was used.


What is the highest sampling rate available (important for e.g. scale modeling in room acoustics)?

At the moment the highest sound card sampling rate is 96 kHz, which means that it is impossible to get results above 48 kHz. In a few months we have been promised that a high quality card capable of 192 kHz will be available, this will increase the frequency range up to a limit of 96 kHz.


Can multi-channel measurements (>2 channels) be performed using WinMLS?

WinMLS is capable of measuring up to 24 channels simultaneously. The number of channels is limited by the hardware. Please contact us if you are interested in a multi-channel (>2) measurement system.


FAQ: Plotting and post-processing

More:


Plotting - general information

Plotting – general information

Some general plot-settings are found on the standard toolbar to the right of the red stop sign. Important settings are found on Plot Toolbar (initially situated at the bottom). From the Plot Toolbar you can do all kinds of zooming, choose plot type, choose number of plots to be displayed (1 or 2) and open the settings dialog box for the active plot type.

More:

How to plot a measurement?

How to display two plots simultaneously, e.g. the upper plot displaying frequency response and the lower phase response?

How to set the plot type (to e.g. phase response) and determine what measurement is to be plotted?

How to access the settings for the plot type?

If a setting is changed for the displayed plot-type, how are the curves belonging to the plot updated?

How to change y-axis scaling?

How to filter the measurement, e.g. using a BandPass filter?

If waterfall is plotted, how to read the waterfall slice values using the cursor?

If there are many lines in the waterfall plot, how to space the lines less close together?

When plotting waterfall, how to select the start point?

How to set the time data window when plotting in frequency domain? (determine part of the time data to be used when transforming to the frequency domain)?

How to speed up the plotting?

Where are the cursor values (x,y) in the plot displayed?

Where is the wavelength displayed?

How to save the data in the plot?

How to save the plot as a picture?

How to view and manipulate the data of the plotted curves?

Why are plot toolbar axes limits not updated when a plot is zoomed or scrolled?

How to make calculations, such as average and difference on plotted curves?

How to plot a transfer function (e.g. room or loudspeaker measurement) in octave or third-octave bands?

How to plot spectrum in octave or third-octave bands?

How to validate numbers typed in the Plot Toolbar?


How to plot a measurement?

If a measurement is performed, inserted or opened, it will be plotted automatically if the check box Perform plotting is turned on in Measurement->Measurement Tasks....


How to display two plots simultaneously, e.g. the upper plot displaying frequency response and the lower phase response?

You can choose to have one or two plots in a window from the Plot->Select Plot Type(s) /Measurement(s)..., or use the [image] button on the Plot Toolbar.


How to set the plot type (to e.g. phase response) and determine what measurement is to be plotted?

All this can be done from the Plot Toolbar and the Measurement Selection Toolbar: The type of plot is determined from the list box list in the plot toolbar (View->Plot Toolbar). The “active” measurement is set from the list box in the measurement selection toolbar (View->Measurement Selection Toolbar).

If you do not wish to use the toolbars, from Plot->Select Plot Type(s)/Measurement(s).... you can select the type of plot and the measurement you wish to plot assuming that the measurement has been inserted into the active window (This can be done from File->Insert in Active Group...). Changes in this dialog box will immediately apply to the active plot even though Plot->Auto Refresh is set in Off position.


How to access the settings for the plot type?

If two plots are displayed, first set the plot you want to access the settings for as active by clicking in it. Then type the F5-key or click the rightmost button on the Plot Toolbar. The settings can also be accessed from the menu; Plot->Plot Type Settings. A dialog box will appear displaying the settings for the plot type. All settings (except layout settings) will be available from this dialog box. Note that the button [image] displays the settings for all the frequency domain plot types. If a setting in this dialog box is changed, it will thus affect all the frequency domain plot types in the active window.


If a setting is changed for the displayed plot-type, how are the curves belonging to the plot updated?

This is done automatically, the choices are as shown below:

•

If Plot->Auto Refresh->Active Measurement is selected, the curve belonging to the active measurement will be updated automatically if any changes in settings are being made.

•

If Plot->Auto Refresh->All Measurements is selected, all curves are updated automatically if any changes in settings are being made (see comment below).

•

If Plot->Auto Refresh->Off is selected, no curves will be updated. Auto-refresh can also be turned off with the [image] button.

Refresh can also be done manually using:

•

Plot->Refresh - refreshes the curve belonging to the active measurement

•

Plot->Refresh All or [image] refreshes the curve belonging to the active measurement (see comment below).

Note that Plot-Refresh All and Plot->Auto Refresh->All Measurements will refresh only the most recent curve of each measurement in the active plot. This means that if you have plotted several curves from the same measurement, these will not be refreshed.


How to change y-axis scaling?

The y-axis scaling can be changed, e.g. from Linear to dB of plot type Time Data (Impulse Response).

If two plots are displayed, make the plot you want to change the scaling of active by clicking in it. Then click [image] (or F5) to open the active plot type settings. Then at the upper part of the dialog change the content of the Y-Axis list box.


How to filter the measurement, e.g. using a BandPass filter?

Make sure the Time Data plot type is active by clicking at it. Then click [image] (or F5) to open the active plot type settings. In the dialog box, make sure [image] is checked and click the [image] button to set the filtering settings.

Note that the filtering will be applied to the frequency domain plot-types if [image] is checked in Plot->General Frequency Domain Settings....

Note also that the plot types Step response, Energy-time curve and Schroeder curve have similar settings for filtering. These filter settings are independent and will not affect the frequency response plot types.


If waterfall is plotted, how to read the waterfall slice values using the cursor?

This is only supported if the waterfall layout mode is Separate lines waterfall as shown below.

This is set from the waterfall plot type settings by typing F5, or Plot->Plot Type Settings->Waterfall…).

On the right part of the Frequency Plots Toolbar, the buttons [image] and [image] can be used to mover upwards and downwards and select the slice. The selected slice from which the values are read from is plotted in green.


If there are many lines in the waterfall plot, how to space the lines less close together?

The lines can be spaced too far apart if there are many lines in the plot. If the waterfall layout mode is Separate lines waterfall this can be the case; the z-axis may disappear into the distance and the plot gets very flat in the y-axis.

This can be solved from Plot->Chart Settings for Active Plot..., select the 3D tag as shown below.

One method is to change the z-axis density, this is done in [image].

Another method is to turn off [image] and change the Rotation and Elevation values.

Selecting another layout mode can also solve this problem. In Plot->Plot Type Settings->Waterfall select Waterfall or Surface in the layout mode list box.


When plotting waterfall, how to select the start point?

The start point is set by start of the time data window. See below on how to set this.


How to set the time data window when plotting in frequency domain? (determine part of the time data to be used when transforming to the frequency domain)?

The time data window determines the part of the time data to be used when transforming from time domain to the frequency domain. Three ways of setting the time window this will here be described.

•

The time data window settings can be obtained from Plot->General Frequency Domain Settings…, click on the [image] button found in the upper left part of the dialog box.
If you are performing division, the time window settings for the reference measurement are obtained by clicking the [image] button found in the lower left part of the dialog box. If you need faster access to these settings, they are found clicking [image] and [image] on the Frequency Plots toolbar (View->Frequency Plots Toolbar).

•

If the Time Data Plot type is displayed, the window start and end points can be set directly by clicking and dragging with the mouse. To do this, [image] must be checked in the time data plot type settings (Plot->Plot Type Settings->Time Data…). Some might find it difficult to do this since the mouse pointer has to be exactly on top of the vertical line that is to be moved. If you find it difficult to use the mouse for doing this, the fast method explained below may be useful.

•

Another way of setting the window directly is by using the Time Window toolbar (View->Time Window Toolbar). If a change is made and auto-refresh is on, the plot will be automatically updated with the new settings. After typing a value, click Enter to validate.


How to speed up the plotting?

If fast plotting is required, first make sure you are using Fast Line as line type. This can be set at the bottom of Plot->Advanced Plot Settings..., in the Curve type list box.

Note that these settings apply for the active plot type only.

The plotting speed can be additionally improved using two methods. The first method has no side effects and has a great effect on the speed; it is simply to set the curve width to size 1. If it is not set to width 1, the plotting is much slower. Set the width in Plot->Default Curve Styles..., this will apply to all plot types. Make sure that all the curves in the dialog box have width 1. Also at the bottom of the dialog box, make sure that Display active curve with width is set to 1.

The other method gives very efficient plotting for large amounts of data, e.g. for large *.wav-files. From Plot->Advanced Plot Settings… check [image]. If this setting is on, the points in between the points plotted are simply skipped independent of what part of the curve is displayed. This will affect all the plot-types originally having more elements than the maximum limit. Please note that the skipped points will not appear when zooming in, therefore it is not recommended to use this option on a fast PC. The plotting range can also be limited by checking [image] .

Finally the plotting after each measurement can be turned off from Measurement->Measurement Tasks..., by making sure [image] is not checked.


Where are the cursor values (x,y) in the plot displayed?

The position of the mouse pointer relative to the curve of the active measurement is written to the Status Bar (at the bottom right). Using this you can read out the values of the active measurement curve.

Note that if you have plotted several measurements it is the one belonging to the active measurement that is displayed.


Where is the wavelength displayed?

When a plot type has frequency as x-axis the wavelength is displayed in the status bar to the left of the x and y-values (see above).


How to save the data in the plot?

The data in the active plot can be exported to .txt-file in File->Save Data in Active Plot As….

A method that gives access to advanced settings is found in Plot->Chart Settings for Active Plot..., click the Export tag, then click the Data tag. The dialog box will then show the settings below.

In the Series list, it can be chosen if all or just one series is to be exported.


How to save the plot as a picture?

The active plot is saved to a picture format in File->Save Active Plot as…. From this dialog box, several formats can be selected as shown below.

If the .tee-format is selected, the file can be opened by WinMLS later and changes can be made, but a disadvantage is that the size can get large if the plot consists of large amounts of data.

Ctrl+C or Edit->Copy to Clipboard will copy the active plot to clipboard.

A method that gives access to more advanced settings is found in Plot->Chart Settings for Active Plot..., click the Export tag. The dialog box will then show the settings below.

From the figure above, we see that it is possible to set the quality and size when saving as .jpg-file.


How to view and manipulate the data of the plotted curves?

The plotted data can be viewed and manipulated from Plot->Chart Settings for Active Plot..., click on the Data tag. Note that you can increase the size of this dialog box, which is convenient you want to inspect curves with large amounts of data.


Why are plot toolbar axes limits not updated when a plot is zoomed or scrolled?

Normally the x- and y-axis limits will be updated when zooming or scrolling, but if you have two plots visible and are zooming/scrolling in the plot that is not active, then they will not be updated since they will display the values of the active plot.


How to make calculations, such as average and difference on plotted curves?

Note that the method that will be described only works if the data has exactly the same x-axis values. Also note that if a value is missing, it is set to zero. This can be a problem e.g. when calculating the average of reverberation times, if some values are not plotted because the signal-to-noise ratio (SNR) is too bad. Therefore we recommend that [image] is not checked in Plot->Plot Type Settings->Room Ac. Parameters if you plan to do averaging of room acoustics parameters.

First plot all the curves you want to perform calculation on and go to Plot-> Chart Settings for Active Plot.... In the dialog box, you will see the list of the plotted curves/series. Generate a new curve/series by clicking [image] Then select series type, e.g. Fast Line as selected in the figure below.

Click on the Functions tag in the upper part of the dialog box. You can select from three tags containing different mathematical functions, Standard, Financial and Extended as shown in the figure below.

Double-click on the type of mathematical function you want, e.g. Add (see above). After double-clicking, you will go to the series properties shown below.

In the Source Series part, mark the series you wish to do the computation on (in the figure above CurveMeas. 7 and CurveMeas. 4 have been marked).

Now use [image] to move them to the Selected: list. If you want to move all measurements, then use [image].

When this is done, click [image] to exit the dialog box. You will now see the new series in the plot.

You can change the title of the new series by clicking [image] in Plot->Chart Settings for Active Plot.... How to save the data in the plot to a *.txt-file is also described in this FAQ.


How to plot a transfer function (e.g. room or loudspeaker measurement) in octave or third-octave bands?

The energy or power can be plotted in octave or third-octave bands if Frequency response/Spectrum is selected as plot type.

Click F5 to display the plot settings dialog box. Make sure that Use Smoothing (or integration) is checked as shown in the figure below. Click on the Settings… button also shown in the figure below.

In the new dialog box, select smoothing type as shown below (it will plot 1/3-octaves starting from 50 Hz).

Click OK to exit the dialog boxes.


How to plot spectrum in octave or third-octave bands?

The easiest way is to load the setup called QuasiRealTimeAnalyzer. Below it is described more in detail how it can be done without loading the setup. This is not intended to be used for transfer function measurements, since it will give a 3 dB/octave bias because of the integration explained below.

The energy or power can be plotted in octave or third-octave bands if Frequency response/Spectrum is selected as plot type. In Plot->General Frequency Domain Settings... select the scope mode to one of the below.

What you choose depends on if the signal you are analyzing is stationary or transient.

Click F5 to display the plot settings dialog box. Make sure that Use Smoothing (or integration) is checked as shown in the figure below. Click on the Settings… button also shown in the figure below.

In the new dialog box, select smoothing type as shown below (or select the 1-octave Integrated option).

Click OK to exit the dialog boxes.

An example of 1/3 octave normalized energy is displayed in the figure below.

In this figure, we have used curve type Histogram to get the bars (can be set in the bottom of the Plot->Advanced Plot Settings… dialog box). For information about how to display the values for each point, see How to change the curve style (color, type and width)?


How to validate numbers typed in the Plot Toolbar?

If values are entered to this toolbar, they must be validated clicking Enter if the auto-zoom button is turned on as shown below.


Plot Chart Settings

The features below are found in Plot->Chart Settings for Active Plot... or from the [image] button on the standard toolbar. Note that in this dialog, the plotted curves are called series and the plot settings are called chart settings. When there are two plots visible, we have two plots, and one chart setting for each of them. The chart has many possibilities, far from all are covered here. But when first starting to use it, it should be quite intuitive to explore the possibilities.

More:

How to change the curve type?

How to change the curve style (color, type and width)?

How to plot figures in black and white only (e.g. for publishing)?

How to change the order of curves?

How can I delete a single curve?

How to choose between plotting several curves and a single curve?

How to display one single curve as Solo?

When printing a plot, why is the plot squeezed to the left corner?

How to add legend, displaying a list of the curves that are in the plot?

How to “turn off” a single curve from the plot without deleting it?

How to zoom the plot using the mouse?

How to access zoom options, e.g. to turn the mouse zooming on/off ?

How can I move the curves away from the nag screen in the personal version?

How to scroll the plot using the mouse?

How to turn on and modify gridlines

The y-axis labels show only zeros, how to change this?

How to set the axis labels format?

How to set the axis labels increment?

How to display the numerical values of the Magnitude Frequency Response Guidelines?

How to add a text box to the plot?

How to add a cursor (cross) that follows a curve?

How can curves in the plot remain so that they are there when the program is restarted or a new window is opened?


How to change the curve type?

When installing WinMLS, the default curve type is set in Plot->Plot Advanced Settings… as shown in the figure below.

To change the curve type without changing the default curve type, in Plot->Chart Settings for Active Plot..., click on [image] to. For an explanation see the documentation under Plot->Plot Advanced Settings….


How to change the curve style (color, type and width)?

The defaults curve style can be changed in Plot->Default Curve Styles…. The changes will apply when plotting a new measurement. To update the current curves, select Plot->Refresh All.

If you want to keep the default curve styles but just want to change the curve styles in the current plot, then it can be changed directly from Plot->Chart Settings for Active Plot....

If you want to change the color only, click on the curve to the left of the series title, the red horizontal line shown in the figure below.

(You can do the same thing from the List of Curves toolbar, View->List of Curves Toolbar).

If you want to display the style settings, double-click on the curve title (CurveMeas. 1 shown in the figure above). If the curve type is FastLine, the settings shown below will be displayed.

From the Style list the options shown in the figure below can be selected. These are especially useful if plotting several lines and colors are not allowed. Note that if the curve width is larger than 1, the style can only be solid.

To display the value for each point, marks must be set to visible. This is set from Plot-> Chart Settings for Active Plot... as shown in the figure below. First select the series, then the Marks tab. In the Style tab, make sure Visible is checked.


How to plot figures in black and white only (e.g. for publishing)?

Sometimes figures in color are not accepted, e.g. for publishing articles in journals. If this is the case, it is recommended to load the post-processing setup file named BlackNWhite (found on the Setups Toolbar). This setup will make sure that the background is white and the plotted curves are in black. If several curves are plotted, some curves are plotted dashed and dotted. The defaults for this are set in Plot->Default Curve Styles….

If you are to change the curve style, please see How to change the curve style (color, type and width)? . An example of a plot in black and white made using WinMLS is shown below.

The plot can be saved from File->Save Active Plot As…. If saved in the .tee-format, it can be opened again using WinMLS, this is useful if formatting adjustments are to be made later.


How to change the order of curves?

From Plot-> Chart Settings for Active Plot..., the order can be changed by clicking and dragging. Note that the curve at the end of the list is the upper curve displayed in the plot. You can also change the order from the List of Curves Toolbar (View->List of Curves Toolbar).


How can I delete a single curve?

From Plot->Chart Settings for Active Plot..., click on the curve(s) to be deleted and click the delete button or delete key.

You can also do it from the List of Curves Toolbar (View->List of Curves Toolbar) as shown below.

Mark the curve(s) you want to delete by clicking on the curve name(s). Use Shift or Ctrl if you want to mark several curves. Then use the Delete key to delete the marked curves.


How to choose between plotting several curves and a single curve?

If Plot->Hold plotted curves is turned on, the new curve plotted will be added to the existing curves. If it is turned off, the existing curves will be deleted when a new curve is plotted.

Plot->Hold plotted curves is also available on the standard toolbar as the [image] button.


How to display one single curve as Solo?

When there are several curves in the plot, it is sometimes useful to display only one of the curves temporarily without deleting the others. This can be done with the [image] button on the toolbar, or from Plot->Solo Active Measurement.

When Solo is on, only the active curve is active and displayed and the other curves will not be visible in the plot, only in the legend. If Solo is turned off, all curves that were displayed when Solo was turned on will be displayed again.


When printing a plot, why is the plot squeezed to the left corner?

This is probably because the legend is displayed. The legend may be turned off using the [image] toggle on the Standard Toolbar. The legend may also be moved inside the plot, see below on how to do this.


How to add legend, displaying a list of the curves that are in the plot?

Turning on the [image] toggle on the Standard Toolbar adds legend. If you want to set the legend formatting or position, the legend settings are found in Plot->Chart Settings for Active Plot..., select the Legend tag. Note that a check box for determining if the curve is to be displayed in the plot, or not, can be added or removed from the legend. See below for more information about this.


How to “turn off” a single curve from the plot without deleting it?

When there are several curves in the plot, it is sometimes useful to temporarily set one of the curves inactive without deleting it. WinMLS offers several ways of doing this:

In Plot->Chart Settings for Active Plot... all the available curves are displayed, they are shown in the plot only if the check box is checked. The list is displayed in the List of curves Toolbar (View->List of Curves Toolbar).

It can also be done very efficiently by turning on the legend button on the standard toolbar. The legend settings are found from Plot->Chart Settings for Active Plot..., select the Legend tag. Then turn on the check box named Check boxes.


How to access zoom options, e.g. to turn the mouse zooming on/off ?

From Plot->Chart Settings for Active Plot..., select the General tag, then select the Zoom tag as shown below.

The mouse zooming can be set from the Allow check box. Note that the “animated” setting will do the zooming in steps; this is a nice visual effect, but is not recommended on a slow PC. The Minimum pixels edit box determines the minimum size of the rectangle drawn by the mouse to obtain zooming (if the rectangle is smaller, no zooming will be performed). The Pen and Pattern buttons can be used to display the zoom rectangle area in different ways.


How can I move the curves away from the nag screen in the personal version?

You may scroll the plot using the mouse as explained below.


How to scroll the plot using the mouse?

Clicking on the right mouse button and drag will do scrolling if scrolling is enabled.

The type of scrolling (on/off/vertical/horizontal) can be set. Under Plot->Chart Settings for Active Plot..., select the General tag, then select the Scroll tag, then mouse zooming can be set from the Allow Scroll radio buttons.


How to turn on and modify gridlines

Gridlines can be turned on/off from a button on the standard toolbar. Note that when the Plot->Chart Settings for Active Plot... dialog is opened, the current gridlines are displayed even if they are turned off. Note also that if the plot type is Frequency response/Spectrum, Phase response/Function, Group delay, Waterfall or Levels and if the x-axis is logarithmic, some of the gridline settings are not user changeable.

The gridline settings depend on the setup that is used. The gridlines can even be turned off in the setup. To turn on or modify the gridlines; in Plot->Chart Settings for Active Plot... select the Axis tag. Then select the axis from the list (Left Axis or Bottom Axis). Click on the Ticks tag. Finally click on the Grid… button and turn on the Visible check box.

Minor gridlines are available from the Minor tag, found at the right side of the Ticks tag.


The y-axis labels show only zeros, how to change this?

The axis labels resolution has to be set. See below on how to do this. You have to make sure to set it for the Left Axis. If you select the exponential format this problem should be solved.


How to set the axis labels format?

As examples on setting the format, we will first show how to set the axis labels resolution, then the labels increment.

More:


How to set the axis labels resolution?

A problem can be that the resolution of axis value numbers (now 3 decimals) should be switched to an auto-function, because mostly 3 decimals is not necessary, sometimes it is too little. Using an exponential format can solve this. How the format is set will be shown.

From Plot->Chart Settings for Active Plot... click on the Axis tab. Select the desired axis, found on the list to the left, e.g. Bottom Axis. Then click on the Labels tab, and finally on the Format tab (see figure below).

The Values Format: list box has a list of used formats. You may also type your own format. To the left in the dialog box you see a list of the axes. Select the axis you want to change the format of (“left” is the y-axis and “bottom” is the x-axis).


How to set the axis labels increment?

This is useful if you for example want to plot the magnitude frequency response using axis labels with an increment of 5 dB/div for comparing with printouts from other measurement systems.

We will show how you can force WinMLS to label the selected axis using a specified increment. From Plot->Chart Settings for Active Plot.... click on the Axis tab. Select the axis you want to modify (Left axis or Bottom Axis) in the left corner of the dialog box. Then click on the Scales tab (see figure below). Click on the [image] button found at the bottom of the figure below. In the new dialog box, type the desired increment using comma as separator and click OK. If you type “0,2”, the Desired Increment will be set to 0,2 as shown in the figure below.

Note that the selected increment will only be displayed if there is enough separation between the labels. This should not be a problem, but by clicking the Labels tab shown in the figure above the separation can be set in percentage:


How to display the numerical values of the Magnitude Frequency Response Guidelines?

When Frequency Response/Spectrum is selected as the active plot type, it is possible to add guidelines. This can be done by clicking [image] to open the settings dialog. Then click on the guidelines [image] button. From this dialog, the numerical values can be turned on/off using [image].

To display the numerical value of these lines can also be done in the legends:

In Plot-> Chart Settings for Active Plot..., click the Legend tab. In the Legend Style list box choose Last Values. This means that the last value of the series will be displayed in the legend. Since the guidelines are linear this is the value of the guideline. Turn the guideline on in the Visible check box at the upper left in the dialog box.


How to add a text box to the plot?

In Plot->Chart Settings for Active Plot..., click on the Tools tag. Then click on the Add… button. From the list select Annotation and click on the Add button. A text field as shown in the figure below will be displayed. Type the text in the field, and below the text field the position can be set.


How to add a cursor (cross) that follows a curve?

In Plot->Chart Settings for Active Plot..., click on the Tools tag. Then click on the Add… button. From the list select Cursor and click on the Add button. From the Series: list box, select the curve you wish the cursor to follow. Turn on the Snap and Follow mouse check boxes. Click Close to exit the dialog box.

Note that if you selected the active measurement, the cursor values are displayed at the Status Bar.


How can curves in the plot remain so that they are there when the program is restarted or a new window is opened?

Do this if you want to start up the program with one or several reference curves present.

The automatic save of the Plot Settings settings must be turned off since it will delete the curves. From Plot->Advanced Plot Settings…, make sure [image] is not checked. If the layout settings are saved manually from the Save or Save As… button in the same dialog box (Plot->Advanced Plot Settings…), the curves will be deleted. To avoid this happening, perform the saving to the *.tee-file from File->Save Active Plot As…. Find the folder where WinMLS is installed and select the folder named Chart. Then select the folder corresponding to the plot type you are currently using.

Note that when [image] is not checked, temporary .tee-files are not saved. This means that the settings that belong to the Plot Settings will not be saved when the program is exited or on File->New Group.


FAQ: Room Acoustics

Refer to the Room Acoustics User’s Guide for additional information.

More:

How to measure room acoustics?

How are room acoustics parameters presented?

How can the Room Acoustics Parameters Grid be copied to a spreadsheet (e.g. Excel)?

How to fix problems with the formatting when pasting room acoustics parameters to Excel?

How to fix problems with the formatting when reading a room acoustics parameters text-file to Excel?

Plotting: How to compute and plot room acoustics parameters such as reverberation time?

How to specify two measurements for computing room acoustics parameters?

Numerical display: How to compute and display room acoustics parameters in a grid?

How to compute one parameter only, e.g. reverberation time?

How to export the computed parameters from the “Room acoustics parameters” grid?

How to change the bandwidth, e.g. obtain the reverberation time of the broadband measurement?

How to display room acoustics parameters automatically after performing a measurement or inserting measurement file(s)?

How to automatically compute room acoustics parameters from several measurements?

How to average or doing other calculations on room acoustics parameters obtained from several measurements?

Is there a way of automatically sending measurement channel two to the lower plot or insert measurements in both upper and lower plot in one operation.


How to measure room acoustics?

When using WinMLS for measuring room acoustics, it is recommended that a room acoustics setup is loaded for performing the measurements. These can be loaded and saved from the Setups Toolbar (can be turned on/off from the View menu), or from Measurement->Measurement Setup.... When the setup is loaded, you can click the GO button on the standard toolbar to start the measurement or File->Insert in Active Group... to insert a measurement.

On the Room Acoustics menu, you can create your own settings for displaying the room acoustics parameters. These settings can be saved in the post-processing setup file.


How are room acoustics parameters presented?

Room acoustics parameters can be presented either in a grid or in a plot. If you want to display several parameters, use the grid. If you want to display one single parameter (e.g. reverberation time) you can use either the grid or the Room Ac. Parameters plot type (Can be set from the Plot Toolbar or Plot->Select Plot Type(s)/Measurement(s)....). See below on how to do this. If you plot the parameters using this plot-type, it is possible to plot several measurements for easy comparison.


How can the Room Acoustics Parameters Grid be copied to a spreadsheet (e.g. Excel)?

This can be done first by computing the parameters to a grid (see above). When this is done, click on the [image] button, or Alt+C to copy the data to the windows clip board. Note that you may mark the cells you want to copy, if no cells are marked, all cells are copied. Then you can paste the data to a spreadsheet.


How to fix problems with the formatting when pasting room acoustics parameters to Excel?

If you experience problems with the formatting, note that inserting in Excel from WinMLS acoustics parameter clipboard does not work properly if "," and not "." is selected as decimal divider.

The reason is that Excel interprets what is in the cells dependent on the global Windows settings. If “.” Is the decimal divider, it works fine. It can be set from the windows Control Panel (found from the windows Start button), select Regional and Language Options. Click the Customize… button. As Decimal Symbol, select “.”.


How to fix problems with the formatting when reading a room acoustics parameters text-file to Excel?

If you experience problems with the formatting, note that opening a WinMLS acoustics parameter text-file in Excel from WinMLS acoustics parameter clipboard does not work properly if "," and not "." is selected as decimal divider. How to change the decimal divider in Windows is explained above.

If you do not want to do this, another solution is possible.

When opening a text-file in Excel, you have to go through a Wizard. In the third step, the Wizard (upper part) will look like below.

Click on the Advanced... button. Then the dialog box shown below will be displayed.

Make sure that the Decimal separator is set to “.” as shown in the figure above (you will have to change it from “,” to “.”. Then click [image] to close the dialog box. Finally click the [image] button.


Plotting: How to compute and plot room acoustics parameters such as reverberation time?

The room acoustics parameters, e.g. reverberation time and clarity, are available in a plot type called Room Ac. Parameters. This plot type has like the other plot types a Settings dialog box (can e.g. be accessed by typing F5). From this dialog box, the type of parameter to be plotted is selected. Note that only a few settings are available in this dialog box, the rest of the settings are taken from Room Acoustic->Calculation Options… and Room Acoustics->Parameter Settings....


How to specify two measurements for computing room acoustics parameters?

Two measurements are to be used to calculate parameters such as IACC and LF. When doing this, the primary measurement (omni-directional mic.) is the active measurement in the upper plot and the secondary measurement (figure-of-eight mic.) is set to be the active measurement in the lower plot. If only one plot is displayed and not two, the active measurement in the lower plot is found in the Measurement Selection Toolbar as shown below

We recommend using this toolbar shown below to check that you have got the right impulse responses.

More:


Specifying the secondary measurement does not help, why?

Please note that to the right of the toolbar the button [image] must be checked to get the correct measurement. If not, the measurement used for frequency response division (the reference measurement) will be displayed instead of the secondary measurement. Then it does not help to select a new measurement in the rightmost list

It can also be found in Plot->Select Plot Type(s)/Measurement(s).....


Limitations when plotting parameters needing two measurements

Only signal-to-noise ratio for primary impulse response is displayed in the plot in case two impulse responses are used in computing the parameter. In the grid, both signal-to-noise ratios are displayed.

If you intend to plot room ac. parameters in the lower plot, the active measurement in the lower plot is used as primary measurement and if two measurements are needed to calculate the parameter, then this will give an error message. Instead, perform the plotting in the upper plot when parameters needing two impulse responses are to be plotted.

If plotting is performed in the upper plot, there is still a problem if several curves are plotted and Plot->Refresh All is selected. Each curve will not remember what was used as secondary measurement when it was plotted, therefore the active measurement in the lower plot will be as secondary plot when refreshing all the curves.


Numerical display: How to compute and display room acoustics parameters in a grid?

First a measurement has to be active in the plot (upper plot if two plots are displayed). Do this by performing a measurement (Measurement->Start Measurement) or inserting a measurement (File->Insert in Active Group...).

When a measurement is active in the plot, the name of it will be displayed in the WinMLS title and also in the Measurement Selection Toolbar.

More:


What about parameters that need two measurements (impulse responses) to be computed?

Some parameters need two impulse responses to be computed. The number and type of microphones to be used is set from Room Acoustics->Calculation Options in the Microphone type(s) list box. If a type that uses two microphones is selected, it needs two measurements, a primary and a secondary. The primary measurement is taken from the upper plot and the secondary measurement is taken from the lower plot. These measurements are displayed in the Measurement Selection Toolbar, and can easily be changed from this toolbar as well.


How to compute one parameter only, e.g. reverberation time?

A single parameter can be plotted using the plot type Room Ac. Parameters, it can also be displayed in the grid as described below.

In Room Acoustics->Parameter Settings... the type of parameters to be displayed can be selected. By using the check boxes, the user can determine which parameters to be computed. If only reverberation time is to be displayed, make sure that all check boxes, except reverberation time (T30) are turned off.


How to export the computed parameters from the “Room acoustics parameters” grid?

When Room Acoustics->Display Selected Parameters is selected, room acoustics parameters are displayed in a grid. To copy the parameters to clipboard, use the Copy to clipboard button below the grid. This will copy the marked numbers. If no numbers are marked, it will copy all parameters. Note that you can mark a column by clicking at the upper part of the column.


How to change the bandwidth, e.g. obtain the reverberation time of the broadband measurement?

The bandwidth is set from Room Acoustics->Calculation Options in the Bandwidth list box.


How to display room acoustics parameters automatically after performing a measurement or inserting measurement file(s)?

At the bottom part of Measurement->Measurement Tasks, there is a check box called Display selected room acoustics parameters check box. If this is on, room acoustics parameters will be displayed in a grid and/or written to text-file when a measurement is performed or when one or several measurement files are inserted using File->Insert in Active Group....


How to automatically compute room acoustics parameters from several measurements?

At the bottom part of Measurement->Measurement Tasks, there is a check box called Display selected room acoustics parameters. If this is turned on, then room acoustics parameters are being computed and displayed to a grid when measurement files are inserted using File->Insert in Active Group.... (If Room Ac. Parameters is selected as plot type, the selected parameter will be displayed in the plot as well. Note that this will reduce the speed, since the computation will be performed twice.) File->Insert in Active Group... will insert all marked measurement. To mark several measurements, hold the <Ctrl> key while clicking on the measurements that are to be inserted. <Shift> can also be used to mark a group of measurements.


How to average or doing other calculations on room acoustics parameters obtained from several measurements?

This can be done from the Room Ac. Parameters plot type. On how to do this see the question "How to make calculations, such as average and difference on plotted curves?”


Is there a way of automatically sending measurement channel two to the lower plot or insert measurements in both upper and lower plot in one operation.

At the bottom part of Measurement->Measurement Tasks..., there is a check box that will do this called [image] . If it is checked and a multi-channel measurement is performed, channel 1 will be plotted in the upper plot and channel 2 will be plotted in the lower plot. Make sure you are viewing two plots, if you only have one plot, channel two will not be displayed.

If several measurements are inserted using File->Insert in Active Group…, the first measurement will be displayed in the upper plot, the second will be displayed in the lower plot, the third will be displayed in the upper plot, and the forth in the lower, and so on… This is useful when computing the room acoustics parameters that need two measurements.

At the bottom part of Measurement->Measurement Tasks..., make sure [image] is checked. If it is checked and a multi-channel measurement is performed, channel 1 will be plotted in the upper plot and channel 2 will be plotted in the lower plot. Make sure you are viewing two plots, if you only have one plot, channel two will not be displayed.

If several measurements are inserted using File->Insert in Active Group…, the first measurement will be displayed in the upper plot, the second will be displayed in the lower plot, the third will be displayed in the upper plot, and the forth in the lower, and so on… This is useful for computing room acoustics parameters that need two measurements. Note that you may select measurements in any order by clicking on the measurement files in the File->Insert in Active Group… dialog.


How to change the x-axis of the Room Ac. Parameters plot type when plotting octave band parameters

As default the x-axis displays the octave band values, but it is possible to change the axis labels and gridlines. Below it is explained how to change the axis to a ordinary logarithmic axis.

Click on axis in the Room Ac. Parameters plot type. It will display the dialog box shown below. Click on the Axis tag, then the Labels tag. Then at the axis list at left select Bottom Axis.

Now change the Style from Auto to Value as shown below.

Note that when a room acoustics parameter is plotted with bandwidth Broadband, the style should be set to Value. If not, the x-axis labeling will not be correct.

Now select the Scales tag as shown below:

Now we need to change the Log Base from 2 to 10 as shown below.


FAQ: Applications

More:

Where can I find information about the default setups

How to measure loudspeaker frequency response uncalibrated?

How to measure loudspeaker frequency response and use SPL as vertical axis?

How to measure levels, such as in octaves and dBA

How to measure speech transmission indexes STI or RASTI?

How to measure loudspeaker impedance?

How to find the level difference of two measurements as function of frequency?

How to find the level difference between stereo speakers?

Violin Acoustics


Where can I find information about the default setups

The default setups are described in the documentation for the Measurement->Measurement Setups... and Plot->Post-processing Setups... dialog boxes.


How to measure loudspeaker frequency response uncalibrated?

To measure the frequency response of a loudspeaker, no level calibration has to be performed. Load the setup named LoudspeakerMeas from the Setups Toolbar (usually situated at the lower right corner, can be found from View->Setups Toolbar). Perform a measurement (Measurement->Start Measurement) with a microphone connected to the input (left channel) and the loudspeaker connected to the output (left channel).


How to measure loudspeaker frequency response and use SPL as vertical axis?

To do this the measurement input chain has to be calibrated. See the calibration chapter on how to do this.

In addition, we have to set up the plotting so that it plots in scope mode. This will explain why: a frequency response of a system is found by measuring the input and the output of the system. The system gain will NOT change if we increase the signal we feed the system with (e.g. if we have a linear amplifier with gain 30 dB, the gain will be 30 dB independent on the gain of the input signal). But if we want to find the SPL of a loudspeaker, the SPL is obviously dependent on the gain of the signal we feed the loudspeaker with. Therefore we have to plot in scope mode, since scope mode does not consider the loudspeaker output signal.

In Plot->Advanced Plot Settings..., make sure [image] is checked.

Then we must set the scope mode to get the correct scaling. In Plot->General Frequency Domain Settings..., make sure the scope mode is set to Transient signal as shown


How to measure levels, such as in octaves and dBA

More:

How to use WinMLS as a level meter for measuring SPL values in octave, 1/3 octave, dBA?

If I have measured an impulse response, how can I find the level (for example in dBA)?

How to display in octaves?

How to display in dBA?

How to display several measurements (e.g. for comparison and for saving the data)?


How to use WinMLS as a level meter for measuring SPL values in octave, 1/3 octave, dBA?

Tests comparing WinMLS with a sound level meter showed good agreement, but for measuring dBA the input measurement chain must be calibrated. The easiest way of doing this calibration is if you have a microphone and a calibrator. For how to do this, see How to perform “Total Calibration”?

If you have a microphone with a known sensitivity, you may also use this and calibrate the rest of the input chain. For how to do this, see Sound card conversion calibration.

To perform the measurement, first load the setup QuasiRealTimeAnalyzer (can be done e.g. from the Setups Toolbar). As default, the plot 1/3-octave Power Spectrum is selected.


If I have measured an impulse response, how can I find the level (for example in dBA)?

The input chain must be calibrated as discussed above. Then to be able to get the correct level for an impulse response we must select transient signal scope mode.

In Plot->Advanced Plot Settings..., make sure [image] is checked to set scope mode as active.

Go to Plot->General Frequency Domain Settings... and set the scope mode to Transient signal as shown below.

More:


How do I find the background noise level of my impulse response measurement?

First do the procedure explained above. Then set the time window to the last part of the impulse response, using the last 0.2 seconds of the impulse response should give a good result.

Since we assume that the impulse response has died out and we have only stationary noise in this last part of the impulse response, we must set the scope mode to Stationary signal to get the right result.


How to display in octaves?

1-octave Power Spectrum can be set by first clicking in the plot, then type F5 to open the plot type settings. Then click the Settings... button shown below.

In the Smoothing/Integration Settings dialog box, select 1-octave Integrated as shown below


How to display in dBA?

To display the dBA level, the plot type has to be changed from Frequency Response/Spectrum to Levels. This can be done from the Plots Toolbar normally situated at the bottom.


How to display several measurements (e.g. for comparison and for saving the data)?

This is done the same way as with other types of measurements, if Plot->Hold Plotted Curves is checked (same as the [image] button), a new measurement will be added. This is very nice for comparison, especially when plotting dBA values. The plotted data can be saved as text-file using File->Save Data in Active Plot As....


How to measure speech transmission indexes STI or RASTI?

STI or RASTI can be measured using WinMLS. The software has previously been tested against MLSSA’s RASTI calculation and recently against the B&K Speech Transmission Meter. The agreement was good.

Currently the sound card must be able to perform a MLS measurement in order to do this. Please check this by going through the procedure described in the section Loop-back measurement of the sound card in the WinMLS2000 Users Guide.

It is also recommended that you read and use the Speech transmission indices section and use that as a reference when reading this. Below the steps for setting up and measuring STI and RASTI is given.

1.

Load measurement settings for room acoustics measurement
Select the measurement setup named Room Acoustics [image] from the Setups Toolbar (initially situated at the bottom right). It will load the initial settings that we will slightly modify.
If you are measuring in a reverberant room, having a reverberation time larger than one second, in the Measurement Settings Toolbar (View->Measurement Settings Toolbar), set the sequence order to 17 as shown to the right in the figure below

Select RASTI or STI as plot type.
In Plot Toolbar (initially situated at the bottom), select plot type Room Ac. Parameters [image]. Click in the plot to make it active and click F5 to access the plot-type settings. Then select RASTI or STI as shown below

Determine if noise compensation is to be used.
Find out if your STI/RASTI measurement has to take the background noise into account. It should be done if the speech-to-noise ratio is less than 15 dB in the octave bands of interest. If no, in the lower right part of Room Acoustics->Parameter Settings... select the correction option. and skip the next point. If yes, read the next point.

Find background noise level for noise compensation.
There are two options for compensating for the background noise as explained below. These are found in the lower right part of Room Acoustics->Parameter Settings...

The options Correction, fixed noise/speech assumes that the background noise is measured. One advantage is that this method can be used in cases where the background noise is very high (averaging can be used to increase the signal-to-noise ratio). Another advantage is that it is not needed to calibrate the WinMLS input chain. The background noise level can be measured using an octave band level meter. The octave band values can be typed in by first going to the lower left part of the Room Acoustics->Parameter Settings.... The [image] button opens up a new dialog box where the necessary data can be entered.

The option Correction, noise updated automatically computes the background noise from the measured impulse response with WinMLS. In order to do this, the input chain (including the microphone) must be calibrated. The easiest way of doing this is to use a microphone calibrator with known frequency and level. The calibration is also possible to do without a calibrator. See How to perform absolute calibration of input level? and perform one of the methods of calibration described there.
Please note that this option should not be used on measurements performed using averaging since the averaging will reduce the effect of the background noise. Therefore, in the Measurement Settings Toolbar (View->Measurement Settings Toolbar), set the number of averages to 1 as shown to the right in the figure below

On the same toolbar, make sure that the De-emphasis is turned off as shown: . This is because the de-emphasis will influence the calculation of the background noise. The Pre-emphasis can be left turned on. It will reduce the treble output and reduce the chance for distortion. Distortion gives spurious peaks in the MLS signal that may artificially increase the calculated background noise for higher frequencies. An example is shown in the figure below where the blue curve is the sampled background noise in octave band, the green curve is the computed background noise from an MLS measurement using pre-emphasis, the red curve is a MLS measurement with high level and the black curve is a MLS measurement with not so high level. From this we can see that using pre-emphasis gives the best estimation of the background noise.

When finished, save the measurement settings using the [image] button in the Setups toolbar (View->Setups Toolbar).

Perform the measurement
Connect the loudspeaker to the sound card output (left channel) and the microphone to the sound card input (left channel). Place the loudspeaker in the position of the “speaker” and the microphone in the position of the “listener”.
Select Measurement->Test Current Levels and set the output level properly. If you are unsure, try measuring with different levels and see what gives the best result.
Click the [image] button (or Measurement->Start Measurement) to perform the measurement.
If you want measurements to be automatically repeated, in Measurement->Measurement Tasks... make sure [image] is checked.

Displaying the results
The results will be plotted as bars as shown in the figure below. In this figure the values for several measurements are plotted and the legend moved from its default position in the right corner.

These results can also be saved to a text-file from File->Save Data in Active Plot As.... The data is organized in two columns, the first contains the measurement names, the second the RASTI or STI values.
If you only want to show only one RASTI/STI value in the plot, make sure Plot->Hold Plotted Curves [image] is not checked when plotting a new curve.


How to measure loudspeaker impedance?

6.

How to measure loudspeaker impedance?

Impedance is, according to Ohms law, defined as voltage divided by current. The current is found by measuring the voltage over a resistor R with known resistance. Use a resistor that can handle a power signal, a power resistor of 8 Ohm can be suited.

Place the resistor in series with the loudspeaker and measure the voltage over the loudspeaker VLSP and the voltage over the resistor VR. The input impedance ZLSP is given by

ZLSP= VLSP / I = R * (VLSP / VR)

Load a setup for doing a MLS measurement, e.g. the setup named LoudspeakerSetup (this can be done from the Setups Toolbar). Measure the voltage over the loudspeaker and the voltage over the resistor (this can be done simultaneously by doing a 2 channel measurement). Now we have performed the two measurements we want to do the division as shown in the equation above. How to do the division is described in How to find the level difference of two measurements as function of frequency?

To obtain the correct impedance scaling, in the Plot->Plot Type Settings->Frequency Response/Spectrum dialog box, in the group box Shift/Normalization of magnitude, make sure Shift Magnitude is selected in the list box as shown below.

Below the list box there is a Shift [dB]: edit box. Here type the resistance of the resistor. Note that you have to convert it to decibels, that is 20*log10(resistor value). A resistor value of 8 Ohms gives a dB value of 18.06 dB (shown in the figure above).

Impedance is a linear value. Therefore, in the same dialog box, set the y-axis scaling to linear as shown below.

This should give the correct impedance.


How to find the level difference of two measurements as function of frequency?

Perform or insert the two measurements you want to see the difference between. Select Frequency Response - Spectrum as plot type and one of the measurements as active measurement. This can be done in the Measurement Selection Toolbar or in Plot->Select Plot Type(s) and Active Meas.

The other measurement must then be set as reference measurement. This is most easily done from the Measurement Selection Toolbar also. First make sure the [image] button is checked, It makes the rightmost list box display the reference measurement if this is taken from memory. (If [image] is checked, the list box will not display the reference measurement but the measurement in the lower plot). Select the desired reference measurement from this list box. In the figure below, the measurement Left is the reference measurement and Right is the active measurement.

If the list box is disabled, please do as described below.

Finally perform the division from the Frequency Plots toolbar by clicking the [image] button.

Setting the reference can also be done from the lower part of Plot->General Frequency Domain Settings... dialog box. The “reference measurement” part of the dialog box is shown below.

Make sure [image] is checked. The in the list box below, select the desired “divisor” measurement (Right is selected in the example above). If you want to window the measurements, click [image] . It should be checked that the window settings are equal for the two measurements. When the dialog box is exited with [image] you should now see the level difference between the measurements as function of frequency.


How to find the level difference between stereo speakers?

Do as described in the section above using a measurement of left speaker as the active measurement and a measurement of the right speaker as the reference measurement.


Violin Acoustics

More:


Is it possible to process the impulse excitation using the constant Q transform (CAS Journal, Nov.93, p.1-4)?

The constant Q-transform is similar to octave band smoothing of the frequency response. Please see the section "Smoothing or Integration" in "Menus and Dialog boxes.pdf" on how to use this.

The other issues described in the CAS Journal article referred to above is only valid for periodic signals, and not for an impulse response. Ideally the Q-transform is performed using time-windows of increasing size for low frequencies. This feature is not directly supported in WinMLS, but tests using time-windows of different sizes did not show significant improvement using this method.


File Menu Reference

Several file operations are accessed via the File menu as shown below.

More:

New Group

Insert in Active Group...

Open Group... (Ctrl+O)

Close

Save Active Measurement As...

Save Active Measurement

Save Data in Active Plot As...

Save Active Plot As...

Print Active Plot

Print Preview Active Plot...

Convert Measurement(s)...

Exit


New Group

Creates a new window displaying one or two plots. It is named group, since the window may contain a group of measurements.


Insert in Active Group...

Inserts measurement file(s) to the active measurement group window. Text-file(s) containing data that is to be plotted may also be inserted. A browser is displayed where one or several files may be selected. File types to be displayed in the browser are:

Information about the file formats is given in the Open Group... section below.


Open Group... (Ctrl+O)

Opens a measurement, text or plot file in new measurement group window.

Open Group... does the same as Insert in Active..., except:

1.

Open Group… will open a new window using the settings in the current plot window while Insert in Active Group… will insert the data in the active plot.

Plot chart file type (*.tee) may only be selected from Open Group..., because it is a new plot and can not be inserted to a current plot window.

More:


Browser: Open

2.

Browser: Open

A browser is displayed. File types to be displayed in the browser are:

The file types are described below

More:

Measurement Files (*.wmb, *.wmt, *.wav, *.tim)

WinMLS Binary Files (*.wmb)

Measurement Text Files (*.wmt)

Mono 16-bit WAV Files (*.wav)

Measurement MLSSA files (*.tim)

Plot Chart Files (*.tee)

TAB-separated Data (*.txt)


Close

Closes the active window. If there are any unsaved measurements in the window, the user is asked to save or not.


Save Active Measurement As...

Saves the measurement that is active in the plot window in time domain (e.g. the result of a MLS measurement is an impulse response). The file formats are described in the Open Group... chapter above.

If the active measurement is a performed 1-channel measurement or opened from file, the 1-channel browser is displayed. If a 2-channel performed measurement is active, the 2-channel browser is displayed. If a > 2-channel performed measurement is active, the multi-channel browser is displayed. These three browsers are shown below. Note that it is possible to increase the size of the browsers by dragging in the lower left corner.

More:


Browser for saving 1-channel measurement

The usage should be quite intuitive. The defaults and other settings for saving are set by clicking the button [image] which is the same as Measurement->Defaults for Saving….


Browser for saving 2-channel Measurement

Note that a 2-channel measurement is saved as two separate files.

The usage should be quite intuitive. The defaults and other settings for saving are set by clicking the button [image] which is the same as Measurement->Defaults for Saving….


Browser for saving multi-channel (>2 channels) Measurement

Note that a N-channel measurement is saved as N separate files.

The usage should be quite intuitive. The defaults and other settings for saving, such as the multi-channel tag are set in Measurement->Defaults for Saving….


Save Active Measurement

Displays sub-menus for saving the active measurement shown below.

Each item is explained below.

More:


As Measurement System Correction File

Saves the active measurement as measurement system correction files and sets it as active in the measurement system correction part of Measurement->Hardware Calibration.... It is named activemeas. If the active measurement is a multi-channel measurement, each channel will be corrected.

In order to turn on the measurement system correction feature, click the [image] button on the Measurement Settings Toolbar.


With Filename <_ActiveMeas_>

Saves the using the filename '_ActiveMeas_'. The folder and extension is taken from Measurement->Defaults for Saving.... Note that if a measurement with the same name already exists, it will be overwritten.

If the active measurement is multi-channel, channel 2 get the name '_ActiveMeas_2', channel 3 gets '_ActiveMeas_3' and so on.

This is the fastest way of saving a measurement and is well suited if another application, e.g. MLSSA, is used to export measurements while measuring with WinMLS.


Save Data in Active Plot As...

Saves the curves in the plot as columns in a .txt-file.

All curves belonging to a measurement in the plot are saved as columns using tab as separator. A one-line header contains the title of the columns. The first column of the header is named ”x-axis”, the next column(s) are given the name of the series title (maximum 30 characters). The character Tab is used as column separators in the header also.

If the x-axis is not the same for all curves in the plot, a x-axis is constructed that contains all the x-axis values for all the curves. This is the case e.g. if the sampling frequency is not the same, e.g. if a value is missing e.g. when plotting reverberation time and the signal-to-noise ratio si not good enough to compute a value. If a y-value does not exsist at a certain x-value, the text “NaN” is written to indicate that it is not a number.

Note that an alternative method that gives access to advanced settings is found in Plot->Chart Settings for Active Plot..., click the Export tab, then click the Data tab. The dialog box will then show the settings below.

These writing procedures are slow if data with more than 10000 poins are to be saved. Therefore, if you want to save the time data (impulse response) we recommend that you use the File->Save Active Measurement As... procedure and use the .wmt format. That will save the time data as a text file with a short header.

If you have problems exporting the data to a spreadsheet, e.g Excel, see the FAQ: Room Acoustics section for more information.


Save Active Plot As...

Saves the active plot in one of the formats shown below

A method giving access to more advanced settings is found in Plot->Chart Settings for Active Plot..., click the Export tab. The dialog box will then show the settings below.

From the example in the figure above, we see that it is possible to set the quality and size when saving as .jpg-file.


Print Active Plot

Prints active plot in active window.


Print Preview Active Plot...

Print previews active plot in active window.

As we see in the figure below, this dialog box can be used to determine printer, set orientation, margins and amount of details in the plot.


Convert Measurement(s)...

Converts a measurement file of one of the supported formats to one of the other supported formats.

The dialog box above shows an example on how to convert three files of the format .wmb to .wav. The .wav-files are put under in the Target path.

Note that it is recommended that you normalize if converting to .wav-file by making sure [image] is checked.

When clicking [image] the files will be converted and a progress dialog will appear as shown below. This may be hidden behind the Convert Measurement(s) dialog box, but if there is errors in the conversion it will be displayed. It will also be displayed if you exit the Convert Measurement(s) dialog box

Please note that if you have a *.tim or *.wav file, you can insert/open it directly in WinMLS and do not have to do this conversion first.

When converting from *.wmb to *.tim, the MLSSA setup file ‘MLSSAsetupFile.set’ is used to determine the parameters that cannot be determined from the *.wmb file. The file ‘MLSSAsetupFile.set’ is found in the WinMLS folder and may be replaced if you wish to use other parameters.

If you have a *.wmb file and convert it to *.tim and then convert it back to *.wmb, some measurement information will be lost since the headers of these file formats do not contain the same settings.


Exit

Closes all windows and quits WinMLS.

Measurement and post-processing setups are saved to temporary files so the settings are the same the next time WinMLS is opened.


Edit Menu Reference

More:


Copy to clipboard

Copies the active plot to the clipboard so that it may easily be pasted to other software, such as Word.


View Menu Reference

From this menu you can select which resources you wish to view on your screen. The ones which are viewed are check-marked as shown in the figure below.

Note that the toolbars can be moved around and the positions are saved in the post-processing setup file.

More:

Volume and Input Level(s) Dialog

Measurement Selection Toolbar

Measurement Settings Toolbar

List of Curves Toolbar

Plot Toolbar

Frequency Plots Toolbar

Time Window Toolbar

Setups Toolbar

Standard Toolbar

Status Bar


Volume and Input Level(s) Dialog

Displays a dialog box for setting volume and input level(s).

The content of the dialog box to be displayed depends on the settings. If the WinMLS mixer is used and if measuring in sync. loop-back mode (see Measurement->Sound Card Settings...), it will look like the figure below.

If sync. loop-back mode is not used, the controls Sync.Out and Sync. Input are not needed and will not be displayed in the dialog box. The horizontal waitbar at the bottom of the dialog box informs the user about the measurement progress.

The level indicator lamp shown to the right in the figure above is colored red if there has been clipping during a measurement. If this is the case, the measurement is probably wrong.

The sliders are used to set the volumes. If the mixer is not calibrated, Uncal. will be written above the volume which may be given a value in the range 0-65535. Changing the volume from e.g. 20000 to 20001 will usually not make any difference. How much it has to be changed to actually change the volume is sound card dependent.

The calibration procedure will determine the volume in dB, and if calibration is turned on (Measurement->Hardware Calibration) the last part of the dialog box shown in the figure above will look as shown below.

It is now possible to see how much the volume is changed in dB, and this information is used to determine the absolute gain of the systems to be measured.

If the sound card does not support the WinMLS mixer, WinMLS is not able to set the volumes and the dialog shown below will be displayed.


Measurement Selection Toolbar

The Measurement Selection Toolbar is used for selecting measurement mode and measurements for post-processing.

More:

Measurement mode

Delete unplotted measurements from memory

Active measurement in upper plot

Update both plots with the same measurement

Measurement in lower plot or reference measurement

Select “lower plot measurement” or “reference measurement” in combo box


Measurement mode

The measurement modes are shown in the figure below.

More:

MLS

MLS (scope)

No excitation (scope)

Trigged, no excitation (scope)

Sinusoid (scope)

Excitation from file


MLS

This is the default measurement mode and should be used for measurements of impulse/frequency response. The MLS-specific settings are found in the Measurement Settings Toolbar.


MLS (scope)

This mode is similar to the MLS mode, except that no post-processing (Hadamar transform) of the recorded signal is performed. This may be useful for detecting errors.


No excitation (scope)

In this mode, no signal is played. It is intended for analyzing a signal, such as finding the background noise level. The length of the recorded signal is also given hereby the sequence order in the Measurement Settings Toolbar.


Trigged, no excitation (scope)

This mode is intended for analyzing impulsive signals. It is similar to the No excitation (scope) mode except that the maximum of the signal is automatically detected and the signal shifted so the maximum is found after 150 samples.


Sinusoid (scope)

A sinusoid is used for excitation, otherwise the mode is similar to No excitation (scope).

Measurement->Sinusoid Settings sets the frequency and level of the output signal.


Excitation from file

In this mode, any 1-channel excitation signal may be specified as a file. The file must be put in the WinMLS folder and be named WinMLSExcitation.wav (currently only wav-files are supported). An example file is found in the WinMLS folder. The output is normalized.

The number of sample played is set from the Measurement Settings Toolbar. In the figure below, using a sequence order of 14, 2^14 samples are played at a sampling rate of 48000 Hz. This gives a length of the recorded data of 0.341 sec. as shown below.

Note that the number of averages and number of averages to pre-send found on this toolbar, will also apply in this mode.


Delete unplotted measurements from memory

Same as File->Delete unplotted measurements.


Active measurement in upper plot

From the combo box to the right of the [image] icon, the active measurement in the plot is selected (if two plots are displayed in the window, it selects the active measurement in the upper plot). All the performed and inserted measurements are available from the combo box list.


Update both plots with the same measurement

If the active window contains two plots and if [image] is toggled, the combo box to the left of the button will determine the active measurement for both plots. If it is not toggled, the combo box to the right of the button will determine the active measurement in the lower plot, given that [image] is toggled (see two chapters below).


Measurement in lower plot or reference measurement

This combo box displays the active measurement in the lower plot if [image] is toggled. If [image] is toggled, it displays the reference measurement (the reference measurement is used for division).


Select “lower plot measurement” or “reference measurement” in combo box

As explained in the chapter above, the status of these two toggles, determines what the combo box to the left of the toggles will display, the active measurement in the lower plot or the reference measurement.


Measurement Settings Toolbar

As different from the other toolbars, none of the settings in this toolbar can be found in any dialog box. If you intend to use WinMLS for advanced MLS measurements, this toolbar should be useful. It is, however, hidden in the default setup since new users may find it confusing.

More:

Number of Channels to Measure

Sampling Frequency

Sequence Order

Length of Measured Data

Number of Averages

Total Meas. Time

Number of sequences to pre-send

Sequence Type

Measurement System Correction

Pre-emphasis

De-emphasis

Type of emphasis


Number of Channels to Measure

From this combo box choose the number of channels you want to measure. If this is set to 1 ch., one impulse response is the result of a MLS measurement. If it is set to 2 ch., two impulse responses will be the result and so on. WinMLS is capable of measuring up to 24 separate channels. In the standard versions 1 or 2 channels are offered, if you need more please contact us.


Sampling Frequency

The sampling frequency determines how many samples per second the sound card transmits and receives. It determines the frequency range of your measurements. Theoretically the frequency range is half the sampling frequency (Nyquist criterion). You may get close to this limit if you correct for the influence of the measurement system.

The supported sampling frequencies is sound card-dependent, most sound cards support 11025, 22050 and 44100 Hz. The newer cards support 48000 Hz, and some new cards 96000 Hz. A sound card that supports 192000 Hz should soon be available.

You may select the sampling frequency from the list of the most usual sampling frequencies, but you can also write the number directly in the window. If the sound card does not support the selected sampling rate, an error message will appear when trying to start a measurement.


Sequence Order

Range: Typically 11-20 using PC with 16 MB RAM, or even higher order with more RAM.

The important thing to know about the Sequence Order is that it determines the number of samples of the measured data. See Length of Measured Data, which is discussed below.

The sequence order determines the number of samples in the maximum length sequence (MLS). The number of samples in the MLS is given as 2^ (Sequence Order) – 1. When the MLS measurement method was first introduced, the maximum length sequence was generated using shift registers. By connecting the shift registers in a special way it was found that a Maximum Length Sequence could be generated. This was the longest sequence that could be made before it repeated itself, and the length was given as 2^(# of shift registers) - 1. The Sequence Order is the same as the number of shift registers used to generate the sequence. It was found that this sequence had very useful properties for measurements.


Length of Measured Data

The Sequence Order and the Sampling Frequency gives the length of the measured data. Increasing the sequence order increases the length of the measured data, while increasing the sampling frequency decreases it. When measuring systems with long delays, such as a room, this number should be increased. If it is too low, the measured impulse response may have time aliasing. This is because the impulse response has not finished its decay.


Number of Averages

The number of averages determines how many times the MLS signal is repeated during the measurement. The desired number of coherent averages (pre-averages) can be typed in the edit window or chosen from the list. Up to 256 averages can be done if the sound card resolution is 24 bits, and 65536 averages if it is 16 bits.

The reason for averaging is that it will decrease uncorrelated noise and thus increase the quality of the measurements. For doubling of the number of averages, the signal-to-noise ratio is theoretically increased with 3 dB.

The total measurement time increases when the number of averages increases. Note that if the system you are measuring is somewhat time-variant, a long measurement time can decrease the quality of the measurement. An example of a time-variant system is a concert hall where people are running around. Try to avoid measuring during such situations. In any case, for room acoustical measurements, a measurement time of more than 60 seconds is not recommended. Electrical or mechanical systems are usually very little time-invariant, so for those long measurement times seldom is a problem.


Total Meas. Time

The total measurement time is displayed here. It is approximately given as Length of Measured Data multiplied by the number of averages plus pre-sent sequences (explained below). If measuring in loop-back mode, add approximately two seconds.


Number of sequences to pre-send

This parameter decides how many times the excitation signal is to be played before the input signal is recorded and the measurement actually takes place.

When measuring using the MLS method, the excitation signal must be played at least once before recording the result. This is because the system to be measured has a transient immediately after the excitation that must be suppressed. After playing one sequence, this should have died out if the other parameters are correctly set. Therefore, the number of sequences to pre-send should be set to 1 or more when using MLS as excitation signal. If no excitation signal is used, this parameter is ignored.


Sequence Type

Two different types of sequences for MLS measurements are available, A or B. This feature is meant for distortion/non-linearity checking. Non-linearity causes spurious peaks in the impulse response. The peaks are replications of the true impulse response. For measurements using a different sequence, these peaks are situated at different places in the impulse response. By visually inspecting two impulse responses measured with different sequences, the amount of non-linearity may be determined. Distortion/non-linearity is usually caused by the transducers (either microphone or loudspeaker) and may in some cases be reduced by reducing the volume.


Measurement System Correction

Using this option will correct your measurements for the influence of the measurement system. But in order to do this, your measurement system first has to be measured. The procedure for this is described in the FAQ. Measurement System Correction is not recommended if you measure without using synchronization loop-back because a linear phase shift is added since the start of the impulse response may not be correctly determined. Also the magnitude frequency response may in some cases be incorrect because of this shift of the impulse response.

If you measure using synchronization loop-back, you might experience a small tail at the very end of the impulse response. This is a result of the correction filtering procedure. If this tail is more than –50 dB below the maximum of the impulse response, it should be nothing to worry about for most applications.

When the Measurement System Correction is turned on, the relative amplification will be measured, even if no level calibration has been performed. If the amplification of the system you are measuring has increased 5 dB after you performed the reference measurement, the peak of the impulse response will be at 5 dB. The linear amplification may be displayed by plotting for example the first part (it is given by the maximum) of the impulse response using linear axis. To plot the amplification in dB, do the same using logarithmic x-axis, or plot the magnitude frequency response.


Pre-emphasis

This option will pre-filter the excitation signal using the filter found in the Type of Emphasis combo box described below.


De-emphasis

This option will post-filter the recorded signal using the inverted filter found in the Type of Emphasis combo box described below.


Type of emphasis

This combo box contains the filter(s) used for pre- and de-emphasis. The MLS signal is initially white, which means that it contains an equal amount of all frequencies. For most acoustics measurements it gives a better result to use a signal that gives more power to the lower frequencies. Selecting LowBoost200HzShelvingFirstOrder it will boost the frequencies below 200 Hz with 20 dB using a first order filter. For more information read How to add pre-filtering (emphasis) to the excitation signal (MLS)? in the FAQ.


List of Curves Toolbar

This toolbar gives immediate access to the curves in the active plot.

The operations described below can be done from this toolbar. Note that if two plots are displayed in the window, the operations will only affect the active plot.

More:

Deleting curve(s) from the plot

Dragging curves to change the order

Change curve type

Display the curve

Change the curve color


Deleting curve(s) from the plot

A curve may be deleted by first marking it, then pushing the Delete key. In the figure above, the curve named CurveMeas. 2 is marked since it has a blue background. Note that if several curves are marked, they may all be deleted.


Dragging curves to change the order

If a curve in the toolbar is marked (CurveMeas. 2 in the example above), the curve may be dragged up or down using the mouse. Note that the curve at the end of the list is displayed as the top curve in the plot. In the figure above, CurveMeas. 3 will be displayed on top, while CurveMeas. 1 will be below all the other curves.

Note that if several curves are marked, they may all be dragged.


Change curve type

Clicking on this icon, will display a dialog box where a new curve type may be selected.


Display the curve

If [image] is checked, the curve will be displayed in the plot. If not it will not be displayed but is present in memory and may be displayed later.


Change the curve color

The color of a curve may be changed by clicking [image] (found to the left of Curve Meas. 1 in the figure of the toolbar above). A dialog box will be displayed from where a new color may be selected.


Plot Toolbar

This toolbar should be found very useful. It contains settings for zooming in x- and y-direction, selecting one or two plots, which plot type(s) to be displayed and finally a button for accessing the settings of the active plot type. In the figure below we see a plot with the toolbar on top.

Note that if two plots are plotted in the current window, the settings for the active plot will be displayed in the toolbar. It is a good exercise to click in the other plot to set it active and see how the toolbar settings will change.

More:

Setting the lower x-axis limit

Setting the upper x-axis limit

Setting the lower y-axis limit

Setting the upper y-axis limit

Auto-scale the plot in all directions

Display one or two plots in the window

Plot Type in Active Plot

Settings for the Active Plot


Setting the lower x-axis limit

The controls shown above are used to set the lower x-axis limit.

If auto-scale lower x-limit [image] is toggled, the minimum x-value of any of the curves in the plot will be used as minimum value. The edit window [image] shows the current value, 10 Hz in this example. It is possible to type a new value, but remember to validate it by clicking Enter.

The controls [image] are used for moving the limit in either left or right direction.


Setting the upper x-axis limit

The controls shown above are used to set the upper x-axis limit.

If auto-scale upper x-limit [image] is toggled, the maximum x-value of any of the curves in the plot will be used as maximum value. The edit window [image] shows the current value, 24000 Hz in this example, which is the maximum in x-direction since [image] is toggled. It is possible to type a new value, but remember to validate it by clicking Enter.

The controls [image] are used for moving the limit in either left or right direction.


Setting the lower y-axis limit

The controls shown above are used to set the lower y-axis limit.

If auto-scale lower y-limit [image] is toggled, the minimum y-value of any of the curves in the plot will be used as minimum value. The edit window [image] shows the current value. It is possible to type a new value, but remember to validate it by clicking Enter.

The controls [image] are used for moving the limit either up or down.


Setting the upper y-axis limit

The controls shown above are used to set the upper y-axis limit.

If auto-scale upper y-limit [image] is toggled, the maximum x-value of any of the curves in the plot will be used as maximum value. The edit window [image] shows the current value. It is possible to type a new value, but remember to validate it by clicking Enter.

The controls [image] are used for moving the limit either up or down.


Auto-scale the plot in all directions

This is a very method of auto-scaling a plot.

If [image] is toggled, the plot is auto-scaled in all x- and y-direction. As a result of this, all the four buttons [image] , [image] , [image] and [image] will be toggled. So clicking [image] has the same effect as clicking all these four buttons.


Display one or two plots in the window

If [image] is not togged, one plot is displayed in the active window as shown in the left part of the figure below. If [image] is toggled, two plots are displayed in the active window as shown in the right part of the figure below.


Plot Type in Active Plot

This combo box contains the plots shown in the figure below and lets the user select which plot type the active plot should contain.


Settings for the Active Plot

Clicking on this button will display a dialog box containing the settings for the active plot. An alternative method is to double click in the active plot.


Frequency Plots Toolbar

This toolbar gives quick access to settings useful for all the general frequency domain plot types (magnitude, phase, group delay and waterfall).

Note that if two plots are displayed in a window, the toggles will affect only the active plot. An exception is the toggles involving the “global” Plot->General Frequency Domain Settings….

Logarithmic x-axis. Same as [image] found in the plot type settings. In case WinMLS is displaying two plots, only the active plot will be refreshed when the button is clicked.

Smooth curve. Same as [image] found in the plot type settings. In case WinMLS is displaying two plots, only the active plot will be refreshed when the button is clicked.

Invert curve. Same as [image] in Plot->General Frequency Domain Settings…

Microphone compensation. Same as [image] found in settings for the Frequency Response/Spectrum plot type

Display guidelines on frequency response. Same as [image] found only in settings for Frequency Response/Spectrum plot type

Perform division using reference measurement. Same as [image] in Plot->General Frequency Domain Settings…

Update reference measurement on new measurement. Same as [image] in Plot->General Frequency Domain Settings…

Display time window settings for the reference measurement. Same as [image] in Reference measurement group in Plot->General Frequency Domain Settings…

Display time window settings for the active measurement. Same as [image] in Active measurement group in Plot->General Frequency Domain Settings…

File->General Frequency Domain Settings…

Waterfall slice scrolling downwards, used to set the active slice, for reading cursor values displayed at the Status Bar. The active slice gets a green color. This button is enabled only if the waterfall layout mode in the waterfall plot type settings is Separate lines waterfall as shown in the figure below.

Waterfall slice scrolling upwards, used to set the active slice, for reading cursor values displayed at the Status Bar. The active slice gets a green color. This button is enabled only if the waterfall layout mode in the waterfall plot type settings is Separate lines waterfall as shown in the figure above.


Time Window Toolbar

This toolbar will set the time window used for FFT-calculation for the frequency domain plot types. Below the toolbar is displayed together with the Time Data plot type. The time data window is displayed in yellow.

More:

Setting the lower window limit

Setting the upper window limit

Window length

Window x-axis unit

Time data window type

Display time window in time data plot type


Setting the lower window limit

The controls shown above are used to set the lower window limit.

The button [image] will move the time window to the lowest possible value.

The edit window [image] shows the current value in the unit displayed in [image] as will be explained below. It is possible to type a new value, but remember to validate it by clicking Enter.

The controls [image] will move the window one sample in each direction and is thus to be used only if very small moves are required.


Setting the upper window limit

The controls shown above are used to set the upper window limit. They work similar to those described in the chapter above, so no further explanation should be needed.


Window length

This control shows the total window length in the unit displayed in [image] as will be explained below.


Window x-axis unit

This control displays the unit of the x-axis. In the figure above it is set to ms, which means that the unit is milliseconds. The unit is always the same as the x-axis unit for the Time Data plot type.


Time data window type

The possible window types are shown below.

Note that when windowing transient signals such as impulse responses, a rectangular or half window should be used. A full window is usually used for stationary signals.


Display time window in time data plot type

If this is toggled, the selected time window will be displayed when plotting Time data.


Setups Toolbar

Using this toolbar is a convenient way of loading and saving the measurement and post-processing setups.

The purpose of this dialog bar is to make it easier for the user who wants to work with setup files. All the WinMLS settings are saved in setup files. From this toolbar most things can be done, except deleting a setup file which can be done from Measurement->Save/Load Measurement Setup… or Plot->Save/Load Post-proc Setup….

The save diskette-icon would change appearance when the setup is changed, e.g. it is disabled when it is not changed. This is the way for the user to see if the settings have been changed, this I think will be useful!!!

More:

Select a new Measurement Setup

Save Measurement Setup

Save link to post-processing setup

Select a new Post-processing Setup

Save Post-processing Setup


Select a new Measurement Setup

From this combo box a new measurement setup may be loaded. In addition to the measurement settings, post-processing settings will also be loaded, since the measurement setup contains a link to the post-processing setup. This measurement setup combo box thus is able to load all WinMLS settings.


Save Measurement Setup

Click this button to save the measurement setup, the Save As dialog box will be displayed, this will be described under Measurement->Save/Load Measurement Setup….

If any of the measurement settings are changed, the icon turns red [image]. This way the user will be notified that the settings have been changed since the last setup was loaded.


Save link to post-processing setup

If this is toggled, a link to the post-processing setup will be saved when the measurement setup is saved. This means that when the measurement setup is loaded, the linked post-processing setup will also be loaded. The toggle is the same as the [image] setting in Plot->Post-processing Setup….


Select a new Post-processing Setup

From this combo box a new post-processing setup may be loaded.


Save Post-processing Setup

Click this button to save the post-processing setup, the Save As dialog box will be displayed. This will be described under Measurement->Measurement Setup….

If any of the post-processing settings are changed, the icon turns red [image]. This way the user will be notified that the settings have been changed since the last setup was loaded.


Standard Toolbar

The standard toolbar contains the most frequently used buttons.

File->New…

File->Insert…

File->Save Active Measurement As…

File->Print

File->Print Preview…

Edit->Copy to Clipboard

Measurement->Start Measurement

Measurement->Cancel Measurement

View->Volume and Input Level(s) Dialog

Plot->Hold Plotted Curves

Plot->Solo Active Measurement Curve

Plot->Auto Refresh

Determines if auto refresh is turned on or off. If it is turned on, it can be in two modes as seen from the Plot->Auto Refresh sub-menu. Either Active Measurement or All Measurements.

Plot->Refresh All

Plot->Add Curve(s)

Plot->Delete All Curves

Plot->Chart Settings for Active Plot...

Add legend to active plot. This and other legend settings are found in Plot->Chart Settings for Active Plot..., select the Legend tab.

Add gridlines to active plot. This and other gridlines settings are found in Plot->Chart Settings for Active Plot..., select the Axis tab, then select the Ticks tab, or the Minor tab for the minor gridlines.

Display title to active plot. This and other title settings are found in Plot->Chart Settings for Active Plot..., select the Titles tab.

Display footer to active plot. This and other comment settings are found in Plot->Chart Settings for Active Plot..., select the Titles tab. Then select SubFoot as shown in the figure below.

Display axis title to active plot. This and other axis title settings are found in Plot->Chart Settings for Active Plot..., select the Title tab.


Status Bar

The status bar is displayed at the bottom line of the software. The left part is used to display the help text when the mouse cursor is placed at a control. For example, if the mouse cursor is placed at the [image] button, the text [image] will be displayed.

To the right of the help text, the cursor values (x,y) in the plot is displayed, as shown above. This is the position of the mouse pointer relative to the curve of the active measurement. Using this you can read out the values of the active measurement curve. Note that if you have plotted several measurements it is the cursor values of the active measurement that will be displayed.

If a frequency domain plot type is displayed, the wavelength, half- and quarter-wavelength will be displayed to the right of the cursor values as shown in the figure below.

More:


Status bar during a measurement

When performing a measurement, the current average and its input level(s) are displayed in the status bar. In the figure below the levels for average 8 for a 2 channel measurement is displayed.


Measurement Menu Reference

This menu contains the measurement settings

More:

Start Measurement

Cancel Measurement

Test Current Levels

Set Input Volume(s)

Set Output Volume

Measurement Information…

Delete Unplotted Measurements

Sound Card Settings

Hardware Calibration…

Measurement Settings Toolbar

Sinusoid Settings…

Advanced Settings

Measurement Tasks…

Defaults for Saving...

Measurement Setup...


Start Measurement

Starts a measurement using the current settings.

A too high output volume may damage your equipment, so consider adjusting down the output volume before selecting this option. The levels cannot be adjusted during a MLS measurement since it will give a wrong result.


Cancel Measurement

Cancels a measurement if one is being performed.


Test Current Levels

Recording (and playback) is started so the user may see the current input (and output) level(s). This is useful for setting optimal levels before performing a measurement.

Note that a too high output volume may damage your equipment, so consider turning down the output volume before selecting this option.


Set Input Volume(s)

Sets the input volume, starting from the lowest possible level and gradually increasing. The volume is adjusted so the input level is set in the range –1.5 dB to –5 dB. These limits may be set in Measurement->Advanced Settings….

The procedure works only if the WinMLS mixer is supported, and it works for 1- and 2-channel measurements.

If the procedure is slow, adjusting the volume sliders manually will help increasing the speed.


Set Output Volume

Sets the output volume. This procedure is similar to setting the input volume as discussed above.


Measurement Information…

Displays information on the active measurement as shown in the figure below.

Note that the measurement file formats .wmb and .wav will contain all information, while the formats .wmt and .tim contain less information. However, note that if the .wav-file is normalized when saved, its level information will not be correct.


Delete Unplotted Measurements

Deletes all the measurements that are present in the memory (of the active window), except the measurements that are plotted.

Even the unsaved measurements will be deleted. Since WinMLS stores all the performed and inserted measurements in memory as default, it may be needed to clear the memory.


Sound Card Settings

Opens the Sound Card Settings dialog as shown below.

More:

Mixer and Synchronization Settings

Input Settings

Output Settings

Sound Card Specific Settings

Advanced settings


Mixer and Synchronization Settings

should be checked to make use of the WinMLS internal mixer. If it cannot be checked, this may be because your sound card does not have a software mixer, or it is not compatible with the Windows® sound system. If not checked, several settings in this dialog box will be disabled.

More:


Synchronization Mode - Measuring initial time delay, or not.

Synchronization Mode – Measuring initial time delay, or not.

The initial time delay is the same as the time a pulse takes to travel through the system we are measuring, if it is a loudspeaker and a microphone, it is the time delay caused by the distance between the loudspeaker and the microphone and is also called time of flight. The inital time delay can be measured in several ways when measuring transfer functions with WinMLS. It can also be plotted if it is selected in the plot types Room Ac. Parameters and Levels.

The settings below apply only when measuring transfer functions and not when measuring in scope mode.

Each of the items in the list shown in the figure above is explained in the chapters below.

More:

Only if my sound card `is synched'

No, detect start of measurement

Yes, my sound card `is synched'

Yes, with loop-back and end-check

Yes, with loop-back, no end-check


Loop-back settings

gives the delay of the sound card in samples. The delay is found by doing a MLS measurement of the sound card with its input connected to the output using a cable. Plotting the first part of the resulting impulse response using Time Data as plot-type and Samples as x-axis, will show the delay. In addition to being used for the loop-back, this setting is also used for the Yes, my sound card ‘is synched’ mode.

gives the input line used when performing a loop-back measurement. For the Digigram® cards, Analog Input should be selected, but for other sound cards it is usually Mic or Line.

gives the channel that the loop-back is to be connected to. If the loop-back input is stereo, it is usually connected to Right channel. But if it is mono (e.g. the Mic input), it must be set to Left.

should be checked if problems occur when measuring in loop-back mode. A short MLS signal is used for the synchronization instead of the standard pulse. This signal is less prone to noise, but may demands a fast PC since will need more processing. If you are using a sound card capable of measuring DC offset (e.g. TB Tahiti/Monterey) it is strongly recommended to use this setting.


Input Settings

gives the sound card input device. Note that the combo box list may contain devices that cannot be used for measurements.

gives the input line. For the Digigram® cards, Analog Input should be selected, but for other sound cards it is usually Line, or Mic. Note that the combo box list may contain lines that cannot be used for measurements, e.g. CD player and Aux.

gives the bit depth used for recording. You may choose either 16 or 24 bits. 24 bits usually gives a slightly better measurement result and allows a larger dynamic range, but your sound card may not support 24 bits.

opens the dialog box for setting input devices if a multi-channel (>2 channels) measurement is to be performed.


Output Settings

gives the sound card output device. Note that the combo box list may contain devices that cannot be used for measurements.

gives the input line. It is usually called Wave Output or Wave, or a translation if your operative system is not English.

gives the channel for the excitation signal. You may select Left, Right , Left&Right or Alternate. Left is recommended and used in the standard setup files, which means that the output source must be connected to the left channel. If Alternate is selected, the first measurement is performed using right channel output, the second with the right channel output, the third with the left channel output again, and so on...

gives the bit depth used for playback. You may choose either 16 or 24 bits. Your sound card may only support 16 bits. Bit depth makes no difference to the MLS signal if emphasis is not used, but 24 bits usually gives slightly better measurement results if pre-emphasis is used.

gives the master volume for all output lines and can be given a value from 0 to 65535. We recommend that you set it to 65000 (or exactly the maximum value 65535). If you have problems with distortion on your sound card output, then setting a lower value might reduce this.


Sound Card Specific Settings

The sound card specific settings are sound card dependent. On some sound cards you may set Treble and Bass, 3-D sound and other settings, but for other sound cards no such settings are supported. In that case all settings will be ghosted as shown in the figure above.

If your sound card has such special settings, it is likely that they will influence the result of your MLS measurements. Therefore, WinMLS will extract these settings and allow you to set them. These settings will be saved in the measurement setup file as the other measurement settings. This way you are sure to have exactly the same settings each time you do a measurement.

The output tone controls Treble and Bass found on the left side of the figure above can be set to a number from 0 to 100. This setting will greatly affect the frequency response of your sound card. You may use this as an equalizer to boost either the high or the low frequency region.

If any of the Other settings are supported, they will be listed and turned off as default. You may turn them on by checking them. We recommend that you do not check the controls unless you know exactly what the control does. For more information about this, consult your sound card hardware documentation. A way of testing it would be to compare a measurement with the control turned off with a measurement with the control turned on.

Note that it is possible that a sound card has settings that is not displayed in the Sound card specific settings, e.g. the Digigram sound cards volume settings Advanced Input and Advanced Output.


Advanced settings

should be checked if you want to save everything that is recorded during the whole measurement to a .wav file. This can be useful if you need to see what has happened during your measurement. Then you can simply play the file and listen to it, or open the file in a sound editor. For 1 channel measurements, a mono .wav file is generated, for multi-channel measurements a stereo .wav file is generated.

gives the name and path of the diagnosis file to be saved.

determines if unwanted feedback that may occur between the measurements should be turned off. If this is not checked, feedback may occur between the measurements because then the original sound card volume is being restored. If checked, it will make sure that the volume setting causing feedback is turned off.

gives if input/output is mono or stereo when performing a 1-channel measurement. In most cases this should be set to Stereo. However, if you have a sound card that is mono full duplex (probably an older card), you may set it to Mono.


Hardware Calibration…

Displays the dialog box shown below.

More:

Input Absolute Level Calibration

Output Absolute level calibration

Relative calibration of mixer input

Relative calibration of mixer output

Measurement System Correction File


Input Absolute Level Calibration

determines if the input is to be absolute calibrated.

displays the input absolute calibration settings dialog box as described below.

determines which channel the Settings… are displayed for. For a 1-channel measurement, this number should be set to 1.

For more information, see How to perform relative calibration of mixer input levels? in the FAQ: Measurement section of the help-file.

More:


General settings

is used to choose between Detailed calibration and Total calibration. These will be discussed below.

should be checked if you are having a transducer (e.g. a microphone) connected to the input. It makes sure the units are correctly set and allows you to specify the transducer sensitivity if Detailed calibration is selected.

chooses the unit of your transducer. If you are using a microphone, select Pres [Pa].


Total calibration

Total calibration can be performed if it is selected in the General settings as shown below.

The purpose of this type of calibration is to calibrate the whole input chain in one operation without having to calibrate the sound card first. This Total Calibration is fast and simple and very suited if you have a microphone calibrator. However, we recommend that you instead use the Detailed Calibration (see below) if you are using WinMLS both for electrical measurements and measurements where you are using a transducer (e.g. a microphone), or a pre-amplifier with changeable gain.

gives the number WinMLS uses to calibrate the input. This number will automatically be set when clicking the [image] button, but it may be manually set.

performs the calibration procedure.

opens the calibration settings shown below.

displays the date of the last calibration. It is set by clicking [image].

More:


Detailed Calibration

Detailed calibration can be performed if it is selected in the General settings as shown below.

The purpose of this type of calibration is to calibrate each part of the input chain (sound card, pre-amplifier, transducer). We recommend this method of calibration if you are using WinMLS both for electrical measurements and measurements where you are using a transducer (e.g. a microphone), or a pre-amplifier with changeable gain. The settings for detailed calibration are shown below.

is for calibrating the sound card input sensitivity. This must be done before calibrating the Transducer sensitivity.

should be turned on if you are using an external pre-amplifier. Type the amplifier gain in the edit box. If you want to determine the amplification of the pre-amplifier, we suggest that you do this manually by plotting the frequency response of the measurement system with and without the pre-amplifier. Note that the sound card calibration and the pre-amplifier gain and status (checked/unchecked) must be correct in order to get a correct calibration of the transducer sensitivity.

the transducer sensitivity of your transducer may be given by the manufacturer, then you may type this value in the edit box. You may also measured the transducer sensitivity by clicking the [image] button. However, you should first click the [image] button to set the correct calibration settings. You must also make sure the Amplifier Gain and Sound card conversion settings are correct.


Output Absolute level calibration

The purpose of the absolute output level calibration is to be able to measure the gain of the impulse response/transfer function with the correct units.

Determines if the output is to be absolute calibrated.

Displays the output absolute calibration settings dialog box as described below.

The useage of dialog box is very similar to the Input Absolute Level Calibration dialog box. See the Input Absolute Level Calibration section for more information.


Relative calibration of mixer input

The WinMLS mixer controls the analog input amplifier of the sound card (some sound cards do not have a mixer, and some cards have a mixer that can not be controlled by WinMLS). The relative calibration uses a file containing the gain steps of the mixer for correction when the mixer gain is changed. So when a relative calibration has been done for the WinMLS mixer, changing the volume of the WinMLS mixer input will not affect the level of the measured transfer function. See FAQ for more information.

If checked, the relative calibration is performed using the correction file described below.

For selecting the correction file. If your sound card has two input lines, e.g. a microphone and line input, they will probably not have the same gain steps. Therefore, if you plan to switch measurement input line, the calibration file must be switched. How a correction file is generated is described below.

Click to generate a new input mixer correction file for the inputs and outputs selected in Measurement->Sound Card Settings. A dialog box will be displayed giving directions on how to perform the mixer input calibration. The procedure may take a few minutes. You will be notified when the calibration is finished.

Determines in what way the input levels are displayed. In the current version of WinMLS, it can only be displayed relatively with 0 dB as maximum (Full scale input). The maximum value of the input is found (within each average).


Relative calibration of mixer output

The relative calibration of mixer output is very similar to the relative calibration of mixer input. Please see chapter above for explanation.


Measurement System Correction File

The influence of the measurement system can be corrected as described in the FAQ: Measurement section How to correct for the influence of the measurement system?

Selects the measurement system correction.

If this is checked, the full name of the measurement system correction files shown in the combo box above will be displayed.


Measurement Settings Toolbar

This toolbar is also found in View menu, but is added here since the settings are not available in any dialog box. The Measurement Settings Toolbar is displayed if this is checked. The toolbar may also be turned on/off from the View menu. The reason for having this toolbar here is that the settings in this particular toolbar cannot be set from a dialog box, which is normal. And these settings should be found from the Measurement menu.


Sinusoid Settings…

Displays the dialog box shown below used to set the frequency and level if sinusoid is selected as output signal.

The Frequency can be set no higher than half the sampling frequency. Note that if you close the dialog box and open it again, the frequency will have changed slightly from the value you have typed. This is because it has switched to the nearest possible exact frequency. The frequency resolution is increased by increasing the sequence order in the Measurement Settings Toolbar.

The Level [dB FS] is the full scale level given in Decibels. Its maximum value is 0, which is the maximum amplitude for the Digital-to-Analog converter. The output level may be further adjusted using the volume settings.


Advanced Settings

Displays the dialog box shown below.

More:


Pre-D/A sound card output amplitude

These settings will set output:

Inverts the output signal if it is checked. If the measured impulse response has a negative peak, toggling this will invert the peak.

The edit box [image] gives the full-scale amplitude in Decibels of the measurement output signal (and for the relative sound card mixer calibration). Its maximum value is 0, which is the maximal amplitude for the Digital-to-Analog converter.

The edit box [image] gives the full-scale amplitude in Decibels of the signal used for absolute calibration of the sound card.


Emphasis offset

The pre-emphasis output amplitude is determined from this setting in combination with the [image] (this is why we have called it offset). Depending on the selected type of pre-filtering, a too high value may cause the amplitude to exceed the maximal amplitude. If this causes clipping of the signal, an error message will be displayed.

This is used to scale the recorded signal when measuring using post-emphasis.


Limits for automatic setting of volume

These settings will determine the limits when using Measurement->Set Input Volume and Measurement->Set Input Volume.

The volume is set so that the level is above this limit when using Measurement->Set Input Volume.

The volume is set so that the level is below this limit when using Measurement->Set Input Volume.

The volume is set so that the level is above this limit when using Measurement->Set Output Volume.

The volume is set so that the level is below this limit when using Measurement->Set Output Volume.


Measurement Tasks…

Displays the dialog box shown below used to determine what tasks are to be performed when a measurement is performed, inserted or opened.

More:


Tasks when performing a measurement

determines if a new measurement is to be performed in the active window or if a new window is to be opened. If Perform measurement in new group (windows) is selected, a new window will be opened when a new measurement is performed. This is similar to the two options you have when opening a measurement file. You may then choose between Insert… and Open…. Insert… will open the measurement file in the existing window, while Open… will open it in a new window

will add a delay after you start the measurement before it is actually performed. If you have to do something before each measurement and you don’t have anyone to start the measurement for you, this delay after starting the measurement may be useful.

determines if the dialog box found in View->Volume and Input Levels(s) dialog is to be displayed when a measurement is performed.

determines if the measurement should be saved automatically using the filename and other parameters from Measurement->Defaults for Saving….

determines if a new measurement is to be started after performing a successful measurement. It makes it possible to perform several measurements without user interaction.

determines if an executable file is to be run after a measurement is performed. The name of the executable must be specified in the field below the check box. This may be used for controlling a turntable of type B&K®. For information about this, run the file BKturntable.exe found in the WinMLS folder.

adds a delay after the measurement has been performed. This may be useful when several measurements are performed in automatic mode.


Tasks when performing or inserting a new measurement from file

determines if a message box should pop up asking the user if the previous measurement is to be saved when performing or inserting a new measurement.

determines if the unplotted measurements should be kept in memory or not. If you are to perform several hundred measurements, you should be aware of that it might fill up the memory if they are not removed. Measurements are deleted by using File->Delete Unplotted Measurements, alternatively Delete unplotted measurements from memory will delete all measurements as long as they are not set as active or plotted. This prevents the memory to run full. It is useful if a repeated measurement is to be done and each measurement is never supposed to be stored. E.g. when calibrating a sound system, repeated measurements are needed but the results are not to be kept in memory. To sum up, this option deletes the previous unplotted measurements from memory after a new measurement has been performed and plotted.

determines if plotting is to be performed when a measurement is performed or inserted.

determines if the data in the active plot is to be saved after a measurement is performed or inserted. The filename of the text file depends on if the measurement has a file name or not. If the measurement does not have a filename, it is saved under the default folder given in Measurement->Defaults for Saving. The filename is “PlotMeasFromMem<Measurement number>.txt”. If the measurement has a filename, it is saved using the measurement filename but with the extension .txt.

This is useful for batch-processing, e.g. if you want to compute the smoothed magnitude frequency response of several measurement files and send the data to a text files. This is done automatically by using File->Insert, then mark the measurements files you want to process and insert them.

determines if room acoustics parameters are to be displayed and/or saved after a measurement is performed or inserted. The setting telling if it is displayed or saved to file or both is found in the bottom of the Room Acoustics->Calculation Options… dialog box.

The Send to Text file option is useful for calculating the room acoustics parameters of several files and saving the results in one operation. First check this option, then make sure Send to Text-file is checked in Room Acoustics->Calculation Options…. In File->Insert, select all the files that you want to process. If the measurement has a filename, it is saved using the measurement filename(s) but with the extension .txt. The filename of the text file depends on if the measurement has a file name or not. If the measurement does not have a filename, it is saved under the default folder given in Measurement->Defaults for Saving. The filename is “RoomAcMeasFromMem<Measurement number>.txt”.

If this is turned off both channels in a 2-channel measurement are plotted in each plot. If you for example, view the impulse response in the upper plot and the magnitude frequency response in the lower plot, you normally want to do it this way.

If the option is turned on and a 2-channel measurement is performed, channel 1 is plotted in the upper plot and channel 2 is plotted in the lower plot (if the window has two plots). This option is useful if you wish to view two plots having the same plot type. This is done in the room acoustics measurement setup file RoomAcMeasurement. Here the time-data plot type is displayed in both plots. When a two-channel measurement is performed, channel 1 is plotted in the upper plot and channel 2 is plotted in the lower plot. It makes it easy to compute room acoustics parameters that need two impulse responses, a primary and a secondary. The primary impulse response is taken from the upper plot, while the secondary is taken from the lower plot.

This also applies if two measurements are inserted using File->Insert. See the FAQ for more information.


Defaults for Saving...

Displays the dialog box containing the defaults for saving measurements shown in the figure below. After a file is saved the default folder, format, title, comment(s) and current counter is updated.

More:


Default file-parameters

From here the default file folder, name and extension is set. Note that the default filename for saving will in addition contain a number given by the Autoname generator as will be described below. A single channel measurement using the settings above would get the suggested filename with full path: c:\winmls2000\measurements\Meas_1.wmb

should be checked if you want to normalize when saving to .wav-file. This should be done to ensure maximum quality. However, note that if the .wav-file is normalized when saved, its level information will not be correct.

gives the tab used for determining the filenames for a multi-channel measurement. A 2-channel measurement would, using the settings shown in the figure above, get the following two suggested filenames: MeasCh1_1 and MeasCh2_1.

A multi-channel file will get the default name:

<default filename> + <multi-channel tab> + <channel number> + <_> + <measurement auto-numbering>

The reason for doing it in this order is to ensure flexible listing of the measurements in the Windows® file explorer. If you list the measurements using date, the multi-channel measurements will be listed after measurement number. If you list the measurements using filename, they will be listed after channel number since the channel is added before the measurement number.


Title and comments

Title and comments will be saved to the file header except for the .wmt format, which only saves the comment. The title has a maximum of 80 characters and the comment 60 characters.

The title will appear in the plot title if [image] is checked in Plot->Advanced Plot Settings… and if [image] is checked on the Standard Toolbar.

The comment will appear in the plot title if [image] is checked in Plot->Advanced Plot Settings… and if [image] is toggled on the Standard Toolbar.

For a multi-channel measurement, comments may be given for each channel by clicking [image].


Autoname generator

The autoname generator is used to automatically assign a number to the suggested measurement filename.

The first edit box [image] gives the start number of the auto-numbering. The second edit box [image] gives the number where the auto-numbering ends. When this end-number is reached, the auto-numbering starts at the start number again. If you for example, are to perform 8 measurements that should have the same name, but numbered 1 to 8, you should set this to 8. Then when saving measurement number 9 the Defaults for Saving dialog box will be displayed and you may change the name.

displays the current value of the counter. E.g. after saving 5 measurements, the counter will have the value 5.


Measurement Setup...

Measurement setup defines as all the settings in the measurement menu.

When WinMLS is exited, the setup filename is saved in registry and all the current settings are saved to a temporary setup. The next time WinMLS is run, this setup file is opened and the settings restored.

To prevent the user from accidentally deleting or overwriting a setup file, the setup files may be write-protected.

More:

Select setup

Setup description

Save link to post-processing setup

Save setup as

Delete setup

Load soundcard/hardware calibration settings

Load setup

Close dialog


Select setup

Displays the selected measurement setup. Setups are chosen from a list as shown in the figure below.


Setup description

The setups descriptions describes the selected setup. The description should contain

•

What kind of measurement(s) is the setup suited for.

•

How should it be used (hardware setup)

•

How can it be adjusted

•

Is hardware calibration needed

•

Are calibration settings loaded, only notify if they are loaded

•

Is there anything else that needs to be done (e.g. initial time delay)?

•

What post-processing setups are suited and is the post processing linked?

Not all information can be covered in the measurement setups, the most important information is given below.

More:

General information about measurement settings

ImpulseExcitation

QuasiRealTimeAnalyzer

MasterSetup

RoomAc2Channel

RoomAcoustics

SoundSystemMeas

THD + Noise (1 kHz sinusoid)

VX222-VXpocket

ViolinAcoustics


General information about measurement settings

•

If you want to be asked to save a measurement, add delay before or after the measurement, turn on automatic display of room acoustics parameters and similar things, see Measurement->Measurement Tasks....

•

You can remove or add toolbars from the View menu. Note that you have to save the post-processing setup to maintain the settings when switching from one setup to another.

•

You can select if you want to plot curves on top of each other, or not, using Plot->Hold Plotted Curves.

•

The maximum length recorded for the setups is often 1.3 seconds, if you need to change the measurement time, it can be increased from the Measurement Settings Toolbar.

•

See the FAQ: Measurement section for further information.


ImpulseExcitation

Used if you want to measure an external impulsive signal, for example a pistol-shot, or a violin body by hitting it with a hammer. Connect the microphone to left channel if it is a stereo input, no output is used. The recording starts immediately after the measurement is started (dependent on the speed of the soundcard and PC). A delay before the measurement can be set in Measurement->Measurement Tasks... The length recorded is 1.3 seconds, if you are not able to capture the impulse response, it can be increased from the Measurement Settings Toolbar. The post-processing setup EnergySpectrum is selected as default. If you are doing a room acoustics measurements, one of the room acoustics post-processing setups should be selected. If the input is calibrated, the SPL is displayed and e.g. dBA if the Levels plot-type is chosen.


QuasiRealTimeAnalyzer

Performs repeated measurements without saving the data. Connect the microphone to left channel if it is a stereo input, the output is not used. The length recorded is 0.34 seconds, it can be changed from the Measurement Settings Toolbar. The post-processing setup PowerSpectrum is selected as default.


MasterSetup

This setup is automatically loaded if the selected or temporary setup cannot be loaded. The settings are very similar to the to the setup Sound SystemMeas. The sound card and hardware settings are also loaded, so these probably must be updated when the setup is loaded. The post-processing setup PostProcSetup is loaded as default.


RoomAc2Channel

Uses the MLS method (with emphasis) to measure two channels. Connect two microphones, one to the left and one to the right channel of your stereo input, connect the loudspeaker to left output channel. The length recorded is 1.3 seconds, if your room has a higher reverberation time, it must be increased from the Measurement Settings Toolbar. When a new measurement is started, the user is asked to save old measurements. The post-processing setup RoomAc2Channel is selected as default. If you are measuring lateral fraction, make sure you have connected a omni microphone to the left input and a Fig8 microphone to the right input. and select the post-processing setup RoomAcLateralFraction. If you are measuring IACC, use a dummy head and select the post-processing setup RoomAcIACC.


RoomAcoustics

Uses the MLS method (with emphasis) to measure room acoustics. Connect the microphone to left channel if it is a stereo input, connect the loudspeaker to left output channel. The length recorded is 1.3 seconds, if your room has a higher reverberation time, it must be increased. This is done from the Measurement Settings Toolbar. When a new measurement is started, the user is asked to save old measurements. The post-processing setup RoomAcOctaveRT is selected as default.


SoundSystemMeas

It can be used to measure loudspeakers or any other similar system. The impulse response is the result, but the frequency response and other relevant parameters can be plotted. Connect the microphone to left channel if it is a stereo input, connect the loudspeaker to left output channel. The post-processing setup SoundSystemCalibration is selected as default. If the input is calibrated, the frequency response is scaled to display SPL if the post-processing setup ScopeMode (LoudspeakerSPL) is selected.


THD + Noise (1 kHz sinusoid)

Uses 1 kHz sinusoidal excitation to measure total harmonic distortion (THD) and noise. Connect the microphone to the left channel if it is a stereo input, connect the loudspeaker to left output channel. The length recorded is 1.3 seconds, if you need longer measurement time, it must be increased from the Measurement Settings Toolbar. The post-processing setup THD + Noise (1kHz sinusoid) is selected as default.


VX222-VXpocket

This is intended only for loading sound card and calibration settings if you have a Digigram VX222 and VXpocket sound card. After you have loaded this setup, go to Measurement->Sound Card Settings... and make sure that the VX222 or VXpocket is selected as input and output devices. Also make sure ‘Use the WinMLS Mixer’ is checked in Measurement->Sound Card Settings. This will allow you to use the internal WinMLS mixer (and still maintain the absolute calibration). Please note that the sound card input absolute calibration values are valid only if the input is set up to line sensitivity. If you are setting the input to microphone sensitivity, you will need to calibrate.


ViolinAcoustics

The setup is very similar to the setup SoundSystemMeas. Connect the microphone or accellerometer to the left channel if it is a stereo input, connect the loudspeaker or the magnet coil system (you may purchase from us) to left output channel. The post-processing setup ViolinAcoustics is selected as default.


Save link to post-processing setup

If [image] is checked, the post-processing setup is also saved when saving the measurement setup. Note that when a measurement setup is loaded, if this setting is turned on in the measurement setup file, the post-processing setup will also be loaded.

This means that this check-box can be used to determine if you want to load the post-processing setup when loading the measurement setup. But it is read from the measurement setup file, so it is not enough just to check the check-box. So to change this setting, the measurement setup must be saved before it is active.


Save setup as

Opens a dialog box for saving the current measurement settings.

If [image] is not checked, the post-processing setup will not be saved and the dialog box will look like in the figure below.


Delete setup

Deletes the selected setup.

The button is disabled when only one setup file is left to make sure not all setups are deleted.


Load soundcard/hardware calibration settings

If [image] is checked, the sound card and hardware calibration settings are loaded when loading the measurement setup.

If it is not checked, you can load measurement setups without changing the sound card and hardware settings. This makes it much easier to switch between measurement settings (you don’t have to select the hardware settings when you switch).

Note that the measurement setup has to be saved in order for this settings to be changed. This is because when a new measurement setup is loaded, this setting is reset to the setting in the specified measurement setup.

All the default setups that come with the installation of WinMLS, should have this setting turned off, except for the setups that contain sound card and calibration settings (e.g. the setup VX222-Vxpocket). After loading a setup with soundcard/hardware settings, please note that you may have to reselect the Input Settings and Output Settings in Measurement->Sound Card Settings....

Be aware of that if you have opened several windows in WinMLS and if you change one of the soundcard/hardware settings in one window, it will affect all the windows if [image] is not checked in the measurement setup.


Load setup

Loads the selected setup and then closes the Measurement Setup… dialog box. Note that you will not be asked to save the previous settings.


Close dialog

Closes the dialog box. No new setup will be loaded.


Plot Menu Reference

This menu contains all post-processing features, except for the room acoustics. The first part of the menu, as shown below, contains commands and settings for manipulating the plot(s).

The next part allows the user to select which plot type(s) to display and what measurement(s) to plot. It also contains chart settings that apply for the active plot only and settings that are specific for each plot type.

The last part contains various settings that applies to all plots, except for General Frequency Domain Settings... that applies for the frequency domain plot types only.

Each item is explained in detail below.

More:

Add Curve(s)

Delete All Curves

Hold plotted curves

Menu: Solo Active Measurement Curve

Auto Refresh

Refresh Active

Refresh All

Select Plot Type(s)/Measurement(s)...

Chart Settings for Active Plot...

Plot Type Settings: Overview

Plot Type Settings: Time Data…

Plot Type Settings: Integrated Time Data (Step Response)...

Plot Type Settings: Energy-time Curve

Plot Type Settings: Schroeder Curve…

Plot Type Settings: Frequency Response/Spectrum...

Plot Type Settings: Phase Frequency Response/Function...

Plot Type Settings: Group Delay...

Plot Type Settings: Waterfall...

Plot Type Settings: Room Ac. Parameters...

Plot Type Settings: Levels...

General Frequency Domain Settings...

Default Curve Styles

White background on copy/print

Advanced Plot Settings…

Post-Processing Setup...


Add Curve(s)

Adds new curves(s) to the active plot. The data is taken from the active measurement and normally one single curve is added. If a multi-channel measurement has been performed and is active, curves for all the channels are added. The curves are always added to the current plot independent on the Plot->Hold Plotted Curves setting. If it is desired to remove the old curves before adding new curve(s), then this can be done as described below by using Plot->Delete All Curves.


Delete All Curves

Deletes all curves in the active or both plots. The dialog box shown below is displayed.

You may choose to delete the curves in the active plot or in both plots (if two plots are present in the window).


Hold plotted curves

If this menu-item is checked, the existing curves in the plot(s) will remain in the plot when a new curve is plotted. If it is unchecked, the existing curves in the plot(s) will be deleted when a new curve is plotted. In the software MLSSA® and some other software holding plotted curves is called Overplot. Note that in WinMLS you may change the settings for the curves you have already plotted.


Menu: Solo Active Measurement Curve

If you have several curves in the plot and want to view only one curve temporarily, this “solo” setting can be used. If ”solo” is turned on, it hides all curves that do not belong to the active measurement.

If there are several curves of the same active measurement, only the last plotted curve is visible. The other curves are not deleted from the plot, but are set invisible. They may easily be set visible again by turning “solo” off. If ”solo” is turned off, the curves that were visible before ”solo” was turned on are set visible again.

When Plot->Refresh All is selected or if auto-refresh is performed in refresh all mode, all the curves that are refreshed are set visible. This is because when refreshing all, it is likely that the user wants to display all the refreshed curves.


Auto Refresh

Auto-refresh will refresh the curve(s) if any settings influencing the viewed plot(s) are changed.

Examples of settings that will cause auto refresh are the settings in the dialog box that pops up by clicking in the active plot, the toolbar buttons influencing the plotting and changing the time window size clicking and dragging the mouse.

Note that the settings in Plot->Chart Settings for Active Plot... are not controlled by the auto-refresh, as these settings are always immediately updated. E.g. if you change the plot background gradient colors in the Plot->Chart Settings for Active Plot... dialog box, this will be done immediately, even before closing the dialog box.

The type of refresh depends on what is checked in the sub-menu as shown below

Each of these is described below.

More:


Active Measurement

If this is checked, the most recent curve of the active measurement is refreshed when changes in the settings are made. If the active window has two plots, both plots are refreshed. For details see documentation for Plot->Refresh Active.


All Measurements

If this is checked, the most recent curves of all measurements in the active window are refreshed when changes in the settings are made. If the active window has two plots, both plots are refreshed. For details see documentation for Plot->Refresh All.


Off

If this is checked, no auto-refreshing is performed. But if a measurement is performed or inserted, it will be plotted. Refreshing must be done manually using Plot->Refresh Active or Plot->Refresh All. Set auto-refresh in Off modus if you wish to perform manual refreshing as will be described below. But note that if the settings in Plot->Chart Settings for Active Plot... are changed, this will immediately change the settings in the active plot.


Refresh Active

Refreshes the most recent curve of the active measurement in the active plot. Refresh Active is meant for use only when auto-refresh is turned off, see above. It is a “manual” refresh and gives the user somewhat more control. If the active window has two plots, only the active plot is refreshed. If no curve of the active measurement exists in the active plot, it will be added.


Refresh All

Refreshes the most recent curves of all measurements in the active plot. Refresh All is meant for use when auto-refresh is turned off or set in Refresh Active mode, see above. It is then useful if you change a setting and you want all curves to be updated with this setting. Note that if you are plotting in frequency domain, the current time data window size is used when refreshing, even if [image] is checked (found by clicking [image] in Plot->General Frequency Domain Settings…)

Note also that if several curves of a measurement are present in the plot, only the most recent curve will be updated. If the active window has two plots, only the active plot is refreshed. If no curve of the active measurement exists in the active plot, it will be added.


Select Plot Type(s)/Measurement(s)...

Displays the dialog box shown below for setting the plot type and active measurement in upper and lower plot.

The settings in this dialog box, may also be set from the Plot Toolbar and the Measurement Selection Toolbar.

More:

Number of plots

Plot Type in Primary (upper) Plot

Active measurement in Primary (upper) Plot

Plot Type in Secondary (lower) Plot

Active measurement in Secondary (lower) Plot


Number of plots

Select if a single plot or two (double) plots are to be viewed as showed below.


Plot Type in Primary (upper) Plot

Selects the plot type from a list of all the available plot types. If two plots are displayed, this is for selecting the plot type in the upper plot.


Active measurement in Primary (upper) Plot

Selects the active measurement from a list of all the performed or inserted measurements in the active window. If two plots are displayed, this is for selecting the active measurement in the upper plot.


Plot Type in Secondary (lower) Plot

Selects the plot type in the lower plot from a list of all the available plot types.


Active measurement in Secondary (lower) Plot

Selects the active measurement in the lower plot from a list of all the performed or inserted measurements in the active window.


Chart Settings for Active Plot...

Displays the dialog box shown below.

This dialog box gives many possibilities and may seem complicated. Note that it has context-sensitive help functionallity. Click on the question mark button [image] in the upper right corner, then click on the setting you want to have explained.

The settings of this dialog box are saved to chart files for each plot type and are restored when the plot type is displayed. The chart files are found in the Chart subfolder in the folder where WinMLS is installed.

Note that changes in the plotted curve, e.g. changing colors, will not be saved. Default curve styles are set in Plot->Default Curve Styles....

Now each tab page as shown in the figure below will be described, starting with the Chart page.

More:

Chart page

Series page

Data page

Export tab

Print tab


Chart page

This is the page that is displayed when opening the dialog box. It defines the overall display parameters for the active plot, such as background, axis, titles and legend. An explanation of some of these parameters is given in the FAQ document.


Series page

Gives access to the settings that applies to each curve (here it is called series) as shown below.

The Series page will contain parameters dependent on the series type concerned, and the available parameters will depend on the curve type chosen (in the figure above the curve type is Fast Line). The setting [image] at the top of the Series tab page shows which curve you are editing.


Data page

Gives access to the data (x- and y-values) of the active plot as shown in the figure below.

By clicking on the cells, the data may be deleted, changed or added.


Export tab

Displays advanced setting for exporting the data in the active plot to picture formats.

Use the [image] button for saving.

If the Data tab is selected, advanced settings for exporting data is available as shown in the figure below.


Print tab

The Print tab gives access to the same settings as File->Print Preview… and we recommend using that instead.


Plot Type Settings: Overview

The plot type settings gives access to all the plot type settings as shown in the figure below.

Note that double-clicking in the plot is a faster way to access the plot type settings for the active plot. The [image] button on the Plot Toolbar may also be used.

The settings for each plot type will be explained below.


Plot Type Settings: Time Data…

Displays the dialog box shown below.

More:

X-axis settings

Y-axis settings

Y-axis scaling

Velocity of sound

Show time window for active measurement

Remove DC-component (0 Hz)

Processing Type

Filtering


X-axis settings

Selects the unit of the x-axis from one of the units displayed in the list shown below.

The chosen unit is also used in the user interface, e.g. as unit for the time window.

When the x-axis is changed, the upper and lower limits are will be properly scaled so the same segment of the curve(s) will be displayed. If several curves are plotted and the x-axis setting is changed e.g. from Time [samples] to Time [ms], the curves will be updated using the Plot->Refresh All procedure.


Y-axis settings

Selects the unit of the y-axis and the processing of the data from one of the choices displayed in the list shown below.

When the y-axis is changed, the upper and lower limits will be auto-scaled to make sure the curve(s) are appropriately viewed. If several curves are plotted and the y-axis setting is changed, the curves will be updated using the Plot->Refresh All procedure.


Y-axis scaling

Three types of scaling of the time data is supported as shown below.

No scaling – no scaling of the measurement.

Normalize – the measurement is normalized.

The amplitude of the absolute value of the time data is set to 1 if the y-axis is Linear or Squared (Energy). It is set to 0 dB if the y-axis is dB. If performing a 2-channel measurement, do not use this normalization setting if it is desired to see the difference in levels between the impulse responses.

Scale by: - scales the measurement with the given factor. If the y-axis is Linear, the measurement is multiplied with the factor. If the y-axis is Squared (Energy), the measurement is first squared and then multiplied with the factor. If the Y-axis is dB, the measurement is shifted (not scaled) with the factor.


Velocity of sound

Gives the velocity of sound and the unit.

Two units may be chosen:

The velocity of sound is used to compute the x-axis unit if Distance [meter] or Distance [feet] is chosen for the time domain plot types. It is also used to compute the quarter, half and whole wavelengths displayed in the Status Toolbar for the frequency domain plot types.

Note that if you are performing vibrational measurements, e.g. using an accelerometer instead of a microphone, it is the velocity of propagation in the structure that is to be typed, not the sound velocity.

Note that changing the velocity of sound in this dialog box will also affect the other time domain plot types, such as energy-time-curve.

The speed of sound, denoted c, may be found if the temperature is known using the formula

c = (331.4 + 0.6*T)

where T is the temperature in centigrade.


Show time window for active measurement

If checked, the time data window is displayed in the Time Data plot type as shown below. The time data window consists of the three yellow straight lines and it is valid for the active measurement. (there may be more than one measurement in the window and these may have different time data windows).

The window start and end points can be set directly by clicking and dragging with the mouse. In order to do this, the mouse pointer has to be exactly on top of the vertical line that is to be moved. The mouse pointer changes shape when it comes close to the limit.

In order to make sure auto-scaling of the y-axis can be effectively used, the vertical start and end lines are kept within the curve area. (The length is 10% larger than the minimum of the curve with the smallest y-value, and 10% less than the maximum of the curve with the greatest y-value.) The whole window is thus visible if auto-scaling is used.


Remove DC-component (0 Hz)

If checked, the DC-component will be removed when plotting.

The DC-component is removed by subtracting the DC-component of the last half of the measurement data.


Processing Type

This contains the processing options showed below

More:

No processing

Integral (Step response)

Double integral

Derivative

Double derivative

Cumulative energy


No processing

No extra processing is done on the measurement data.


Integral (Step response)

Integrates the measurement data. This is useful for example if you are measuring velocity but want to display displacement. If the measurement is an impulse response, the result is a step response. This is because the integral of an impulse response is a step response.

When performing integration, the DC-component should be removed, so make sure [image] is checked.

Instead of using this integration option, you may use the plot type named Integrated Time Data (Step Response).

The numerical integration is performed by cumulative summing of the elements. This gives a time shift error of one half sample which gives a linear phase shift. No correction for this is performed, but it may be done using the Subtract delay check box in the phase response/function plot type settings.


Double integral

Computes the double integral of the measurement data. This is useful for example if you are measuring acceleration but want to display displacement.

When performing the double integration, the DC-component should be removed, so make sure [image] is checked.

The numerical double integration is performed by twice cumulative summing of the elements.


Derivative

Computes the derivative of the measurement data. This is useful for example if you are measuring displacement but want to display velocity.

The numerical derivation is performed by taking forward differences on the left and right edges and taking cantered differences on interior points.


Double derivative

Computes the double derivative of the measurement data. This is useful for example if you are measuring displacement but want to display acceleration.

The numerical double derivation is performed by computing the derivative as described above twice.


Cumulative energy

Computes the cumulative energy of the measurement data.

The computation is performed by first computing the energy, then cumulative summing of the energy elements.


Filtering

If [image] is checked, filtering of the measurement is performed according to the filtering options [image] as shown below.

More:


Type of filtering

Selects the type of filtering from the list below

A BandPass filter lets the frequencies within a band pass and suppresses the other. A BandStop filter suppresses the frequencies within a band and lets the other frequencies pass. A LowPass filter lets low frequencies pass and suppresses the high frequencies. A HighPass filter does the opposite.


LowPass/HighPass filter settings

This group contains the settings if the type LowPass or HighPass has been selected.

Specifies the cut-off frequency of the filter. The frequency may be typed or selected from the list of standard 1/3-octave frequencies.

Specifies the filter order. The order is selected from the list and has the range 1-14.

Specifies the filter type. In the current version of WinMLS, only the type Butter is supported.


BandPass/BandStop filter settings

This group contains the settings if the type BandPass or BandStop has been selected.

If BandPass is the filter type and this is checked, several bands may be filtered and thus several curves are plotted depending on the start and stop frequency and the octave fraction bandwidth. How to determine the bands is explained below.

Note that if Filter several bands is checked, it is strongly recommended to make sure Plot->Hold plotted curves is unchecked. This is because many curves will be generated, and the refreshing does not handle this special case with several curves of one measurement. Plot->Refresh Active and Plot->Refresh All, will add new curves and not replace the old ones.

Determines the centre frequency. Any frequency may be typed or it may be selected from the list of standard 1/3-octave frequencies. If [image] is checked and the filter type is BandPass, two frequency values are to be selected, the start and end centre frequencies. The number of curves to be plotted within this frequency range is given by the Bandwidth described below. If the bandwidth is set to 1 octave or 1/3 octave, the standard frequencies within the specified frequency range is used. For other bandwidth settings the centre frequencies are calculated beginning at the start centre frequency.

Determines the filter octave bandwidth. Any bandwidth may be typed or it may be selected from the list. A bandwidth of 1 octave is according to the ISO 3382 standard.

Specifies the filter order. The order is selected from the list and has the range 2-14, only even numbers. Filter order 6 is according to the ISO 3382 standard. If the order is greater than 6 it does not give a stable result for low frequencies, e.g. filter order 8 and bandwidth 1/3-octave will not give a stable filter below a centre frequency of 350 Hz.

Specifies the filter type. In the current version of WinMLS, only the filter type Butter is supported which complies with the ISO 3382 standard.


Plot Type Settings: Integrated Time Data (Step Response)...

Displays the dialog box shown below.

All the settings of this dialog box are explained in the Plot Type Settings: Time Data… section.


Plot Type Settings: Energy-time Curve

Displays the dialog box shown below

Most of the Energy-time Curve settings are found and explained in the Plot Type Settings: Time Data… section. But for the Energy-time Curve the y-axis can only be plotted in dB (the y-axis scaling is set to [image] which is the most common way to view the Energy-time Curve). The Frequency Domain Windowing settings are also unique for this plot type and are explained below.

More:


Frequency domain windowing

The Energy-time Curve is computed by first transforming from time domain to frequency domain.

If [image] is checked, this transform is performed faster using a Fourier transform with a data length of an order of two. The data are padded with zeros to get this length. This may introduce an error if a DC-component exists.

After the Fourier transform, a window may be applied to the complex frequency data before performing the inverse transform. The following choices are possible:

More:

Unwindowed

Half-Hanning

Blackman-Harris (full)

Filtering using Hamming


Unwindowed

No frequency domain windowing is performed. All frequencies are given equal weight.


Half-Hanning

A Half-Hanning window is applied in frequency domain. This results in an attenuation of the higher frequencies. This option is recommended for loudspeaker measurements.


Blackman-Harris (full)

A Blackman-Harris full window is applied in frequency domain. This results in an attenuation of both the lower and higher frequencies, while the mid-band frequencies are not attenuated.


Filtering using Hamming

A Hamming window is applied in frequency domain. Note that if this is selected, the usual filtering controlled by [image] will not be applied. However, the centre frequency and the bandwidth for the Hamming windowing is taken from the filtering options, accessed by clicking [image]. In the dialog box, the centre frequency and bandwidth are set as shown below.

Using the settings above will give the most weight to the frequencies around 1000 Hz and filter out all frequencies below 707 Hz and above 1414 Hz.


Plot Type Settings: Schroeder Curve…

Displays the dialog box shown below.

Most of the Schroeder Curve settings are found and explained in the Plot Type Settings: Time Data… section. But the Schroeder Curve y-axis can only be plotted in dB (the y-axis scaling is set to [image] which is the most common way to view the Schroeder Curve). The DC-component is automatically removed for the Schroeder curve and it is computed from the last 50% of the measurement data. The Integration Options settings are also unique for this plot type and are explained in the Integration options section of the room acoustics documentation.


Plot Type Settings: Frequency Response/Spectrum...

Displays the dialog box shown below.

More:

X-axis settings

Y-axis settings

General Frequency Domain Settings

Type

Smoothing or Integration

Guidelines

Compensation of Magnitude

Shift/Normalization


X-axis settings

Selects the unit of the x-axis from one of the units displayed in the list shown below.


Y-axis settings

Selects the unit of the y-axis and the processing of the data from one of the choices displayed in the list shown below.

If several curves are plotted and the y-axis setting is changed, the curves will be updated using the Plot->Refresh All procedure.


General Frequency Domain Settings

Click the button [image] to open the dialog box also accessed from Plot->General Frequency Domain Settings….


Type

Select the type of frequency response/spectrum.

In the current version of WinMLS, only Magnitude is supported.


Smoothing or Integration

If the check box shown below is checked, frequency domain smoothing or integration is performed.

The type of smoothing or integration is set from the [image] button and is described below.

More:


Smoothing Settings

The smoothing settings dialog is used for all the frequency domain plot-types (magnitude, phase, group delay, waterfall). Each plot type has its own smoothing settings dialog box to keep the smoothing settings independent. The smoothing settings dialog boxes are exactly the same for the plot types, except that the plot type Frequency Response/Spectrum has some extra integration settings added as described below.

Smoothing calculates the mean of frequency response magnitude values over a sliding frequency band. The band is usually set in octaves (e.g. 1/3 octave wide) to give an equal distribution along a logarithmic frequency axis. A linear band may also be used and may be useful if a linear frequency axis is used to display the data.

Smoothing in power is the standard method of smoothing if it is applied on magnitude frequency response or spectrum. The mean of the squared amplitude values are computed. But you may also smooth to get the mean in magnitude instead of the mean in power, by setting the smoothing type to Octave – magnitude mean/interpolation. Another feature of this setting is the interpolation, that means that it finally interpolates the calculated smoothed values to the frequency points used if no smoothing was applied. Smoothing may increase the calculation time.

If the dialog box is opened from the Frequency Response/Spectrum plot type settings dialog box, integration may be chosen instead of smoothing.

More:


Guidelines

If [image] is checked, guidelines are added to the active measurement. If it is unchecked, guidelines that are in the plot will be deleted.

The type of guidelines is set from the [image] button and is described below.

More:

Guidelines settings

Frequency range

Display numerical values

Guideline

Maximum Gain

Minimum Gain

Average Gain

Average gain offset.

Guideline style


Guidelines settings

Guidelines for displaying maximum gain, minimum gain, average gain, and up to four different average gain offsets are supported.


Frequency range

Sets the frequency range where the guidelines are to be displayed. The maximum guideline frequency is truncated if it is greater than the maximum frequency of the active plot.


Display numerical values

Determines if numerical values are to be displayed on the guidelines and if they are to be transparent or have a yellow field around the value.


Guideline


Maximum Gain

If checked, a horizontal line is drawn where the maximum of the active measurement magnitude frequency response curve is found within the frequency range given by the minimum and maximum frequency.


Minimum Gain

If checked, a horizontal line is drawn where the minimum of the active measurement magnitude frequency response is found within the frequency range given by the minimum and maximum frequency.


Average Gain

If checked, a horizontal line is drawn where the average of the active measurement magnitude frequency response is found within the frequency range given by the minimum and maximum frequency.

Note that the average is computed from the plotted data (e.g. if the data are plotted in Decibels, the average will be computed from the Decibels data).


Average gain offset.

Four average gain offsets are available.

If [image] is checked, a horizontal line will be drawn at the average value added an offset given by the [image] setting to the right of the check box.


Guideline style

The color of the guidelines is set by clicking at the color field [image] . The line width is selected from the line width [image] list box. The line style is selected from the line style list box [image] . Note that if the line width is greater than the smallest width, which is 1, the line style can only be Solid.


Compensation of Magnitude

Compensation of the magnitude frequency response is possible. In the current version of WinMLS, one compensation is possible and it is called microphone compensation, but any other compensation may be done instead. Note that the Equalizer compensation is always disabled).

In order to do the compensation [image] must be checked, then the file containing the compensation data must be selected from [image] .

If no such file exists, it can be made.

An example of the format of the file is shown below. First a line containing the title, then a line with the title of each of the two columns, then the data columns, frequency column first followed by the magnitude frequency response data.

"Transfer Function Mag - dB volts/volts (0.33 oct)"

"Hz" "Data"

13.81928, 5.60038

18.42571, 5.60038

23.03213, 5.60038

32.24499, 5.60038

….

The frequency separation has no restrictions, spline interpolation is used to get the needed frequencies.


Shift/Normalization

Makes it possible to shift or normalize the curve.

determines the type of shift/normalization and has the possibilities shown and explained below.

More:

No Correction

Normalize to 0 dB

Fix to Frequency Value

Shift


No Correction

No shifting/normalization is performed.


Normalize to 0 dB

The curve is shifted so largest value is 0 dB.


Fix to Frequency Value

The curve is shifted so that at a specified frequency it is given a specified value. In the figure below, the specified frequency is 1000 Hz and at this frequency the curve is shifted so the value is 0 dB.

Note that if the y-axis is set to Linear or Squared (energy), the shift will still be given in dB, so a shift of 0 dB will give the value 1.


Shift

The curve is shifted, and the amount of shifting in dB is given below.

Note that if the y-axis is set to Linear or Squared (energy), the shift will still be given in dB, so a shift of 20 dB is the same as multiplying the Linear value by 10 and the Squared (energy) by 100.


Plot Type Settings: Phase Frequency Response/Function...

Displays the dialog box shown below.

Note that the phase is influenced by the sound card response. This may be removed by using the measurement system correction feature. Most sound cards have a delay of some samples that give a linear phase shift. It is possible to remove a pure delay by using the delay removal and subtraction features of this dialog box.

The microphone will also influence the phase, to get an accurate phase, use a precision microphone with as high a bandwidth (higher than the measurement frequency range) and flat frequency response as possible.

More:

X-axis settings

Y-axis settings

General Frequency Domain Settings

Phase type

Smoothing

Remove delay in frequency range

Subtract delay


Phase type

Selects the type of phase from the list below.

Minimum and excess phase are viewed unwrapped and smoothing (explained below) is performed as the last computation if it is checked.

More:

Wrapped phase

Unwrapped phase

Minimum phase

Excess phase


Wrapped phase

Restricts the phase range to –180 to +180 degrees, or –ð to + ð if radians is chosen as y-axis. The phase of a measurement will usually exceed this range, which results in jumps in the phase.


Unwrapped phase

The unwrapped phase is not restricted to the wrapped range, and has no jumps. The unwrapped phase is computed from the wrapped phase by changing absolute jumps greater than 180 degrees to their 2*180 degrees complement. Note that if the phase curve is not smooth, the computation of unwrapped phase may give a wrong result. Because of this, it is not recommended to select unwrapped phase when displaying the phase of a room measurement. View the phase as wrapped instead.


Minimum phase

The minimum phase is computed by taking the Hilbert transform of the log magnitude frequency response. If a system is minimum phase this means that for a given frequency response, the input energy will be transferred to the output in the least amount of time.


Excess phase

The excess phase is the difference between the actual phase and the minimum phase, the phase shift in excess of the minimum phase shift.

For excess phase measurements the phase influence of the microphone can usually be ignored since a microphone usually has a nearly minimum phase response.


Smoothing

If the check box shown below is checked, frequency domain smoothing is performed.

The type of smoothing or integration is set from the [image] button and is described in the frequency response/spectrum plot type Smoothing Settings.


Remove delay in frequency range

If [image] is checked, the delay is removed in the frequency range specified below the check box:

If the settings above are used, the delay is removed in the range 50-10000 Hz. If Subtract delay as described below is used together with this option, the delay is first removed in the specified frequency range, then the delay is subtracted.


Subtract delay

If [image] is checked, the specified delay [image] is removed. If Subtract delay and Remove delay in frequency range (described above) is used together, the delay is first removed in the specified frequency range and finally the delay is subtracted.


Plot Type Settings: Group Delay...

Displays the dialog box shown below.

Group delay is the derivative of the phase with respect to frequency. The numerical derivation is performed by taking forward differences on left and right edges and taking cantered differences on interior points.

More:

X-axis settings

Y-axis settings

General Frequency Domain Settings

Type

Smoothing


Y-axis settings

Selects the unit of the y-axis and the processing of the data from one of the choices displayed in the list shown below.

If Milliseconds – Logarithmic is selected, note that the logarithm of negative group delay values cannot be computed. If negative values exist, they are not plotted.

If several curves are plotted and the y-axis setting is changed, the curves will be updated using the Plot->Refresh All procedure.


Type

Selects the type of phase from the list below

More:


No processing

No processing of the group delay is performed.


Minimum group delay

The minimum group delay is computed as the derivative of the minimum phase frequency response.


Excess group delay

The excess group delay can be used to check time alignment in speaker system. It is computed as the derivative of the excess phase frequency response.


Plot Type Settings: Waterfall...

Displays the dialog box shown below.

More:

X-axis settings

Y-axis settings

Z-axis settings

Waterfall layout

Energy-Time-Frequency (ETF) calculation settings

Mode

Cycles

FFT shift

Floor

General Frequency Domain Settings

Smoothing

Waterfall microphone compensation

Reference to slice

Shift magnitude


Y-axis settings

Displays the unit of the y-axis. Only Decibels is supported.


Z-axis settings

Selects the unit of the z-axis from one of the units displayed in the list shown below.

If several curves are plotted and the x-axis setting is changed e.g. from Time [samples] to Time [ms], the curves will be updated using the Plot->Refresh All procedure.


Waterfall layout

Settings for determining some of the waterfall layout properties.

Note that other layout settings such as zooming, rotation, elevation, offset are found in Plot->Chart Settings for Active Plot... under the 3D tab as shown below.

In order to set the Rotation and Elevation, [image] must be unchecked.

More:


Mode

Selects how the waterfall is viewed.

Three choices are possible as shown below.

More:


Perspective

If [image] is checked, the backside of the waterfall plot is displayed.


Display plotting of each slice

If [image] is checked, each slice will be plotted right after it has been computed. Note that if it is checked, the plotting will take more time since if it is unchecked, all slices will be computed and then plotted in one operation.


Energy-Time-Frequency (ETF) calculation settings

Determines the special settings for the Energy-Time-Frequency mode. The special settings determine size of the data used for computing each slice (FFT size) and the window type applied on each of the slices. Note that no zero-padding is applied in computing Energy-Time-Frequency mode. The DC-component, if any, is not removed from each slice.

More:


Window type

Select the window type to be used for computing each of the slices. The choices are displayed below.


FFT size

Select the length of the data to be used for computing each of the slices using the Fourier transform. The number must be specified in samples, it can be typed or chosen from the list. The resulting length in milliseconds is also displayed.


Mode

Sets what type of waterfall plot is to be displayed.

The choices are displayed and explained below.

More:


Energy-Time-Frequency (ETC)

The Energy-Time-Frequency mode is the same as a spectrogram. The data used for computing the waterfall is the windowed measurement data. The time window on the data in General Frequency Domain Settings (the time window is found clicking the button [image]) determines the part of the time data the ETF is calculated from. It also determines if the time data is to be windowed before computing the ETF.

The windowed measurement data are divided into slices and the Fourier transform is computed for each slice. Special settings for this mode are found in the bottom right of this dialog box under Energy-Time-Frequency (ETF) calculation settings. The special settings determine the size of the data used for computing each slice (FFT size) and the window type applied on each of the slices. Note that no zero-padding is applied in computing Energy-Time-Frequency mode. The DC-component, if any, is not removed from each slice.


Cumulative Spectral Decay (CSD)

This mode is generated by computing the FFT of successively left-shifted versions of the windowed measurement data. The first slice is exactly the same as plotting the magnitude frequency response (Frequency Response/Spectrum plot type). This is because the FFT size and time window on the data is the same in General Frequency Domain Settings ( the time window is found clicking the button [image]). The next slices are computed by shifting this window (successive slices are shifted). The size of the shift is specified in FFT Shift. The number of slices is determined by Cycles (number of slices). The computation does not stop if the end of the measurement is reached. The DC-component is removed from each slice. This is done by subtracting the DC-component of the last half of each slice.


Cycles

Determines the number of slices to be displayed.

If Cumulative Spectral Decay (CSD) is selected as waterfall mode, the number of slices to be plotted is set here.

If Energy-Time-Frequency (ETC) is selected as waterfall mode, the number of slices to be displayed is set by the time data window ( the button [image] in General Frequency Domain Settings). However, the number of slices is displayed, but is disabled.


FFT shift

Sets how many samples the slices are to be shifted before computing the magnitude frequency response on the measurement data. The number is also displayed in milliseconds as shown below.


Floor

Determines if a floor is to be used and where to set the floor. The purpose of the floor is to make the waterfall plot look nicer. The waterfall data having values lower than the floor limit, e.g. –60 dB will be given this value. The floor is thus not the same as the y-axis minimum value.

Three choices are available as shown below.

More:


No floor

The waterfall is displayed without any floor.


Use floor:

Floor is used and the floor limit is determined using the dB setting [image].


Auto

Floor is used and the floor limit is determined automatically so that a percentage of the last part (20 percent) of the measurement data, given by [image], will be a part of the floor.


General Frequency Domain Settings

Click the button [image] to open the dialog box also accessed from Plot->General Frequency Domain Settings….

Note that the settings that do not apply to the waterfall plot type are disabled.

If complex division using the reference measurement is selected in Plot->General Frequency Domain Settings…, the resulting complex frequency response is inverse Fourier thus performing deconvolution. The deconvolved measurement is used for the waterfall computation. The window limits for the deconvolution are set by the window settings in the dialog box [image] and [image]. But if Cumulative Spectral Decay is chosen as mode, the end window limit for the active measurement is set as the end of the measurement.


Smoothing

If the check box shown below is checked, frequency domain smoothing is performed on each slice.

The type of smoothing or integration is set from the [image] button and is described in the Frequency response/Spectrum plot type Smoothing Settings.


Waterfall microphone compensation

If [image] is checked, the microphone compensation specified in the Frequency response/Spectrum settings (Plot->Plot Type Settings->Frequency Response/Spectrum…) is used for the waterfall plot also.

Note that each frame is compensated for the microphone magnitude response.


Reference to slice

If [image] is checked, the selected slice (in the figure below slice number 1) is used as reference. All slices will be viewed as differences to the reference slice. The reference slice will therefore be flat.


Shift magnitude

If [image] is checked, the magnitude is shifted in dB given by


Plot Type Settings: Room Ac. Parameters...

Displays the dialog box shown below.

Room acoustics parameters, such as reverberation time and speech transmission index can be displayed.

More:

Type

Plotting dependency on SNR

Calculation Options

Parameter Settings

Display Signal to Noise Ratio (SNR)


Type

The types of acoustical parameters that may be computed and displayed are shown below.

The parameters are explained in the documentation for the menu item Room Acoustics-> Parameter Settings....

When plotting a single value parameter (e.g. STI), the x-axis is linear. When plotting a multiple value parameter (e.g. T30), the x-axis is set to logarithmic. As default the x-axis displays the octave band values, but it is possible to change the axis labels and gridlines, see the FAQ: Room Acoustics section of the help file on how to do this.


Plotting dependency on SNR

If the check box shown below is checked, values of parameters that have a worse signal-to-noise ratio than the number specified below will not be displayed.


Calculation Options

Clicking [image] opens the same dialog box as Room Acoustics->Calculation Options…. An explanation of the dialog box is given in the Room Acoustics Users Guide.


Parameter Settings

Clicking [image] opens the same dialog box as Room Acoustics->Parameter Settings…. An explanation of the dialog box is given in the Room Acoustics Users Guide. The settings in the dialog box that are not used for the plot type are disabled.


Display Signal to Noise Ratio (SNR)

The signal-to-noise ratio can be displayed in the plot as numbers in the plots as shown in the figure below.

If [image] is checked, the SNR is added as marks above the plot points as shown in the figure below. If [image] is checked, the mark is transparent and not yellow.


Plot Type Settings: Levels...

Displays the dialog box shown below.

Note that this plot type may not be automatically refreshed for all kinds of changes in settings.

More:


Type of level

The type of level is selected as shown below.

The choices are displayed below.

Note that in order to give for example the RMS of the sound card input signal, the input must be calibrated (Measurement->Hardware Calibration) and the measurement must not be in transfer function mode (e.g. a MLS measurement will consider the output at well).

More:

RMS

Energy

Linear sum (1/3 oct., scope mode)

dBA

dBB

dBC


RMS

The RMS value of the windowed measurement data is computed and displayed. The window settings are found in Time Data processing described below.


Energy

The RMS value of the windowed measurement data is computed and displayed. The window settings are found in Time Data processing described below.


Linear sum (1/3 oct., scope mode)

The linear sum of 1/3-octave frequency bands is computed and displayed. The frequency range is determined in the 1/3 octave frequency rang settings.

If the measured data is a transfer function (for example measured with MLS output signal), the data are corrected for the output signal so that the value for the input only is computed. This makes it possible to plot the input level and is why it is called scope mode. Two types of scope mode is supported, either Stationary signal (power) or Transient signal (energy). The scope mode settings are found in the lower right of the dialog box displayed after clicking [image] as shown in the figure below.

If you are measuring impulse responses, Transient signal (energy) should be selected.

Note that the correct absolute value is given only if the absolute level of the input is calibrated. In Measurement->Hardware Calibration...., click the Settings... button as shown below.

Note also that if Microphone compensation is turned on in Plot->Plot Type Settings->Frequency Response/Spectrum... as shown below,

then microphone compensation will also be used in when computing the frequency response for the Levels plot type.


dBA

The dBA-weighed sum of 1/3 octave frequency bands is computed and displayed. The computation is done as explained in the chapter above Linear sum (1/3 oct., scope mode) .


dBB

The dBB-weighed sum of 1/3 octave frequency bands is computed and displayed. The computation is done as explained in the chapter above Linear sum (1/3 oct., scope mode) .


dBC

The dBC-weighed sum of 1/3 octave frequency bands is computed and displayed. The computation is done as explained in the chapter above Linear sum (1/3 oct., scope mode) .


Time Data processing

Determines how the measurement data is processed before computing RMS or Energy.

If [image] is checked, the measurement data will be processed according to the settings obtained by clicking [image]. These settings are described under Plot->Plot Type Settings->Time Data….

Clicking [image] gives access to the time window settings determining what part of the measurement data to be used for the computation and the window applied to the measurement data.


1/3 octave frequency range

Determines the frequency range used for computing the Linear sum, dBA, dBB and dBC.

Clicking [image] gives access to the settings for computing the octave bands. The frequency response data are integrated to obtain the energy in each band.


General Frequency Domain Settings...

Displays the dialog box shown below containing settings that apply to all frequency domain plot types.

More:

Active measurement settings

Reference measurement

Fourier transform size

Various


Active measurement settings

Gives the settings for the active measurement in the upper plot (and lower plot, if there are two plots). However, if Plot->Refresh All is selected, all the most recent curves for each measurement will be refreshed using the current settings.

More:


Time window settings

Clicking the [image] button in Plot->Frequency Domain Settings... or the buttons [image] or [image] from the Frequency Plots Toolbar will open the dialog box displayed below for setting the window size and type.

More:


_Menus and Dialog Boxes-1

Determines if the processing of the Time Data plot type is to be applied before computing the frequency response. Note that if this is not checked, the DC-component is automatically removed.


_Menus and Dialog Boxes-2

Opens the settings for the Time Data plot type shown below.

Only the Time Data Processing settings are enabled since the other settings have no effect in the frequency domain. This dialog box is explained in Plot Type Settings: Time Data…


Reference measurement

Contains the settings for the reference measurement.

More:


Perform division

If checked, the active measurement is divided complex with the reference measurement. If the sampling frequency is not the same for the active and the reference measurement, no division is performed and an error message is displayed.

The zero-padding size has to be the same for the two measurements or else the division will not work, also the zero-padding size must be larger than the window size for both measurements to prevent truncation. Therefore the longest Time Data Window of the two measurements is used as basis of finding the zero-pad size.


Select reference measurement

The reference measurement can be selected either from file or from the measurements available in memory.

If you want to select the measurement from file, first check [image], then click the [image] button to open the browser. Note that the selected file is not added to the memory measurement file list.

If the measurement is selected from memory as shown in the figure above, it is possible to update the reference measurement when a new measurement is performed by checking [image]. Then if a new measurement is performed or inserted, the reference measurement is set to the current active measurement, for example if the active measurement is Meas. 3 and a 1-channel measurement is performed. The new active measurement will get the name Meas. 4, while the reference measurement will be updated to Meas. 3, since Meas. 3 was the active measurement before the measurement was performed. This feature is useful if you want to monitor the difference between the current and the previous measurement. For example if. 3 measurements are inserted in one operation (using File->Insert), the reference measurement will be updated 3 times. When the first measurement is plotted the current active measurement will be used as reference measurement- When the second measurement is plotted, the first measurement will be used as reference measurement. When the third measurement is plotted, the second measurement will be used as reference measurement. This is useful to monitor the difference between the measurements taken after one another.

If a multi-channel measurement is performed and [image] is checked, channel 2 of the performed or inserted measurement will be set as the reference measurement. E.g. if a 2-channel measurement is performed and has the name Meas. 4, ch. 1, the reference measurement will be updated to Meas. 4, ch 2. If two or more measurements are inserted and [image] is checked

This feature is useful if you want to monitor the difference between the two channels.


_Menus and Dialog Boxes-3

Clicking this button opens the dialog box for setting the window size and type for the reference measurement. This dialog box is similar to the button for setting the time window for the active measurement [image], and refer to this to get more information.


Fourier transform size

Selects the size of the Fourier transform for the active measurement and for the reference measurement if division is to be performed. The choices shown in the figure below will be discussed.

More:

_Menus and Dialog Boxes-4

_Menus and Dialog Boxes-5

_Menus and Dialog Boxes-6

_Menus and Dialog Boxes-7


_Menus and Dialog Boxes-4

This is the setting that gives the greatest speed since the Fourier transform is executed fastest when the length of the data is order of two, e.g. 1024 which is 2^10. If the windowed data does not have a order of two length, the data must be padded. E.g. if the length of the windowed data is 700 samples, the data are padded to obtain the length 1024. Usually zeros are used for this padding, therefore the name Zeropadding, but WinMLS does not pad zeros, instead it pads the last value of the windowed data. This is done to prevent from errors in case the data has a DC-component. Note that because this method is applied, this setting should not be used with a Rectangular window on non-transient data (this is not recommended anyway).


_Menus and Dialog Boxes-5

Used to get a Fourier size equal to the exact size of the time data window.


_Menus and Dialog Boxes-6

Used to determine the exact size of the Fourier transform. Any number may be typed in the [image] box. But the numbers on the list gives the best computational speed since they are an order of two.

An error message is given if the selected Fourier transform size is less than the size of the time data window and reference measurement time data window if division is to be performed.


_Menus and Dialog Boxes-7

Gives the frequency separation in Hertz, which is the distance between each point along the frequency axis. The frequency separation is equal to the Fourier transform size divided by the sampling frequency.


Various

Contains frequency domain various settings.

If [image] is checked, the complex frequency response (after division, if division is selected) is inverted.

If [image] is checked, a vertical line is added to the frequency domain plot types as shown in the figure below.

The “Frequency resolution line” will indicate graphically where the data should not be trusted. At the thick part of the line, the results should not at all be trusted. At the thin part of the line (which is twice the size of the thick line), the result is not certain.

The color of the line is set in Plot->Default Curve Styles…. The line refers to the active measurement curve.

The scope mode setting [image] has no effect if the measurement is a transfer function (a MLS measurement). If the measurement is performed in scope mode, the choices shown in the figure below are available.

The settings will affect the scaling of the frequency response. If Stationary signal (power) is selected and the plot type is Frequency Response/Spectrum, the power will be plotted. If the signal is a transient signal, this should not be selected since the level will depend on the window and zero-padding length. To prevent this, select Transient signal (energy).


Default Curve Styles

Displays the dialog box shown below.

In the upper left of the dialog box shown above, the styles for the time data window and the frequency resolution line is set. After that the styles for curve 1-16 is set. Curve 1 is the first curve plotted, and from the figure above we see that this has a red color. The next has a blue color and so on.

More:

Selecting curve color

Selecting curve width and style

Display curve belonging to active measurement with different width

Wrap index


Selecting curve color

The color is selected by clicking on the color field [image]. This will open the dialog box displayed below. (The language of the dialog box will set to the language of your operative system, this is why the text in the figure below is not in English).

Any color may now be selected by clicking somewhere in the field to the upper right of the dialog box displayed above. The color may also be selected by clicking in any of the [image] fields.


Selecting curve width and style

The curve width and style is set from [image].

The choices are listed below.

If the curve width is 1, which is the smallest possible, it is possible to plot the line with dashes and/or dots. Note that if the curve contains many data points, the dashes and dots may get so close in the plot that the line looks like it is Solid. But if the plot is saved in a picture format, this should not be the case.

Note that if a curve width greater than 1 is selected, the plotting speed is much decreased.


Display curve belonging to active measurement with different width

The curve (most recent) belonging to the active measurement may be displayed with a width different from the other curves as shown below. If curves from several measurements are plotted, this is useful for finding the curve belonging to the active measurement.

If In neither plot is selected, this option is turned off. This is recommended, since if a curve width greater than 1 is used, the plotting speed is decreased. We recommend using Plot->Solo Active Measurement Curve instead.


Wrap index

This is useful if several curves are plotted and you want the colors to repeat.

If the wrap index is e.g. set to 4 and 8 curves are plotted, the first 4 curves will get colors as selected from the Default Curve Styles list. But the 5th curve will get the same color as the first curve, the 6th curve will get the same color as the second curve, and so on.


White background on copy/print

If this is checked, when copying or printing the background is set to white. This may be useful for saving ink.


Advanced Plot Settings…

Displays the dialog box shown below.

More:


Add text to Plot

These settings determine if the plot title/footer/labels are to be updated and what is written after a measurement is plotted.

If no check boxes are checked, the text is not changed. This is useful if you want to use your own text. The axis labels is set in Plot->Chart Settings for Active Plot... under the Axis tab, then under the Titles tab as shown in the figure below.

The title is set in Plot->Chart Settings for Active Plot... under the Titles tab. The footer is also set there by selecting [image] as shown below.

More:


Add to Title

If [image] is checked, the title of the plot type is added to the plot title. The title added is normally the name of the plot type. E.g. the plot type Time Data gets “Time Data” as title. But the title may in some cases depend on the plot type settings. E.g. if the plot type is Room ac. Parameters and Reverberation Time (T30) is selected as parameter type, the title is “Reverberation Time (T30)”.

If [image] is checked, the title of the measurement that is plotted is added to the plot title. Note that if the measurement is a .wmt-file or .wav-file not generated using WinMLS 2000, the measurement header will not contain any title.

In order to actually view the title in the plot, the button [image] on the Standard Toolbar must be toggled.


Add to Axis Titles

If [image] is checked, axes units will be added according to the plot type settings and the plotted measurement data header.

In order to actually view the title in the plot, the button [image] on the Standard Toolbar must be toggled.


Add to Footer

If [image] is checked, the date of the plotted measurement is added.

If [image] is checked, the name of the plotted measurement is added.

If [image] is checked, the comment of the plotted measurement is added.

If [image] is checked, the date when the last curve was plotted is added.

Note that if the measurement is a .wmt-file or .wav-file not generated using WinMLS 2000, the measurement header will not contain any measurement date or comment.

In order to actually view the title in the plot, the button [image] on the Standard Toolbar must be toggled.


Various

These settings apply to all plot types.

If [image] is checked, a message box is displayed when closing the active window asking if the plot is to be saved.

If Yes is chosen, the browser for saving the active plot as picture format is displayed (same as File->Save Active Plot As…).

If [image] is checked, the chart-file is saved when the post-processing setup is saved. Also when the temporary post-processing setup is saved, a temporary Chart-file is saved. A Chart-file contains all the settings in the Plot->Chart Settings for Active Plot... dialog box except for the settings of the plotted curves.

Note that when it is unchecked, the curves in the plot are not deleted automatically. This means that when a new Group window is opened or when the software is run, the previous curves are not deleted.

By checking [image] only every nth point will be plotted if the total length of the data is below as certain limit. This may be useful to make the plotting faster if a large file is to be plotted, e.g. a large .wav-file.

By checking [image], it is possible to plot just a certain range of the data points. This may be useful for plotting a part of a large file.

If [image] is checked, a transfer function measurement (a MLS measurement) is plotted in scope mode. This means that only the scaling of the input is considered, and not the output scaling.


Curve Type and corresponding Chart-file

More:


Plot type

The Curve type and Chart-file that corresponds to the selected Plot type is displayed. The user may select a new Curve type and Chart-file for the specific plot type. All the available plot types are present in the list.


Curve type

In the post-processing setups found when installing WinMLS, the default curve type for most plot types is set to FastLine as shown in the figure below.

This means that the curves are drawn using the FastLine type. Please note that for the Room Ac. Parameters plot type, single-valued parameters are plotted with the plot type Bar independent of the curve type chosen here.

Some of the available curve types are shown in the figure below.

Note that not all the curve types from the list will make sense for all plot types. Some useful items are: Line (it has more features than FastLine and is used for the RoomAc Parameters plot type), Bar, Area, Point, FastLine, Histogram (useful e.g. for plotting octave bands).

Examples on how the curve types look like are found in Plot->Plot Layout…. From this dialog box the curve type in the current plot can be set.

In the dialog box obtained from Plot->Plot Layout…, click on [image] shown in the figure above.

A new dialog box will be displayed showing curve types to select from, some of which are shown in the figure below.

By clicking on the small arrow in the lower left corner of Fast Line [image], the possibilities for this line type is displayed as shown in the figure below.

For the curve type Line, the following choices are possible.


Chart-file

A Chart-file (*.tee) contains all the settings in the Plot->Chart Settings for Active Plot... dialog box, except for the curve style settings.

A new Chart-file may be selected from the list of available files. Note that the check box [image] must be unchecked, or it will not work properly in this version of WinMLS.

Use the Save button to save the current Chart file, the Save As... button to save the current Chart file with a new name and the Delete button to delete the current Chart file.


Post-Processing Setup...

Post-processing setup defines as all the WinMLS settings, except for the measurement settings which are defined in the measurement setup found in the measurement menu.

When WinMLS is exited, the setup filename is saved in registry and all the current settings are saved to a temporary setup. The next time WinMLS is run, this setup file is opened and the settings restored.

To prevent the user from accidentally deleting or overwriting a setup file, the setup files may be write-protected.

More:

Select setup

Setup description

RoomAc2Channel

RoomAcIACC

RoomAcLateralFraction

RoomAcOctaveRT

RoomAcOneThirdOctRt

Save setup as

Delete setup

Load setup

Close dialog


Select setup

Displays the selected post-processing setup. Setups are chosen from a list as shown in the figure below.


Setup description

The setups descriptions describes the selected setup. The description should contain

•

What kind of measurement setups is this post-processing setup suited for

•

How should it be used

•

How can it be adjusted

Not all information can be covered in the measurement setups, the most important information is given below.

More:

General information about post-processing settings

BlackNWhite

EnergySpectrum

NoBackgroundColors

PostProcSetup

PowerSpectrum


General information about post-processing settings

•

Remove or add toolbars from the View menu.

•

Choose if you want to delete existing curves from Plot->Hold Plotted Curves

•

See the FAQ: Plotting and Post-processing section for further information.


BlackNWhite

This setup does not allow any colors in the plots and the curve styles are dashed and dotted to separate the curves from each other. It is intended for exporting plots that has to be black and white only, e.g. for an article.


EnergySpectrum

The energy spectrum is displayed as bars in third octave bands in the upper plot, the lower plot displays the time data. This setup is meant to be used with the measurement setup ImpulseExcitation. Otherwise the settings are the same as the PostProcSetup.


NoBackgroundColors

This setup has no background colors in the plots, some find the background colors confusing. Otherwise the settings are the same as PostProcSetup.


PostProcSetup

Standard post-processing setup. As default, the upper plot displays the frequency response and the lower plot displays the time data. The time window is rectangular with a size of 50 millisec.The Levels plot type displays the time of flight and the Room Ac. Parameters plot type displays the reverberation time in third octave bands.


PowerSpectrum

The power spectrum is displayed as bars in third octave bands. This setup is meant to be used with the measurement setup QuasiRealTimeAnalyzer.


RoomAc2Channel

Setup showing the impulse responses in two plots plotted with y-axis in dB. It is intended for calculating room acousitcs parameters from 2 channels measurements. To be used with the measurement setup RoomAc2Channel. since it sends measurement channel 1 to the upper plot and channel 2 to the lower plot. When Room Acoustics->Calculate is selected, two sets of room acoustical parameters are computed from the active measurements in the upper and the lower plot.


RoomAcIACC

Setup showing the impulse responses in two plots and intended for computing inter-aural cross correlation (IACC) from a dummy head measurement. To be used with the measurement setup RoomAc2Channel. since it sends measurement channel 1 to the upper plot and channel 2 to the lower plot. When Room Acoustics->Calculate is selected, the IACC parameters are computed together with other parameters.


RoomAcLateralFraction

Setup showing the impulse responses in two plots and intended for computing lateral fraction (LF) and late lateral strength (LG). To be used with the measurement setup RoomAc2Channel. This setup sends measurement channel 1, which has to be connected to a omni-directional microphone, to the upper plot. Channel 2 is sent to the lower plot and must be connected to a fig-8 microphone. When Room Acoustics->Calculate is selected, the IACC parameters are computed together with other parameters.


RoomAcOctaveRT

The reverberation time is displayed in octave bands in the upper plot, the numbers in the plot show the signal-to-noise ratio (SNR). For T20 the SNR should be better than 25, else the RT value should not be trusted. The lower plot displays the time data plotted on a dB y-axis which makes it possible to see the decay as a function of time.


RoomAcOneThirdOctRt

The reverberation time is displayed in third octave bands in the upper plot, the lower plot displays the time data. Otherwise the settings are the same as the setup RoomAcOctaveRT.

More:

ScopeMode (LoudspeakerSPL)

SoundSystemCalibration

THD + N (1kHz sinusoid)

ViolinAcoustics


ScopeMode (LoudspeakerSPL)

This setup allows for plotting the SPL of the loudspeaker as a function of frequency. To get the correct scaling, only the input signal is considered (the output is ignored). To do this, scope mode is turned on in Plot->Advanced Plot Settings.... To get the SPL, the input has to be properly calibrated.


SoundSystemCalibration

This setup is meant for calibrating sound systems. The upper plot displays the 1/6-octave smoothed frequency response. There is also 3 guidelines showing the average gain and the +-5 dB offset in the frequency range 0.1-10 kHz. These can be changed and new guidelines can be added.The lower plot displays the impulse response in time domain. The time window is half-cosine and it is set so when a new measurement is performed or inserted, the upper limit is set to the end of the impulse response. Otherwise the settings are the same as PostProcSetup.


THD + N (1kHz sinusoid)

The upper plot displays the THD + N using the curve type Bar. The lower plot displays the first milliseconds of the sinusoid. You might want to replace the sinusoid plot with the harmonic distortion. To do this, select the Frequency Response – Spectrum plot type. The spectrum is normalized and it is easy to read the harmonic component. A Blackman-Harris full window is applied.


ViolinAcoustics

Used for plotting resonances of a violin body. The frequency range is set from 100 Hz to 10 kHz. Example measurements is found in the Violins folder of the example measurements. Contact us if you are interested in purchasing transducers for measuring the input admittance.


Save setup as

Opens a dialog box for saving the current measurement settings.


Load setup

Loads the selected setup and then closes the Post-processing Setup… dialog box. Note that you will not be asked to save the previous settings.


Room Acoustics Menu Reference

More:

Calculate

Calculation Options...

Parameter Settings...

Window Menu Reference

Cascade

Title Horizontal

Title Vertical

Arrange Icons

List of Windows


Calculate

The room acoustics calculations can be initiated in three ways:

1.

From the main menu, item Room Acoustics->Calculate.

2.

Choosing Room Acoustics Parameters as plot type, either from Plot->Select Plot Type(s) and Active Measurement or the Plot Toolbar.

3.

Checking Display selected room acoustics parameters at the bottom part of Measurement->Measurement Tasks.

z

In case 1, calculations are carried out when choosing Calculate, and results for the selected parameters are displayed in a text grid window and/or saved a text file according to the settings in Calculation Options.

In case 2 calculations are carried out each time plots are refreshed, and the result for the single selected parameter is plotted (the settings dialog box is displayed by double clicking in the plot). In both cases input responses are taken as active measurements as described above, and calculations are made according to the settings under the items Calculation Options and Parameter Settings in the Room Acoustics menu.

In case 3 room acoustics parameters are being computed and displayed to a grid when measurement files are inserted using File->Insert. If Room Ac. Parameters is selected as plot type, the selected parameter will be displayed in the plot as well according to case 2. Note that this will reduce the speed, since the computation will be performed twice.

Before parameter calculation, WinMLS automatically detects the start of the impulse response. This creates a reference for all subsequent time windowing and alignment of the response. Some parameters require impulse response energy to be calculated in time windows. All windowing is done before filtering to avoid energy leakage across window borders, even if this may increase the processing burden considerably. Then the impulse response is filtered in the specified frequency bands, the noise floor is optionally analyzed and compensated for, and a decay curve is calculated by backwards integration. The algorithms for the decay curve formation and parameter calculation are further described in the following subsections.

Errors leading to calculation abortion will prevent results from being presented and produce error messages explaining the situation.

More:


Presenting results

Room acoustics parameters can be presented in a text grid, saved to a text file, or plotted directly in a graphics window. The check boxes Display in text grid and Send to text file specifies how to present and/or save results when the calculation is initiated through Room Acoustics->Calculate. All chosen parameters are displayed in the grid or saved to the file.

If the text grid box is checked, a result window will open after the calculation is finished. The data in the grid can be copied to the Windows clipboard for export to spreadsheets or word processing software.

An example of output data is shown below, the contents are:

1.

The name of the primary measurement, or impulse response file

2.

Octave band center frequencies in Hz

3.

SNR in dB, for primary and (optional) secondary input response

4.

Parameters as function of frequency

5.

Parameters independent of frequency

6.

Estimated source to receiver distance in m

(This example incidentally shows a typical anomaly, the combination of a low frequency octave band filter, a short time window, windowing before filtering and a high noise floor creates transient effects that can produce odd looking results, like the 63Hz D(%) value. Calculations are according to recommendations, but the practitioner must use his common sense in interpretation of the data.)

Blank fields indicate calculation errors, which are most often caused by noisy impulse responses and thereby insufficient decay range, or that time ranges are insufficient for a particular parameter. In these cases only particular parameters will be missing.

In some cases all parameters can be missing for a particular frequency band. The most common reason is when truncation of the impulse response at or above the noise floor is chosen in Calculation Options->Integration options, and the truncation point cannot be determined due to too much noise or an odd shape of the response after filtering in this band. See the 6.2.3 section for more information about this situation.

If output to a text file box is chosen, results will be saved to a text file with a similar format as the grid. Saving directly to text file can only be done if the room impulse response itself is saved in a file prior to calculation. The text file ends up having the same name as the impulse response file, with the extension .txt.

For calculations using a secondary impulse response as well, the name of the resulting text file will be composed using both filenames, for instance:

Primary: C:\WinMLS\Debug\Measurements\Studio1.wmb

Secondary: C:\WinMLS\Debug\Measurements\Studio2.wmb

Result: C:\WinMLS\Debug\Measurements\Studio1Studio2.txt

Results can also be plotted directly in a plot window. Only a single parameter at a time can be displayed as function of frequency, but it is possible to plot the same parameter calculated from several impulse responses for easy comparison. Choose the Room Ac. Parameters plot type (can be done from the Plot Toolbar or Plot->Select Plot Type(s) and Active Meas.). The parameter to be plotted is chosen by double-clicking in the plot or from Plot->Plot Type Settings->Room Acoustics. An example of plotting reverberation time in octave bands for three different responses is shown below.


Calculation Options...

Room Acoustics->Calculation Options will display the dialog box controlling the fundamental setup of the room acoustics calculations. All settings are saved in the post-processing setup file. The dialog can also be reached via Plot->Plot Type Settings->Room Acoustics.

More:

Microphone type(s)

Bandwidth

Integration options

Result of calculation


Microphone type(s)

Choose the processing mode by indicating the constellation of microphone(s) used during the measurements.

The different microphone types make possible different parameter calculations. For a description of the various parameters, see the Parameter Settings... section.

The options are as shown and explained below

More:

Single omni-directiona

Dual omni-directional

Omni-directional and figure-of-8

Closely spaced omni-directional pair

Binaural pair


Single omni-directiona

Single microphone, most common situation.


Dual omni-directional

Two independent microphones. This option is provided for independent measurements but where simultaneous calculation can be an advantage, when measuring using the 2-channel capability of WinMLS. Two separate calculations will be carried out, and results will be presented in separate windows or files.


Omni-directional and figure-of-8

Combination of an omni-directional (primary) and a figure-of-8 (secondary) microphone. This option is used for calculation of lateral parameters, see the Lateral parameters section. The secondary response will only be used for these parameters, other parameters are calculated from the primary response.


Closely spaced omni-directional pair

A pair of impulse responses from either two identical microphones measured simultaneously, or from a single microphone measured in two locations. In the present version of WinMLS the processing is exactly like that carried out for option 5. This option is included for future extension, for instance calculation of lateral parameters without using a figure-of-8 microphone.


Binaural pair

A pair of impulse responses from either two identical microphones measured simultaneously, or from a single microphone measured in two locations. This option is used for calculation of binaural parameters, see the Interaural crosscorrelation section. The microphones are normally placed in or at the ear canal of a dummy head or a real person. The secondary response will only be used for these parameters, other parameters are calculated from the primary response.


Bandwidth

After being loaded to the room acoustics module, the impulse responses are filtered in bands according to the settings in this box. The options are shown and explained below.

More:

Octave

Low-Mid-High

Broadband

1/3 Octave (Reverberation times only)


Octave

Octave band filters, responses corresponding to the requirements in IEC 1260 [IEC 1260: 1995, Electroacoustics – Octave-band and fractional-octave-band filters]. Lowest octave where calculation is attempted is 63Hz, highest octave depends on the sampling frequency of the measured impulse response.


Low-Mid-High

Double-octave band filters, responses corresponding to the requirements in IEC 1260. Centre frequencies of 176.8Hz, 707.1Hz and 2828.4Hz provides three double octave filters corresponding to a low-mid-high combination of octave bands: 125Hz and 250Hz, 500Hz and 1kHz, 2kHz and 4kHz.


Broadband

No filtering is performed.


1/3 Octave (Reverberation times only)

Third-octave band filters, responses corresponding to the requirements in IEC1260 [IEC 1260: 1995, Electroacoustics – Octave-band and fractional-octave-band filters]. Lowest 1/3-octave where calculation is attempted is 40Hz, highest band depends on the sampling frequency of the measured impulse response. For this bandwidth only reverberation times is generally of interest, and therefore only the reverberation time parameters T30, early decay time (EDT) and user defined reverberation time (Tu) can be calculated.

To minimize the influence of the filter response on the reverberation time calculation, the impulse responses are filtered backwards. This greatly improves the accuracy for short decay times at low frequencies.


Integration options

After filtering, backwards integration of the impulse response to form a decay curve, or Schroeder curve, is done as further preparation to the parameter calculations. If h(t) is the filtered impulse response, the decay curve is:

(1)

This provides a monotonically falling decay. The curve is usually normalized to start at 0dB. In practice the impulse response record is finite, and the integration becomes finite as well:

(2)

Also, a measured response tends to contain some noise. Due to the phase randomizing property of the MLS deconvolution, additive noise of any kind in the measurement will give rise to a stationary noise floor, see the example below. This is advantageous as a combined noise-decay analysis of the filtered impulse response record can reveal the location of the cross-point between the response and the stationary noise floor, the response can be truncated at or above this point to lessen the influence of the noise on the results, and finally the truncated energy can be estimated and taken into consideration.

If compensation for truncated energy is incorporated, and the estimated correction is denoted C, the decay curve is:

(3)

The integration options are shown and explained below.

More:

Truncation and compensation

Truncation

Whole response

More about Integration Options


Truncation and compensation

Integration of the impulse response, after truncation at or above the crosspoint between the response and the stationary noise floor, compensated for the truncated energy.


Truncation

Integration of the impulse response, truncated at or above the crosspoint between the response and the stationary noise floor.


Whole response

Integration using the whole impulse response, no noise analysis carried out.


More about Integration Options

The noise analysis, truncation and compensation are done after filtering, separately for each frequency band. Option 1 is the most accurate, and therefore recommended for most room impulse response measurements. However, it requires a measurement of reasonably high quality to give good results.

The crosspoint between the decaying response and the stationary noise floor is detected using an iterative algorithm [A. Lundeby, T.E. Vigran, H. Bietz and M. Vorländer, "Uncertainties of Measurements in Room Acoustics," Acustica, vol. 81, pp. 344-355 (1995)]. Subsequently, a truncation point is determined using a safety margin above the crosspoint. With the Noise margin parameter the user can specify in dB how far above the noise level at the estimated crosspoint the truncation point is chosen and integration shall start. Typical values are 5-10dB, the recommended value is 5dB. Higher margins should be used only with responses with extraordinary high signal-to-noise ratios. The late slope of the truncated response is calculated by a line fit, and a compensation for the energy lost by truncation is estimated assuming exponential decay to infinity.

The decay curve forms the basis for calculation of the various decay time parameters, and it can be plotted using the Schroeder plot-type. The plots below give examples of the three options. If truncation is chosen, all room acoustical parameters involving the late part of the response is calculated based on a similarly truncated impulse response. If compensation is chosen and the truncated energy can be successfully estimated, all room acoustical parameters involving the late part of the response are corrected for the truncated energy.

If the truncation point cannot be determined due to too much noise or an odd shape of the response after filtering, no parameters will be calculated for that particular frequency band. If a response produces trouble, turning off truncation and compensation and inspecting the filtered impulse response and Schroeder curve might reveal the source of the problem.

The figure below gives an example of the three options.


Result of calculation

Room acoustics parameters can be presented in a text grid, saved to a text file, or plotted directly in a graphics window. The check boxes Display in text grid and Send to text file specifies how to present and/or save results when the calculation is initiated through Room Acoustics->Calculate. More information can be found in the Presenting results section.


Parameter Settings...

Room Acoustics->Parameter Settings will display the dialog controlling which parameters are to be calculated, using check boxes. For some of the parameters the calculation can be controlled by specifying level and time limits, or even more advanced settings. All settings are saved in the post-processing setup file. The dialog will not be available if 1/3-octave bandwidth is chosen in Room Acoustics->Calculation options->Bandwidth, since only reverberation time is calculated for the 1/3-octave. The dialog can also be reached via Plot->Plot Type Settings->Room Acoustics.

For a more thorough introduction to the room acoustical parameters, see the ISO 3382 standard, or any good textbook on room acoustics.

More:

Decay range (SNR)

Decay times

Early energy ratios

Centre time

Strength

Lateral parameters

Interaural crosscorrelation

Stage parameter

Speech transmission indices and modulation transfer function

Source to receiver distance


Decay range (SNR)

The signal-to-noise ratio (SNR) is not included in the Parameter Settings dialog, it is however an important parameter, and for the default settings it is always the first parameter given in the results grid and can be displayed as marks in the room acoustics plots. It is therefore discussed here.

Utilizing the phase randomizing property of the MLS deconvolution, the actual signal to noise ratio in the impulse response measurement can be estimated from the resulting response itself. This ratio is, however, not of much practical use in room acoustical analysis. Of much more interest is the so-called decay range, which directly describes the range of the decay curve which is available for analysis. For an explanation of the decay curve, see the Integration options section.

The SNR in dB as displayed by WinMLS is actually the decay range. It is taken as the level of the decay curve at the point where the response is truncated before forming the decay curve. The resulting decay range is therefore, in addition to the physical signal-to-noise ratio in the measurement, dependent on the type and shape of the room impulse response and the chosen noise margin in the response truncation.

The decay range can be used directly to evaluate the quality of the room acoustical parameter calculations, especially the reverberation time T30. It should be noted, and is illustrated clearly in the examples in the Integration options section, that if no compensation for energy removed by truncation has been done, the decay range as calculated here is meaningless. It will therefore not be displayed in the results grid unless Truncation and compensation is chosen in Room Acoustics->Calculation Options->Integration Options.

If a secondary impulse response is used due to the chosen microphone option, a second row of SNRs will appear in the result grid. This is calculated separately for the secondary response.


Decay times

The reverberation time (T30), is the 60dB decay time calculated by a line fit to the portion of the decay curve between -5 and -35dB. If the decay range is less than 35dB, the T30 is in WinMLS calculated using the range available. It is therefore important when using the T30, to keep an eye on the SNR to evaluate the quality. To be a valid measurement according to the ISO 3382 standard, the SNR should be displayed as 35dB or larger.

The standard recommends a certain safety margin to the noise floor. It should be noted that the Noise margin parameter taken into account before forming the decay curve and calculating the decay range provides this safety margin. It is user changeable and described in the Integration options section.

The early decay time (EDT), is the 60dB decay time calculated by a line fit to the portion of the decay curve between 0 and -10dB.

The user defined reverberation time (Tu), is the 60dB decay time calculated by a line fit to the portion of the decay curve in an interval specified in the level limit boxes, remembering the minus signs in front. It is often used as a T15 (-5 to –20dB) or T20 (-5 to –25dB) parameter, giving a well defined decay time measure for responses with inferior decay range, or providing an indication of double sloping of the decay if it is significantly different from the T30.

All the decay time parameters are given in seconds. If the decay range in a particular frequency band is insufficient for EDT or Tu measurement, no calculation will be carried out.


Early energy ratios

The early to late index, or clarity, is

(4)

where te is the early time, typically 80ms for music application and 50ms for speech or stage evaluation.

The early to total index, or definition, is

(5)

Definition is mostly used for speech signals, and the early time is usually taken as 50ms.

The upper integration limits are taken as the truncation point determined in the decay curve formation, or the end of the impulse response, according to the integration option specified. If compensation for truncated energy is calculated, this is taken into account as well to increase accuracy.

The early limits can be changed to numbers other than recommended in the standard. For Clarity, it is also possible to get two values as output of the calculation if two numbers are typed, separated by a ‘&’. For example, ‘50&80’, which is the default setting, gives the two clarity values C50 and C80 as output. Note that this applies when writing parameters to grid or text file, when using the Room Ac. Parameters plot type, only one parameter is plotted, and the lowest early time is used, in this example C50.


Centre time

The centre time, [image], is the first moment of the impulse response h(t):

(6)

The upper integration limits are taken as the truncation point determined in the decay curve formation, or the end of the impulse response, according to the integration option specified. If compensation for truncated energy is calculated, this is taken into account as well to increase accuracy.

Due to the time-weighting in calculating the first moment, the centre time is more sensitive to the influence of noise, and will therefore be particularly inaccurately calculated if the SNR is low. To compensate for this, an analytical compensation for the truncation of the first moment is also calculated in the truncation and compensation integration option.


Strength

The sound strength, or level, is defined as

(7)

where h10(t) is the free-field response of the (assumed omni-directional) source at a distance of 10m, filtered in the same way as the impulse response itself.

The upper integration limit in the numerator is taken as the truncation point determined in the decay curve formation, or the end of the impulse response, according to the integration option specified. If compensation for truncated energy is calculated, this is taken into account as well to increase accuracy.

The reference level is:

(8)

There are various ways of specifying or estimating the reference level, and this is governed by the choices in the direct energy options dialog box. The method is common for strength (G) and late lateral strength (LG).

More:

Direct energy options

Window active response

User specified reference level

Reference level calculation procedure


Direct energy options

Pushing the Options… button opens up the direct energy options dialog box, where it is specified how to calculate the reference level.

The main options are shown and explained below. The last two options will be explained further in the following subsections. It should be noted that the standard requires a fairly elaborate calibration measurement of the sound source to provide the reference energy at 10m. Only option 3 gives the possibility of obtaining G-values according to the ISO 3382 recommendations.

More:


Window active response

This option is incorporated to provide a simple to use reference level calculation, without the use of separate reference response measurement or time-consuming reference level measurements. The reference free-field impulse response is estimated from the measured (primary) impulse response as:

(9)

where r is the estimated source to receiver distance and w(t) is a half-Hamming window starting on the arrival of the direct sound in the impulse response. After windowing, the reference response is filtered, and the reference levels are calculated.

The window length can be specified in the dialog box, in ms. A recommended value is 5ms, which provides a useful trade-off between incorporating the impulse response of the loudspeaker while windowing out reflections from the surroundings. In normal concert hall measurements especially the stage floor reflection can be bothersome in this respect, it will in most cases fall inside the 5ms window.

The source-to-receiver distance is estimated based on the detected initial time delay of the direct sound, which requires that the measurement must have been performed with a feedback loop in place. The temperature on the measurement site can also be specified, in degrees Celsius, as this influences the speed of sound and thereby the estimated distance. No great accuracy is required, and in most room measurements 20C, normal room temperature, can be used. It should also be noted that the initial time delay detected from the impulse response will provide the distance to the face of the loudspeaker, not necessarily to the acoustic center of the source.

Comparison with properly calibrated measurements have demonstrated that this method will normally provide too high G values at low frequencies due to insufficient window length, fairly good G values at mid frequencies (500-1000Hz), and too low G values at high frequencies due to the influence of the immediate surroundings of the transducers. Because of this G cannot be said to be calculated according to the ISO 3382 requirements.


User specified reference level

If user specified reference level is used, yet another dialog box can be opened with the button User specified settings. In this dialog Lref can be specified directly or calculated from reference measurements, all assuming calculation in octave bands are used.

Direct specification of Lref is done in dB. This is useful in the case where the source and measurement equipment has been pre-measured in an anechoic room or otherwise, the reference level calculated, and the actual room measurement performed with exactly the same equipment and level settings. Alternatively known level changes can be used and corrected for. The calculation procedure described in the following subsection can be used to find reference levels for later use.


Reference level calculation procedure

A reference level calculation procedure is implemented for use with various reference measurement situations. The procedure is initiated by pressing the Perform computation… button, which opens up a browser window and the user can specify a set of reference impulse response files. These responses must have the same length and sampling frequency. The responses are windowed according to the choice in Window type, and scaled according to the choice in Source distance. Thereafter the energy of each is calculated in bands, and the reference level is found by averaging the energy across all the specified responses. The results are displayed in the Direct energy corrections dialog box, and should be saved for later use and reference. The calculation might take a while.

For a true omni-directional sound source a reference measurement in a single direction would be sufficient. Most practical sources are 12-faced speakers that start to show lobes in the polar pattern around 1kHz. The ISO 3382 standard therefore specifies that a proper reference level measurement shall be made in a free-field, and data from at least 29 directions shall be energy averaged. WinMLS can handle such a reference measurement, as well as any other less accurate reference that might be chosen.

Alternatives may range from the full set measured in a free-field, via fewer directions, increasingly reflective environments, to actual in-situ single direction responses. The user must choose a reference from what is practically possible, and be aware of the resulting accuracy.

The windowing options are shown and explained below.

More:


Lateral parameters

Calculation of lateral parameters requires microphone option omni-directional and figure-of-8, and both primary and secondary impulse response specified. It is further assumed that the omni-directional and the figure-of-8 microphones have the same sensitivities and are properly equalized with respect to each other, in the direction of maximum sensitivity. The two impulse responses should be measured in the same position, if possible simultaneously. The figure-of-8 should have one of the null-directions pointing either towards the source or along the long axis of the room, see ISO 3382. It is also extremely important that they are mutually synchronized, with matching absolute time scales. This can for instance be accomplished measuring with a feedback loop, providing responses with a true initial time delay.

The early lateral energy fraction is

(10)

where hL(t) is the impulse response measured with a figure-of-eight microphone with one of its nulls pointed towards the source. The time limits are td, the direct time, and te, the early time. LF is normally used for music application, with direct time 5ms and early time 80ms. The limit 5ms is introduced to make sure the direct sound is totally suppressed. The time limits can be changed in the boxes.

The late lateral strength is

(11)

This is a fairly new parameter, not mentioned in the standards so far, but it is believed to correlate well with subjective envelopment [J.S. Bradley and G.A. Soulodre, "Objective measures of listener envelopment," J. Acoust. Soc. Am., vol. 98, pp. 2590-2597 (1995)].

The upper integration limit in the numerator is taken as the truncation point determined in the decay curve formation for the lateral impulse response, or the end of the impulse response, according to the integration option specified. If compensation for truncated energy is calculated, this is taken into account as well to increase accuracy.

The reference energy in the denominator is calculated just as for strength, the same options govern the calculation, and similar comments on accuracy apply, see the Strength section.


Interaural crosscorrelation

Calculation of the binaural interaural crosscorrelation parameters are normally done from a binaural pair of impulse responses, measured either with a dummy head or microphones in or close to the ears on a real person. It requires microphone option Binaural pair. (The microphone option Closely spaced omni-directional pair can also be used in the current version of WinMLS, it provides exactly the same processing.) It is not important that the responses are mutually synchronized. The primary response is taken as the left side and the secondary as the right side.

The interaural crosscorrelation function is defined as

(12)

where hL(t) and hR(t) are the left and right ear impulse responses respectively. The interaural crosscorrelation coefficient is taken as:

(13)

WinMLS calculates three versions of the IACC; total with time limits t1=0 and t2=, early with time limits t1=0 and t2=80ms, and late with time limits t1=80ms and t2=. The time limits t2 for IACC early (early time) and t1 for IACC late (late time) can be changed in the boxes.

The upper integration limit t2= for IACC total and late is taken as the truncation point determined in the decay curve formation for the two impulse responses separately, or the end of the impulse responses, according to the integration option specified.

The calculation of IACC is substantially more time consuming than the other parameters, even if it is implemented using a fast frequency domain algorithm. This is especially true for the late and the total versions. If not explicitly needed, these parameters should therefore be excluded from the calculations.


Stage parameter

Support is defined in [A. C. Gade, "Investigations on musicians room acoustic conditions in concert halls, II: Field experiments and synthesis of results," Acustica, vol. 69, pp. 249-62 (1989)] as:

(14)

where it is assumed that the response is measured with an omni-directional microphone at a distance of 1m from the source. The time limits are td, the direct time, te, the early time, and tl, the late time. ST1 is defined with direct time 10ms, early time 20ms and late time 100ms. The time limits can be changed in the boxes to provide other versions of the parameter.


Speech transmission indices and modulation transfer function

The speech transmission index (STI) and the rapid version (RASTI) are single number measures based on both impulse response and signal-to-noise ratio in the room or speech transmission system. The standard IEC-60268-16 [1998, Sound system equipment – Part 16: Objective rating of speech intelligibility by speech transmission index.] describes the measures, which are based on weighted sums of modulation transfer function (MTF) values. The weights currently used in WinMLS are from the original definitions of STI and RASTI [T. Houtgast and H.J.M. Steeneken, "A review of the MTF concept in room acoustics and its use for estimating speech intelligibility in auditoria," J. Acoust. Soc. Am., vol. 77, pp. 1069-1077 (1985)]. The calculations are performed on the primary impulse response.

In the calculation of the MTF the impulse response is taken up to the truncation point determined in the decay curve formation, or the end of the impulse response, according to the integration option specified. The MTF is determined by FFT of the filtered and truncated impulse response, and the values at the exact 1/3-octave modulation frequencies specified are found by linear interpolation. This is a fast and very accurate method for all but extraordinary short impulse responses, and for these the modulation reduction for speech transmission is negligible anyway.

If the MTF is selected, it will be displayed in the grid as shown below. Note that the MTF values are linear. In order to convert to dB you have to compute 20*log10, even though it is in the intensity domain.

If the background noise is low it will not affect the speech intelligibility. However, the background noise should be taken into account if the speech-to-noise ratio is less than 15 dB in the octave bands of interest. This is done in the compensation settings fond in Room Acoustics->Parameter Settings... and explained below

More:


No noise/speech correction

For this option the background noise is not taken into account. The calculations are based solely on modulation reduction caused by the impulse response, thereby assuming that the speech-to-noise ratio is less than 15 dB in the octave bands of interest. This is most common in room acoustics where the effects of reverberation and reflections usually dominate.


Correction, fixed noise/speech

This options takes the background noise and assumed speech spectrum into account. The [image] button opens up a new dialog box where the necessary data can be entered as shown below.

This includes the background noise and the assumed speech level on the microphone, both expressed as octave band sound pressure levels in dB, for the octave bands that are included in the STI calculation. For RASTI only data from the 500Hz and 2kHz bands are used. The background noise can be measured with WinMLS if the input chain (including the microphone) is calibrated. Alternatively a sound level meter may be used to measure the background noise.


Correction, noise updated automatically

This option is similar to the above, except that the Noise octave band corrections shown in the figure above are computed and updated automatically from the tail of the measured impulse response. In order to do this, the input chain (including the microphone) must be calibrated. The background noise is computed from the last 10000 samples of the tail. Make sure that the measured impulse response has decayed sufficiently.
Please note that this option should not be used on measurements performed using averaging since the averaging will reduce the effect of the background noise. Therefore use 1 averaging, and an impulse response length larger than 1 second (in a reverberant room, larger than 2 seconds).

The MTF itself can be displayed by selecting it in Room Acoustics->Parameter Settings....


Source to receiver distance

The source to receiver distance is estimated based on the initial time delay detected from the primary impulse response, and the speed of sound, as described in the Window active response section. For the initial time delay, and thereby the source to receiver distance estimation, to be correct, the measurement must be performed with loop-back or a synchronized sound card. Even if this is the case, there will be an extra delay because of the sound card delay. This is set as 40 samples as default (set in Measurement->Sound Card Settings...). However, if measurement system correction is used, this delay will be corrected for (set with the [image] button in the Measurement Settings Toolbar).

The source to receiver distance is always output in the result grid or file, and is used in some of the reference level calculation procedures described in the Strength section.


Window Menu Reference

This menu contains standard windows settings and a list of the measurement groups as shown below.


Cascade

Arrange the windows so they overlap.


Title Horizontal

Arrange window vertically as non-overlapping tiles.


Title Vertical

Arrange window vertically as non-overlapping tiles.


Arrange Icons

Arrange icons (windows that are minimized) at the bottom of the window.


List of Windows

Displays the name of the windows that exist.


Help Menu Reference

This menu contains Help, About and License information. About contains information about the software, e.g. version number. Help and License is not yet properly implemented.

More:

Help Topics...

Startup Dialog...

About WinMLS...

License Options...


Help Topics...

The help-file will be displayed. If you do not have it, the latest version of it can be downloaded from the Download section of www.winmls.com.


Startup Dialog...

Displays the dialog box that is optionally displayed when WinMLS is started and when a new measurement group is opened.

Click [image] to select the settings for the type of measurement you want to perform. If you want to load the same settings as the last time you exited WinMLS, click [image].


About WinMLS...

Displays the About dialog box.

If the [image] button is clicked the default Internet browser is opened and the homepage www.winmls.com is visited.


License Options...

Displays the dialog box for registering WinMLS as shown below.

For an explanation on how to register and transfer the license, see the Registering WinMLS section in the help-file (or in the User’s Guide)..


Glossary of Terms

These terms are important for the understanding of WinMLS and usage of the documentation. The help-file has hyper-links to the terms listed below.

Measurement Group

Active Measurement

Active plot

Channel 1

Channel 2

Transducer

Setup

Sound card

Impulse response

MLS

Transfer function

->

Toolbar

Tooltip

Full duplex


Measurement Group

This is what we call the document or window in WinMLS. A window can contain several measurements that can e.g. be plotted on top of each other. To add measurements to the window, either use File->Insert in Active Group… or perform a measurement.

It is possible to have more than one window open in WinMLS. File->New Group opens an empty new window. File->Open... will open a measurement in a new window, and not in the current window. A common beginner mistake is to insert a measurement using File->Open … instead of using File->Insert in Active Group….


Active Measurement

You can have several measurements in a window (called measurement group as described above). One of these measurements is called the active measurement. When performing or inserting a new measurement, this will become the active measurement.

The active measurement is used in several ways

•

File->Save Active Measurement As.… will save the active measurement

•

Measurement->Measurement Information... will display information about the active measurement.

•

If auto-refresh is enabled in “active measurement” mode (Plot->Auto Refresh is set as shown in the figure below,

the curve belonging to the active measurement will be refreshed when changes in the plot settings are made.


Active plot

WinMLS can display one plot or two plots in a window. If only one plot is displayed, this is always the active one. If two plots are displayed, you can click on one of the plots to set as active. A thin frame is drawn around the active plot.


Channel 1

WinMLS sometimes refers to channel 1 and channel 2 on the sound card. Channel 1 is the same as the left channel and channel 2 is the same as the right channel.


Channel 2

WinMLS sometimes refers to channel 1 and channel 2 on the sound card. Channel 1 is the same as the left channel and channel 2 is the same as the right channel.


Transducer

A transducer is a device for transforming a quantity to another quantity. An example is a microphone, which transforms sound pressure to voltage. Another example is a loudspeaker that transforms a voltage to sound pressure.


Setup

All the settings in WinMLS are saved in setups. There are two setups, one for measurement settings and one for post-processing settings (e.g. plot settings, such as x-axis type). Some setups have been made for you, but you can modify these and save your own setups.

Setups can be loaded and saved from the Setups Toolbar (can be turned on/off from the View menu). Note that the icon to the right of the setup name turns red if a setting has been changed. The changes can be saved by clicking on the icon that turned red.

When you load a measurement setup, the post-processing setup associated with this setup will be loaded.

It is also a link toggle. If this is turned on, you will always save the post-proc. setup whenever the measurement setup is saved.

Measurement setups can also be loaded and saved under Measurement-> Measurement Setup. Post-processing setup can be loaded and saved under Plot-> Post-processing Setup.


Sound card

General term for hardware (A/D-D/A) used for performing the measurements. Sound cards can be built-in (they are not on a separate “card”) and USB. Calling a USB sound device or a built-in sound device for a sound card does not make much sense, but it is common practice so we will still use this term for all sound devices.


Impulse response

When measuring a single input-single output linear system, such as a loudspeaker, the impulse response is defined as the output signal resulting from a short pulse input signal. The input signal pulse should theoretically be infinite short, this is called a Dirac pulse.

The impulse response completely describes a linear system, it is quite intuitive (e.g. a hand-clap in a room will give the impulse response of the room), and the phase and magnitude frequency response can be calculated from the impulse response. Because of this and because a MLS measurement gives the impulse response as the result, the data from a MLS measurement is saved in time domain as an impulse response.


MLS

MLS stands for Maximum Length Sequence. When the MLS measurement method was first introduced, the maximum length sequence was generated using shift registers. By connecting the shift registers in a special way it was found that a Maximum Length Sequence could be generated. This was the longest sequence that could be made before it repeated itself. If the number of shift registers is N the length of the sequence is 2^N - 1. The MLS signal can be used to measure any type of LTI (Linear Time Invariant) system, therefore nowadays Maximum Length Sequence measurements are used in different fields in addition to acoustics.

The MLS method gives the impulse response of the measured system using cross-correlation between input and output signals. The impulse response can be easily windowed in the time domain. Using windowing, reflections (e.g. from the walls of the a room) may easily be removed from the frequency response. Using this feature it is possible to simulate the frequency response of a loudspeaker measured in an anechoic room.

The number of averages determines how many times the MLS is repeated during the measurement. The reason for averaging is that it will decrease uncorrelated noise and thus increase the quality of the measurements. For each time the number of averages is doubled, the signal-to-noise ratio is theoretically increased with 3 dB. Note that the total measurement time increases when the number of averages increases. Be also aware of that if the system you are measuring is somewhat time-variant, a long measurement time is not good. An example of a time-variant system is a concert hall where people are running around. Try to avoid measuring during such situations. For room acoustical measurements, a measurement time of more that 60 seconds is seldom necessary. Electrical or mechanical systems are usually very little time-invariant, so the long measurement times are seldom a problem.

The MLS technique has many advantages when compared with other methods of measuring the response of a system. The MLS has a flat spectrum (contains equal amount of all frequencies. The DC component is rejected and may not be measured. The signal-to-noise ratio of a MLS measurement is high and may be increased by increasing the total measurement interval. The measured distortion of the system is spread throughout the computed impulse response as spurious peaks. Every MLS sequence has his own characteristic distortion pattern. Measuring the same system with different sequences may be used to detect the distortion.


Transfer function

When measuring a single input-single output linear system, such as a loudspeaker, the transfer function is the FFT of the impulse response (do not take this as a definition, more an indication).


Toolbar

WinMLS makes extensive use of toolbars. A toolbar can be made visible and used all of the time in contrast to a standard dialog box. It is useful for checking settings and allows a fast change of the settings (no dialog box needs to be opened). All the settings in the toolbars can also be done from a standard dialog box (except for the Measurement settings toolbar), so the purpose of the toolbars is to increase the user friendliness. A toolbar can be placed anywhere on the screen, but if it is desired to use as much as possible of the screen to display the graph(s) then the toolbar can be removed. The toolbars are turned on/off from the View menu. From the View menu you see all available toolbars. Note that the toolbar on/off status and position is saved in the post-processing setup.


Tooltip

A short explanation is displayed when the mouse cursor is placed over a button or another resource.


Full duplex

A full duplex sound card is capable of simultaneous record and playback.


5ms Half-Hamming (in-situ, non-standard)

This option is similar to the windowing of the active response as described in the Window active response section, and can be used for in-situ measurements where a reference impulse response is measured separately. This can typically be done in concert hall measurements where a close range measurement across an empty stage or to a front seat row can provide a better reference than the actual measurement positions.

Source distance options shown and explained below.

Compute from measurement (using initial time delay)

For this option the distance is detected and computed separately from the various reference responses, in the same way as described in the Window active response section. The temperature can be changed in the dialog as well, and will influence the speed of sound and thereby the distance. It should be noted that the distance to the acoustic centre of the source will be somewhat longer than the distance detected to the nearest loudspeaker face, which might influence close measurements. It is required that the initial time delay is correct, and the measurements must have been made with a feedback loop.

Specify in meters (meas. initial time delay is not used)

This option should be chosen when the reference measurement distance is known, and the same for all reference responses in the set.


50ms rectangular (anechoic)

This option is similar to option 1 in that it is suitable for free-field measurements. The windowing improves accuracy for most measurements, as in most bands data beyond 50ms will be noise anyway, and the window is sufficiently long to extend to very low frequencies. It is the recommended method for free-field reference measurements.


Calibration Settings

In the dialog box above you can set the level and frequency for the calibration, and choose if you want to use an external signal generator or use the sound card output as signal generator. Using the sound card output should be fine as long as you have something to measure the signal level with (the measured level is used as the reference level), e.g. a voltage meter if you are doing an electrical calibration. The Test level button should be clicked to test the levels.

Note that you may have to adjust the input or output volumes to get a reasonable level. If the level is too high, an error message is given.


Input transducer sensitivity calibration

Before you start calibrating your transducer you must make sure the sound card sensitivity and amplification gain and status (checked/unchecked) is correct. Therefore we recommend that you calibrate the sound card sensitivity (see above) before calibrating the transducer sensitivity.

Start the calibration preparation by checking [image] , and select in the list box the unit of the transducer you are using (for a microphone it would be Pres [Pa]).

Click on the [image] button shown above to the right of the Transducer sensitivity to display the settings.

From this dialog box you can set the level and frequency for the calibration, and choose if you want to use an external signal generator or use the sound card output as signal generator. Using the sound card output should be fine as long as you have a device for measuring the level.

If you are to connect a signal generator or a calibrator to your input chain, choose Use external signal generator in the list box. Type the signal generator/calibrator frequency and level in the dialog box.

If you are to use the sound card output as signal generator choose Use sound card output as signal generator (full scale output) in the list box. Select the frequency, 1000 Hz should be fine for most purposes. Then the output signal must be measured in the transducer unit (e.g. SPL) using an external device. Use a SPL meter if you are calibrating a microphone using a loudspeaker. If you click the [image] button, the output signal is played (End level test can be clicked to stop the playback of the calibration signal). After the [image] button is clicked, measure the level using the voltage meter. Type the measured level in the dialog box below the frequency setting and exit the dialog box by clicking [image] .

Make sure that you have connected the calibration signal to the correct input channel (channel 1 is left).

Now click the [image] button to perform the calibration. After the calibration is performed, the number to the left and the date to the right of the [image] button will be updated with the new settings. Now you can do a measurement to test if the calibration is correct. You can use sinusoid as excitation signal (see How to use a sinusoidal excitation signal?). Please note that if you repeat the calibration, the number may not seem to be changed, but if the date is updated, this is probably because exactly the same number is written.


Measurement Files (*.wmb, *.wmt, *.wav, *.tim)

Lists the measurement file types described below.


Measurement MLSSA files (*.tim)

File type used by the software MLSSA. Note that the scaling may not be correct when using this format.


Measurement name

Displays the measurement the window is applied to.


Measurement Text Files (*.wmt)

File type in text format. It has a header containing some measurement settings. Note that the scaling may not be correct when using this format.


Mono 16-bit WAV Files (*.wav)

Wave-file, the common binary format for PC audio. If the .wav-file was generated using WinMLS it contains the same header as the *.wmb-format is using. Note that the scaling will not be correct when the .wav-file is saved in WinMLS using the normalization option. Since the format is 16-bits, it is recommended that it is normalized when saving to obtain the best possible resolution.


No, detect start of measurement

This mode does not measure the initial time delay. The initial time delay is removed so the impulse starts from the very beginning. A special algorithm is used to detect the start of the impulse response.

Multi-channel measurement note: The start detection will not work properly if a multi-channel transfer function measurement is performed and one of the channels contains a non-impulsive signal. This is because all channels are searched to find the start of the first pulse.


No reference energy

Lref is assumed to be 0dB in all frequency bands, which means no correction is made on the level calculated from the primary impulse response. This can be used for instance if the source level is unknown or of no interest, but the level difference at various measurement positions shall be compared. In this case no other options are available in the dialog.


Only if my sound card `is synched'

Only if my sound card ‘is synched’

‘Is synched’ means that the sound card is able to start record and playback at the same time, or with a delay that is constant. This must be fulfilled to be able to measure the initial time delay correctly.

Note that the constant time delay for the sound cards may be of importance. If this is the case, use the mode Yes, my sound card ‘is synched’ explained below.

WinMLS checks the sound card type. If it is one of the types we have tested and found to be ‘synched’ then the measurement is performed so that the initial time delay will be found.

Based on our previous tests with WinMLS, the Digigram VX sound cards, Siena, Card Deluxe and Delta 1010LT was found to be synched and is on the “list”. Please note that the Digigram VX pocket and Delta 1010LT has a deviation of 1 sample when using this method of determining initial time delay.

If the sound card is not found in our list, then the measurement is performed in the No, detect start of measurement mode explained below. If you have found that your sound card is synchronized but not any of the sound cards mentioned above, then you should select the mode Yes, my sound card ‘is synched’.


Output transducer sensitivity calibration

Before you start calibrating your computer you must make sure the sound card output sensitivity and amplifier gain and status (checked/unchecked) is correct. Therefore we recommend that you calibrate the sound card sensitivity (see above) before calibrating the transducer sensitivity.

Start the calibration preparation by checking [image] , and select in the list box the unit of the transducer you are using (for a loudspeaker it would be Pres [Pa]).

Click on the [image] button to the right of the Transducer sensitivity to display the settings.

From this dialog box you can set the level and frequency for the calibration, and choose if you want to use an external signal generator or use the sound card output as signal generator. Using the sound card input for measuring the output level is fine if you have calibrated the input.

If you are to use an external meter to measure the output level, choose Use external meter to measure level in the list box. Then measure the output level on channel 1 (left) in the transducer unit (e.g. SPL) using the external device. Use a SPL meter if you are calibrating a loudspeaker. Measure the level after clicking the [image] button. Type the measured level in the dialog box below the frequency setting (you are also asked to enter the level during the actual calibration, the level you have typed now will show as default).

If are to use the sound card input to measure the level, select Use soundcard input to measure level. The sound card input will now measure and determine the level automatically, no number to be typed, but you must be sure that the sound card input is calibrated properly (considering if you are using amplifier and transducer on the input) and that it is connected to input channel 1 (left).

Now click the [image] button to perform the calibration. After the calibration is performed, the number to the left and the date to the right of the [image] button will be updated with the new settings. Now you can do a measurement to test if the calibration is correct. You can use sinusoid as excitation signal (see How to use a sinusoidal excitation signal?).


Plot Chart Files (*.tee)

File type containing the chart settings used in the plots. These are the settings found in Plot->Chart Settings for Active Plot, e.g. background gradient color, mouse zooming and axis settings.

If such a file type is opened, it is done in a new window.


Separate lines waterfall

The waterfall plotted as separate lines.

The first advantage of this mode is that slices containing more than 2000 points can be plotted. This is not possible with the other two modes, so if more than 2000 points are tried to be plotted WinMLS automatically switches to this mode.

The second advantage of this mode is that the [image] and [image] buttons on the Frequency Plots toolbar can be used to set the active slice for reading cursor values on the Status Bar (displayed at the bottom of the WinMLS area as shown in the figure above).


Smoothing parameters

Contains the parameters for the various types of smoothing described above. Parameters that are not used for the chosen smoothing type are disabled.

Determines the frequency where the smoothing starts. Below this frequency, nothing is plotted if the smoothing type is Octave - low frequency correction, Octave - no correction or Constant. If the smoothing type is Constant (low freq.) - Octave (high freq.), then constant bandwidth smoothing is performed below this “start frequency” and octave smoothing is performed above.

Determines how many points are to be computed and plotted within each division. The value may be typed or chosen from the list. If the smoothing type Octave - low frequency correction or Octave - no correction is selected, it gives the number of points within the octave fraction band specified (see Smooth over [octaves]). There are more points at high frequency when plotting on a logarithmic x-axis, but using this method we end up with a constant number of points over the whole frequency range. The software SMAART® uses the term Fixed Points Per Octave (FPPO).

If the smoothing type Constant is selected, it gives the number of points within the constant band specified (see Smooth over [Hz]).

If the number is larger than 1, it is the same as doing a sliding window smoothing because the windows will overlap.

Determines the smoothing bandwidth in octaves. The value may be typed or chosen from the list. This is used if the smoothing type is Octave - magnitude mean/interpolation, Octave - low frequency correction, Octave - no correction and for the octave smoothing part of Constant (low freq.) - Octave (high freq.).

Determines the constant smoothing bandwidth in Hertz. The value may be typed or chosen from the list. This is used if the smoothing type is Constant and for the constant bandwidth smoothing part of Constant (low freq.) - Octave (high freq.).


Smoothing type

The types of smoothing are shown in the list below. The two integration options at the bottom of the list shown below are only available if the Smoothing settings dialog box is opened from the Frequency Response/Spectrum settings dialog box.

Octave – magnitude mean/interpolation

Smoothing in magnitude mean. After smoothing, the calculated smoothed values are interpolated to the frequency points used if no smoothing was applied. In Smoothing parameters described below, the bandwidth is set. Because of the interpolation, this is the slowest method of smoothing.

This smoothing algorithm has been contributed by Dr. Aki Mäkivirta, Genelec Oy.

Octave - low frequency correction

Octave smoothing with a correction for low frequencies. If the number of points within the smoothing window is less than 3, then the data is plotted without being smoothed. This will avoid the stair-like shapes for low frequencies sometimes seen if using the option Octave – no correction. If magnitude frequency response or spectrum is plotted, the energy is smoothed, not the mean or Decibel. In Smoothing parameters described below, the parameters for this smoothing type are selected.

For high frequencies, the smoothing is stopped when there is not enough bandwidth for a full smoothing. E.g. if 1 octave is chosen and Fs=48000, the highest frequency would be (Fs/2) *2^(-1/2)= 16.9 kHz. For 1/3 ovtave it would be(Fs/2) *2^(-1/6) = 21.4 kHz.

Octave - no correction

This option is the same as above, except that no low frequency correction is performed.

Constant

Constant bandwidth smoothing. Suited if the data it plotted using a linear frequency axis. Note that the starting frequency is at half the constant bandwidth. E.g. if Smooth over [Hz] in Smoothing parameters is set to 100, the first frequency plotted is at 50 Hz.

Constant (low freq.) - Octave (high freq.)

This method does Constant bandwidth smoothing up to Start frequency [Hz] (see below). Above this frequency it is Octave smoothing.

1-octave IEC Integrated (energy)

Plots the energy in octave bands.

This option is available only if the Smoothing settings dialog box is opened from the Frequency Response/Spectrum settings dialog box.

1/3-octave IEC Integrated (energy)

Plots the energy in 1/3-octave bands.

This option is available only if the Smoothing settings dialog box is opened from the Frequency Response/Spectrum settings dialog box.


Sound card conversion calibration

Start by calibrating the sound card, since the transducer calibration is dependent on the sound card sensitivity. Click the [image] button to the right of the Sound card conversion [dB] to display the settings.

From this dialog box you can set the level and frequency for the calibration, and choose if you want to use an external signal generator or use the sound card output as signal generator. Using the sound card output should be fine as long as you use a voltage meter to measure the RMS voltage.

If you wish to use an external signal generator, choose Use external signal generator in the list box. Type the signal generator/calibrator frequency and RMS voltage in the edit boxes.

If you are to use the sound card output as signal generator choose Use sound card output as signal generator (full scale output) in the list box. Select the frequency, 1000 Hz should be fine for most purposes. Then the output signal must be measured with a voltage meter. If you click the [image] button, the output signal is played (End level test can be clicked to stop the playback of the calibration signal). After the [image] button is clicked, measure the level using the voltage meter. Type the measured level in the dialog box below the frequency setting and exit the dialog box by clicking [image] .

Make sure that you have connected the calibration signal to the correct input channel (channel 1 is left).

Now click the [image] button to perform the calibration. After the calibration is performed, the number to the left and the date to the right of the [image] button will be updated with the new settings. Now you can do a measurement to test if the calibration is correct. You can use sinusoid as excitation signal (see How to use a sinusoidal excitation signal?). Please note that if you repeat the calibration, the number may not seem to be changed, but if the date is updated, this is probably because exactly the same number is written.


Sound card sensitivity calibration

Start by calibrating the sound card, since the transducer calibration is dependent on the sound card sensitivity. Start by calibrating the sound card, since the transducer calibration is dependent on the sound card sensitivity. Click the [image] button to the right of the Sound card conversion [dB] to display the settings.

From this dialog box you can set the frequency and level for the calibration, and choose if you want to use an external meter or use the sound card input to measure the output level. Type the desired signal frequency and level in the dialog box. 1000 Hz should be fine for most purposes. Using the sound card input for measuring the output level is fine if you have calibrated the input.

If you are to use a voltage meter to measure the output level, choose Use external meter to measure level in the list box. Then measure the output level on channel 1 (left) using the voltage meter after clicking the [image] button. Type the measured level in the dialog box below the frequency setting (you are also asked to enter the level during the actual calibration, the level you have typed now will show as default).

If are to use the sound card input to measure the level, select Use soundcard input to measure level. The sound card input will now measure and determine the level automatically, no number to be typed, but you must be sure that the sound card input is calibrated properly and that it is connected to input channel 1 (left). Exit the dialog box by clicking [image] .

Make sure that you have connected the calibration signal to the correct input channel (channel 1 is left).

Now click the [image] button to perform the calibration. After the calibration is performed, the number to the left and the date to the right of the [image] button will be updated with the new settings. Now you can do a measurement to test if the calibration is correct. You can use sinusoid as excitation signal (see How to use a sinusoidal excitation signal?). Please note that if you repeat the calibration, the number may not seem to be changed, but if the date is updated, this is probably because exactly the same number is written.


Surface

The waterfall is plotted using lines from all the neighbouring data-points as shown in the figure below. The figure is made using File->Copy to Clipboard with Plot->White background on Copy/Print checked.

The mode surface has a limit of 2000 points in each slice. To get within this limit we recommend using smoothing.


TAB-separated Data (*.txt)

Not supported in the current version!!! Text-file containing data that is to be plotted. The data must be grouped in columns and separated using TAB. One column of data plots one curve using 0,1,2,3.... as x-axis. Several columns of data will use the first column as x-axis and plots the remaining as curves. All columns must be the same size.


User specified

Lref is given directly by the user, or calculated based on reference measurements speficied by the user.


Waterfall

The waterfall is plotted using horizontal slices as shown in the figure below. The figure is made using File->Copy to Clipboard with Plot->White background on Copy/Print checked.

The mode waterfall has a limit of 2000 points in each slice. To get within this limit we recommend using smoothing.


Whole response (anechoic)

This option assumes an actual free-field, or anechoic, measurement of high quality. If this is the case, it provides accurate reference levels across a wide frequency range.


Window active response

h10(t) is estimated by windowing the primary impulse response, and Lref is calculated subsequently. In this case the window length and temperature is available for change.


Window size

Sets the start and end of the window. The corresponding y-values are also shown.

The unit [image] determines the units of the window limits to be displayed in the dialog box. The following may be selected:

The button [image] is used to set the end of the measurement to the end window limit.

If [image] is checked, the X-max is set to the maximum value possible when a new measurement is performed or inserted.


Window type

Selects the type of window to be used.

The possible choices are shown in the figure below. Note that if an impulse response is to be windowed, it is not recommended to use a full window.


WinMLS Binary Files (*.wmb)

The recommended file type, binary file including header. The header contains information about the sound card and other measurement settings. The header has been extended since WinMLS ver. 2, but the old file format may still be read.


Yes, my sound card `is synched'

Yes, my sound card ‘is synched’

You can select this mode if you know that your sound card is able to start record and playback at the same time, or with a delay that is constant. The constant delay can be corrected for in the

setting explained below.

The initial time delay will be measured if this is set properly. Do this by connecting the sound card input to the output, then perform measurements while adjusting the delay. Make sure that the maximum of the sound card impulse response is at 20-60 samples to make sure the left-side tail of the sound card is considered. Below is an example of a response that could be shifted to the left.

By changing the y-axis to dB, it is easier to see the noise floor as shown below.

In this case the sound card delay should be set to about 50 samples. Do note that if the delay is set to more than 105 samples (where the maximum is found), you will find the maximum at the end of the measurement.


Yes, with loop-back and end-check

The measurement is performed using a physical loop-back, usually connected from output right channel to input right channel.

A pulse is sent through the loop-back before the measurement is performed and it makes it possible to determine the initial time delay correctly.

Also after the measurement is finished, a pulse is sent through the loop-back. The time delay between this pulse and the pulse sent before the measurement was started is checked. This end-check is used to detect errors in the measurement caused by gaps or errors in play or record (this may happen e.g. if the PC is used for other things while the measurement is performed). The loop-back settings (see below) must be properly set.

For a more detailed explanation see Measurement 3: Measuring using loop-back in the section The first measurements walk-through.


Yes, with loop-back, no end-check

Same as the mode above, except that the end-check is not performed. This means that this mode measures the initial time delay exact, but errors in the measurement caused by non-continuous play or record are not detected. The loop-back settings (see below) must be properly set.

gives the delay of the sound card in samples. This is found by doing a MLS measurement of the sound card with its input connected to the output using a cable. Plotting the first part of the resulting impulse response using Time Data as plot-type and Samples as x-axis, will show the delay.